
#-*- coding: utf-8 -*-
from xml.dom import minidom
from xml.dom.minidom import parseString
from datetime import datetime
import time
import sys, os, rpm ,codecs,string,tarfile
from exceptions import Exception
CPQSRCATALOG_VERSION="2.0.1.0"
LEVEL=""
#MAKE DEBUG_ON=1 to see debug messages
DEBUG_ON=0
global DISPLAY_MESSAGE
DISPLAY_MESSAGE=""

#DIR ENTRIES
def dir_entries(dir_name, subdir, *args):
    '''accepting dirname and returning list of files, including files from subdirectories'''
    fileList = []
    try:
     for file in os.listdir(dir_name):
         dirfile = os.path.join(dir_name, file)
         if os.path.isfile(dirfile):
             if not args:
                 fileList.append(dirfile)
             else:
                 if os.path.splitext(dirfile)[1][1:] in args:
                     fileList.append(dirfile)
         # recursively access file names in subdirectories
         elif os.path.isdir(dirfile) and subdir:
 		if(DEBUG_ON):
 	            print "Accessing directory:", dirfile
             	fileList.extend(dir_entries(dirfile, subdir, *args))
    except :
      if DEBUG_ON:
	print "Error in directory traverse"	
      return fileList
 		
    return fileList

#IF FILE EXIST
def if_file_exist(file,file_set):
	'''if file exist it returns 0 else 1'''
	for i in file_set:
		if file.split("/")[len(file.split("/"))-1] ==i.split("/")[len(i.split("/"))-1]:
			return 0
	return 1

#LOG PRIORITY
def log_priority(rpm_logtext):
	'''Accepting a rpm log text block and returning its issue severity severity'''
	LEVEL="log  priority"
        if(string.count(rpm_logtext,'(Severity: Critical)')>0):
                return "2"
        if(string.count(rpm_logtext,'(Severity: Medium)')>0):
                return "1"
        return "0"

#LOG VERSION
def log_version(log_name):
	LEVEL="log version"
        temp=""
        for i in range(string.rfind(log_name," "),len(log_name)):
                temp=temp+log_name[i]
        #just for hp smh rpm which does not follow the standard format
	#We can delete this block once those guys, started giving rpm in standard format
        if(string.count(temp,'Ver')>0):
                temp2=""
                for i in range(string.rfind(temp,":")+1,len(temp)):
                        temp2=temp2+temp[i]
                return temp2.strip()
        return string.strip(temp)

#CHANGE LOG FOR XML
def change_log_4_xml(rpm_logtext):
        change_log_for_xml=""
        for j in  string.split(string.replace(rpm_logtext,'-','',-1),'\n',-1):
                change_log_for_xml=change_log_for_xml+ "<p>"+j+"</p>"
        change_log_for_xml=string.replace(change_log_for_xml," (Severity: Critical)","",-1)
        change_log_for_xml=string.replace(change_log_for_xml," (Severity: Medium)","",-1)
        change_log_for_xml=string.replace(change_log_for_xml," (Severity: Low)","",-1)
        change_log_for_xml=string.replace(change_log_for_xml," (Severity: Minor)","",-1)
        return change_log_for_xml

#GET RPM INFO
def get_rpm_info(tag,rpm_tag_set):
	return rpm_tag_set[tag]

#GENERATE OS LIST
def generate_os_list(i):
	'''Return Supported Operating Systems  list:
	   -*- string generate_os_list(file_name) -*-
	   Accepting file name and returning a string containing supported os list in xml format
	   with platform,major,minor,sr and name of supported Operating Systems	
	   Usage:
		 list_of_os=generate_os_list(file_name)
		
	''' 
	if (string.find(i,".src")+1):
		return "CatlogSrc" 

	elif( (string.find(i,".noarch")+1) and ((string.find(i,"linux.noarch")-1))):
		return "CatlogNoarch" 

	elif (string.find(i,".rhel4.i686")+1):
		return "Catlog_rhel4_i686"   
 
	elif (string.find(i,".rhel4.i386")+1):  
		return "Catlog_rhel4_i386" 

        elif (string.find(i,".rhel4.x86_64")+1):  
			return "Catlog_rhel4_x86_64" 

	elif (string.find(i,".rhel5.i686")+1):
			return "Catlog_rhel5_i686"   
 
	elif (string.find(i,".rhel5.i386")+1):  
			return "Catlog_rhel5_i386" 
	
	elif (string.find(i,".rhel5.x86_64")+1):  
			return "Catlog_rhel5_x86_64" 

        elif (string.find(i,".linux.i386")+1): 
			return "Catlog_linux_i386" 

	elif (string.find(i,".linux.i586")+1):
			return "Catlog_linux_i586" 

	elif (string.find(i,".linux.x86_64")+1):  
			return "Catlog_linux_x86_64" 
	
	elif (string.find(i,".linux.noarch")+1):
			return "Catlog_linux_noarch" 
	
	elif ((string.find(i,".linux")+1) and
		((string.find(i,".linux.i386")-1)) and
		((string.find(i,".linux.i586")-1)) and
	        ((string.find(i,".linux.x86_64")-1)) and
		((string.find(i,".linux.noarch")-1))):
			return "Catlog_linux" 

        elif (string.find(i,".sles9.i386")+1):
			return "Catlog_sles9_i386"

	elif (string.find(i,".sles9.i586")+1):
			return "Catlog_sles9_i586"

	elif (string.find(i,".sles9.x86_64")+1):
			return "Catlog_sles9_x86_64"

	elif(string.find(i,".sles10.i386")+1):
			return "Catlog_sles10_i386"

	elif(string.find(i,".sles10.i586")+1):
			return "Catlog_sles10_i586" 

	elif(string.find(i,".sles10.x86_64")+1):
			return "Catlog_sles10_x86_64" 

	elif(string.find(i,".sles11.i386")+1):
			return "Catlog_sles11_i386"
	elif(string.find(i,".sles11.i586")+1):
			return "Catlog_sles11_i586" 

	elif(string.find(i,".sles11.x86_64")+1):
			return "Catlog_sles11_x86_64" 

	elif ((string.find(i,".x86_64")+1) and 
		((string.find(i,".rhel4.x86_64")-1)) and 
		((string.find(i,".rhel5.x86_64")-1)) and
		((string.find(i,".sles9.x86_64")-1)) and
		((string.find(i,".sles10.x86_64")-1))and
		((string.find(i,".sles11.x86_64")-1))):
			return "Catlog_x86_64"
	                
	elif ((string.find(i,".i386")+1) and 
		((string.find(i,".linux.i386")-1)) and 
		((string.find(i,".rhel5.i386")-1))and
		((string.find(i,".sles9.i386")-1)) and
		((string.find(i,".sles10.i386")-1))and
		((string.find(i,".sles11.i386")-1))):
	                 return "Catlog_i386" 
	elif  ((string.find(i,".sles10")+1) and
		((string.find(i,".sles10.i386")-1)) and
		((string.find(i,".sles10.i586")-1))and
		((string.find(i,".sles10.x86_64")-1))): 
			return "Catlog_sles10"
	elif  ((string.find(i,".sles11")+1) and
		((string.find(i,".sles11.i386")-1)) and
		((string.find(i,".sles11.i586")-1))and
		((string.find(i,".sles11.x86_64")-1))): 
			return "Catlog_sles11"
	else:
		return " "

#IS_THAT_A_PSP_BP_XML
def is_that_a_psp_bp_xml(i):
 '''accepting an xml file name and checking whether it is an bp xml
    return 1 if its bpxml else 0'''
 i=i.split("/")[len(i.split("/"))-1]
 try:
        int(i.replace("bp","").replace(".xml",""))
	# we expect bpxmls' in the following format
	# bpDIGIT*.xml
	# DIGIT=[0->9]
        return 1
 except ValueError:
        return 0


# LIST_DIFFRENCE
def list_diffrence(list1,list2):
	'''return list1-list2,a list of elements which is there in list1 and not in list2'''
	diff_list=[]
	for i in list1:
		diff_list.append(i.split("/")[len(i.split("/"))-1])
	for i in list2:
		diff_list.append(i.split("/")[len(i.split("/"))-1])
	for i in list1:
		for j in list2:
			if i==j:
				try:
					diff_list.remove(i)
					diff_list.remove(j)
				except :
				      if DEBUG_ON:
					print "list normalize error"	
					continue
	return diff_list
	
# NORMALIZE_LIST
def normalize_list(list1):
	'''returns a set after removing repeated elements'''
	global 	DISPLAY_MESSAGE
	diff_list=[]
	for i in list1:
		diff_list.append(i.split("/")[len(i.split("/"))-1])
	diff_list.sort()
	list2=[]
	for i in diff_list:
		list2.append(i)

	for i in range(1,len(diff_list)):
		try:
			if diff_list[i-1]==diff_list[i]:
				list2.remove(diff_list[i-1])
				DISPLAY_MESSAGE=DISPLAY_MESSAGE+"Multiple occurrences of "+diff_list[i-1]+"\n"
		except IndexError:
			continue
	return list2

#LOCATION FIND
def location_find(file_name,location_list):
	'''returns location of a file from a location list'''
	for i in location_list:
		if i.split("/")[len(i.split("/"))-1]==file_name:
			return i.replace(file_name,"")
	
# CREATE COPONENT XML
def create_component_xml(rpm_file,w_dir):
 '''creates component xml's for rpm files in the given directory'''
 try:
    try:
     ts = rpm.ts()
     fdno = os.open(rpm_file, os.O_RDONLY)
     msg=""
    except error:
 	if DEBUG_ON:
		print "rpm opening error"
    #Exception
    try:
    	hdr = ts.hdrFromFdno(fdno)
    except :
	try:
		ts.setVSFlags(rpm._RPMVSF_NOSIGNATURES)
		fdno = os.open(rpm_file, os.O_RDONLY)
        	hdr = ts.hdrFromFdno(fdno)
		#print "cleared check point 1"
	except :
		if(DEBUG_ON):
			print rpm_file,"corrupted "
		#corrupted rpm file
		#print "bye, returning from this exception hell safely"
		return
	#print "cleared check point 2"
    os.close(fdno)

    rpm_tag_set ={'Group':hdr[rpm.RPMTAG_GROUP],
              'ChangeLog_Text':hdr[rpm.RPMTAG_CHANGELOGTEXT],
              'ChangeLog_Name':hdr[rpm.RPMTAG_CHANGELOGNAME],
              'ChangeLog_Time':hdr[rpm.RPMTAG_CHANGELOGTIME],
              'Description':hdr[rpm.RPMTAG_DESCRIPTION],
              'Requirement':hdr[rpm.RPMTAG_REQUIRES],
              'Arch':hdr[rpm.RPMTAG_ARCH],
              'URL': hdr[rpm.RPMTAG_URL],
              'Version' : "%s-%s" % (hdr[rpm.RPMTAG_VERSION], hdr[rpm.RPMTAG_RELEASE]),
              'Summary': hdr[rpm.RPMTAG_SUMMARY],
              'Provides': hdr[rpm.RPMTAG_PROVIDES],
	      'Vendor':hdr[rpm.RPMTAG_VENDOR],
	      'Build_Time_Year':datetime.fromtimestamp(hdr[rpm.RPMTAG_BUILDTIME]).strftime("%Y"),
	      'Build_Time_Month':datetime.fromtimestamp(hdr[rpm.RPMTAG_BUILDTIME]).strftime("%m"),
	      'Build_Time_Day':datetime.fromtimestamp(hdr[rpm.RPMTAG_BUILDTIME]).strftime("%e"),
	      'Build_Time_Hour':datetime.fromtimestamp(hdr[rpm.RPMTAG_BUILDTIME]).strftime("%k"),
	      'Build_Time_Minute':datetime.fromtimestamp(hdr[rpm.RPMTAG_BUILDTIME]).strftime("%M"),
	      'Build_Time_Second':datetime.fromtimestamp(hdr[rpm.RPMTAG_BUILDTIME]).strftime("%S"),
              'Name': hdr[rpm.RPMTAG_NAME]
             }      
    rpm_file_name=rpm_file.split("/")[len(rpm_file.split("/"))-1]
    rpm_logname=get_rpm_info('ChangeLog_Name',rpm_tag_set)
    rpm_logtime=get_rpm_info('ChangeLog_Time',rpm_tag_set)
    rpm_logtext=get_rpm_info('ChangeLog_Text',rpm_tag_set)
    
    LEVEL="Returns rpm information by querying a rpm"
#Returns rpm information by querying a rpm"""
    try:
     xml_template = minidom.parse('vcrm_xml_template/component_template.xml')
    except :
     print "FILE OPEN ERROR: vcrm_xml_template/component_template.xml"
     return 0	
    LEVEL="#1 filname"
    try:   
     #1 filname
     xml_template.getElementsByTagName('filename')[0].firstChild.data= \
     unicode(rpm_file_name)
    except :
     if DEBUG_ON:
      print LEVEL
    LEVEL="#2 name"
    try:
     #2.1 name english
     xml_template.getElementsByTagName('name')[0].childNodes[1].childNodes[0].data=\
     unicode(get_rpm_info('Summary',rpm_tag_set))
     #2.2 name japanese : Keeping same as english
     xml_template.getElementsByTagName('name')[0].childNodes[3].childNodes[0].data=\
     unicode(get_rpm_info('Summary',rpm_tag_set))
    except :
     if DEBUG_ON:
      print LEVEL

    LEVEL="#3 alt name"
    try:
     #3.1 alt name english
     xml_template.getElementsByTagName('alt_name')[0].childNodes[3].childNodes[0].data=\
     unicode(get_rpm_info('Summary',rpm_tag_set))
     #3.2 alt name japanese : Keeping same as english
     xml_template.getElementsByTagName('name')[0].childNodes[1].childNodes[0].data=\
     unicode(get_rpm_info('Summary',rpm_tag_set))
    except :
     if DEBUG_ON:
      print LEVEL
    
    #4 version
    try:
     LEVEL="#4 version ERROR  in rpm Version, in type of change"
     xml_template.getElementsByTagName('version')[0].setAttribute\
     ('value',unicode(get_rpm_info('Version',rpm_tag_set)))
     LEVEL="#4 version in type of change ,template error(xml_template.getElementsByTagName('version')[0])"
     version_temp=xml_template.getElementsByTagName('version')[0]
     #LEVEL="#4 version 3"	
     #print rpm_logtext[0]
     #LEVEL="#4 version 3_2"	
     #print "----------------",unicode(log_priority(rpm_logtext[0]))
     try:
	version_temp.setAttribute('type_of_change',unicode(log_priority(rpm_logtext[0])))
     except:
	version_temp.setAttribute('type_of_change',unicode("0"))
     #LEVEL="Near to it"
    except :
     if DEBUG_ON:
      print LEVEL
    LEVEL="5 manufacturer name"
    try:
     #5.1 manufacturer name english
     xml_template.getElementsByTagName('manufacturer_name')[0].childNodes[1].childNodes[0].data=\
     unicode(get_rpm_info('Vendor',rpm_tag_set))
     #5.2 manufacturer name japanese : Keeping same as english
     xml_template.getElementsByTagName('manufacturer_name')[0].childNodes[3].childNodes[0].data=\
     unicode(get_rpm_info('Vendor',rpm_tag_set))
    except :
     if DEBUG_ON:
      print LEVEL
    
    #6 Release Date
    LEVEL="#6 Release Date"
    try:
     xml_template.getElementsByTagName('release_date')[0].setAttribute \
     ("year",unicode((get_rpm_info('Build_Time_Year',rpm_tag_set))))
     xml_template.getElementsByTagName('release_date')[0].setAttribute \
     ("month",unicode((get_rpm_info('Build_Time_Month',rpm_tag_set))))
     xml_template.getElementsByTagName('release_date')[0].setAttribute \
     ("day",unicode((get_rpm_info('Build_Time_Day',rpm_tag_set))))
     xml_template.getElementsByTagName('release_date')[0].setAttribute \
     ("hour",unicode((get_rpm_info('Build_Time_Hour',rpm_tag_set))))
     xml_template.getElementsByTagName('release_date')[0].setAttribute \
     ("minute",unicode((get_rpm_info('Build_Time_Minute',rpm_tag_set))))
     xml_template.getElementsByTagName('release_date')[0].setAttribute \
     ("second",unicode((get_rpm_info('Build_Time_Second',rpm_tag_set))))
    except :
     if DEBUG_ON:
      print LEVEL

    try:
     #7.1 description english
     xml_template.getElementsByTagName('description')[0].childNodes[1].childNodes[0].data=\
     unicode(get_rpm_info('Description',rpm_tag_set))
     #7.2 description japanese : Keeping same as english
     xml_template.getElementsByTagName('description')[0].childNodes[3].childNodes[0].data=\
     unicode(get_rpm_info('Description',rpm_tag_set))
    except :
     if DEBUG_ON:
      print LEVEL
 
    #8 Change Log
    try:
     LEVEL="#8 Change Log"
     creator = xml_template.documentElement
     for i in range(0,len(rpm_logtext)):
   	 creator.getElementsByTagName('revision_history')[0].\
   	 appendChild(xml_template.createElementNS(None,u'revision'))
   	 rh_temp=creator.getElementsByTagName('revision_history')[0].\
   	 getElementsByTagName('revision')[i]
         rh_temp.appendChild(xml_template.createElementNS(None,u'version'))
         rh_temp.getElementsByTagName('version')[0].setAttribute("value",unicode(log_version(rpm_logname[i])))
         rh_temp.getElementsByTagName('version')[0].setAttribute("revision",unicode(""))
         rh_temp.getElementsByTagName('version')[0].\
         setAttribute("type_of_change",unicode(log_priority(rpm_logtext[i])))
         rh_temp.appendChild(xml_template.createElementNS(None,u'revision_enhancements_xlate'))
         rh_temp.getElementsByTagName('revision_enhancements_xlate')[0].setAttribute("lang",unicode("en"))
         revision_enhancements_xlate_part=xml_template.createCDATASection(unicode(change_log_4_xml(rpm_logtext[i])))
         rh_temp.getElementsByTagName('revision_enhancements_xlate')[0].\
         appendChild(revision_enhancements_xlate_part)
    except :
     if DEBUG_ON:
      print LEVEL
    
    #9 SW Key
    try:
     LEVEL="9 SW Key"
     swk_temp=xml_template.getElementsByTagName('sw_keys')[0].\
     getElementsByTagName('sw_keys_and')[0].getElementsByTagName('sw_key')[0]
     swk_name=""
     try:
	#sa sw_key for rpm component is missing

     	#for i in range(0,string.find(rpm_file_name,log_version(rpm_logname[0]))-1):
 	#	swk_name=swk_name+rpm_file_name[i]
	swk_name=get_rpm_info('Name',rpm_tag_set);
	#sa
        swk_temp.setAttribute("name",swk_name)
     except:
 	swk_temp.setAttribute("name","")
	
     LEVEL="9 SW Key_version"
	
     swk_temp.setAttribute("version",unicode(get_rpm_info('Version',rpm_tag_set)))
    except :
     if DEBUG_ON:
      print LEVEL

    #10 Supported OS list for Prerequisites
    try:
     LEVEL="10 Supported OS LIST_1"
     os_info_xml = minidom.parse('vcrm_xml_template/os_info.xml')
     LEVEL="10 Supported OS LIST_2"
     xml_creator=xml_template.getElementsByTagName("cpq_package")
     LEVEL="10 Supported OS LIST_3"
     sos_element=os_info_xml.getElementsByTagName(generate_os_list(rpm_file_name))[0].\
     getElementsByTagName("supported_operating_systems")[0]
     LEVEL="10 Supported OS LIST_4"
     xml_creator[0].getElementsByTagName("prerequisites")[0].appendChild(sos_element)
     #print xml_creator[0].toxml()
    except :
     if DEBUG_ON:
      print LEVEL,"-------------------------------------------"
   
    #11 writing the new xml document to component.xml
    try: 
     LEVEL="11 writing the new xml document to component.xml"
     rpm_file=w_dir+rpm_file_name
     component_xml_file=open(string.replace(rpm_file,'.rpm','.rpm.xml'),'w')
     component_xml_file.write(xml_template.toxml("utf-8"))
     component_xml_file.close()
    except :
     if DEBUG_ON:
      print LEVEL

    return 1
 except :
	if(DEBUG_ON):
		print "due to error ",rpm_file,"is skipping, reached level:",LEVEL	
	return 0


#MAIN
if __name__ == '__main__':
#Reading and parsing the XML file
	#If we are not getting working directory as argument
	#assigning the default directory as working directory
	# its expecting /opt/hp/vcagent/etc/vcrm/ to be created by vcrml
	# or it should give a third argument for a valid working directory
	FORCE_RECREATE=0

	if len(sys.argv)<2:
		print "Python module exiting due to invalid invocation :Expected arguments not found"
		sys.exit()
	if len(sys.argv)==2:
		rpm_directory = sys.argv[1]
		w_directory="/opt/hp/vcagent/etc/vcrm"
	elif len(sys.argv)==3:
		rpm_directory = sys.argv[1]
		w_directory=sys.argv[2]
	else :
		rpm_directory = sys.argv[1]
		w_directory=sys.argv[2]
		if sys.argv[3].count("FORCE_RECREATE")>0:
			FORCE_RECREATE=1
	if rpm_directory.endswith("/")==False:
		rpm_directory=rpm_directory+"/"

	if w_directory.endswith("/")==False:
		w_directory=w_directory+"/"
	
	# if any of these file not there, program will exit
	try:
	 catalog_xml_template=minidom.parse('vcrm_xml_template/catalog_template.xml')
	except:
	 print "VCRML Python module exiting because  vcrm_xml_template/catalog_template.xml not found"
	 sys.exit()
	try:
	 sos_data_d=open('vcrm_xml_template/sos_data.txt')
	except:
	 print "VCRML Python module exiting because  vcrm_xml_template/sos_data.txt not found"
	 sys.exit()
	
	#sos_data collection
	sos_data=[]
	while True:
	 sos_line=sos_data_d.readline()
	 sos_data.append(sos_line.split("\""))
	 if len(sos_line)==0:
	  break
	sos_data.pop()
	  
	
	file_set_rpm_dir=dir_entries(rpm_directory,True)
	file_set_w_dir=dir_entries(w_directory,True)
	
	#counters
	tar_catalog_count=0
	psp_catalog_count=0
	rpm_catalog_count=0
	scexe_catalog_count=0
	bp_catalog_count=0
	tar_file_count=0
	xml_from_rpm_count=0
	xml_from_tar_count=0
	xml_from_scexe_count=0
	xml_from_psp=0
	#Creating xml files list
	xml_file_set=[]
	for i in file_set_w_dir:
		if((string.find(i,".xml")+len(".xml")-len(i))==0): #making sure its an xml
			if i.count("cpqsrcatalog.xml")==0 and is_that_a_psp_bp_xml(i)==0:
				xml_file_set.append(i)
	#Creating bp_xml files list
	bp_xml_file_set=[]
	for i in file_set_rpm_dir:
		if i.endswith(".xml") : #making sure its an xml
			if is_that_a_psp_bp_xml(i.split("/")[len(i.split("/"))-1]): #making sure its an bp xml
				bp_xml_file_set.append(i)


	#Creating rpm file set
	rpm_file_set=[]
        for i in file_set_rpm_dir:
		if((string.find(i,".rpm")+len(".rpm")-len(i))==0): #making sure its an rpm
			rpm_file_set.append(i)
	#Creating tar file set
	tar_file_count=0
	tar_file_set=[]
        for i in file_set_rpm_dir:
		if string.count(i,".rpm.tar.gz") ==1:
			if(if_file_exist(string.replace(i,'.rpm.tar.gz','.xml'),xml_file_set)!=0):
				if(string.find(i,"rpm")!= -1 ):
					tar_file_set.append(i)
					tar_file_count=tar_file_count+1
	#Creating scexe file set
	scexe_file_count=0
	scexe_file_set=[]
        for i in file_set_rpm_dir:
		if i.endswith(".scexe") ==1:
			if(if_file_exist(string.replace(i,'.scexe','.xml'),xml_file_set)!=0):
				scexe_file_set.append(i)
				scexe_file_count=tar_file_count+1

	#Unzipping tgz,tar.gz files
        #This is to make sure the tar files are getting unzipped on 
        #working directory
	for i in tar_file_set:
		tar_file_location=w_directory
		os.system(" tar -zxvf "+i+" -C "+tar_file_location+" "+ \
		i.split("/")[len(i.split("/"))-1].replace('.rpm.tar.gz','.xml')+" >/dev/null")
	
	#Unzipping scexe files
	#sa test
	scexe_new_file_set=scexe_file_set #take backup
	rom_flag=0
	
        #This is to make sure the scexe files are getting unzipped on 
        #working directory
	scexe_file_location=w_directory
	for sc in scexe_file_set:
		os.system("for i in `"+sc+" --unpack="+w_directory+"`;do if [ \"`basename $i xml`scexe\" = \""+ \
		sc.split("/")[len(sc.split("/"))-1]+"\" ];then mv \""+w_directory+"$i\" " \
		+w_directory+sc.split("/")[len(sc.split("/"))-1]+".xml;else rm -rf "+w_directory+"$i ; fi;done")
		#    A
		#    |	
		#    |	
		#shell script to exract scexe and delete evrything extracted except, xml file from scexe
		#eg:-
		# for i in `/root/john/pg/my_psp/CP008727.scexe --unpack=/opt/hp/vcagent/etc/vcrm/`;\
		# do if [ "`basename $i xml`scexe"  = "CP008727.scexe" ];\
		# then mv "/opt/hp/vcagent/etc/vcrm/$i" /opt/hp/vcagent/etc/vcrm/CP008727.scexe.xml;
		# else rm -rf /opt/hp/vcagent/etc/vcrm/$i ;
		# fi;
		# done
		
		# sa test
		tmp="/opt/hp/vcagent/etc/vcrm/"
		lis=sc.split("/")
		name=lis[len(lis)-1]
                tmp = tmp+name+".xml";
		tempDOM=minidom.parse(tmp)
		element=tempDOM.getElementsByTagName('category_xlate')
		for lang in element:
			a = lang.attributes["lang"]
			if (a.value=="en" or a.value=="EN"): #compare english language string
				str = lang.toxml()
				if str.find("System ROM") != -1: #if system rom
					name=dom.getElementsByTagName('name_xlate')
					for j in name:
						online=j.toxml()
						if online.find("Online")!= -1:  #check if online
							rom_flag = 1 # online system rom component
							break
						else:
							break # System rom component, but not online
				else:
					break # not a system ROM component
		#end of for
		if rom_flag != 1:
			scexe_new_file_set.remove(sc)
			os.system("rm -rf " + sc)
			scexe_file_count=scexe_file_count-1
	
	scexe_file_set=scexe_new_file_set
	#sa test end

	#Creating component files for .rpm.tar.gz
	for i in tar_file_set:
		if(if_file_exist(string.replace(i,'.rpm.tar.gz','.xml'),xml_file_set)!=0):
			print i.split("/")[len(i.split("/"))-1]," Added"
			xml_from_tar_count=xml_from_tar_count+1

	#Creating component files for .rpm
	for i in rpm_file_set:
		if(if_file_exist(string.replace(i,'.rpm','.rpm.xml'),xml_file_set)!=0):
			if create_component_xml(i,w_directory):
				print i.split("/")[len(i.split("/"))-1]," Added"
				xml_from_rpm_count=1+xml_from_rpm_count
	
	#Creating component files for .scexe
	for i in scexe_file_set:
		if(if_file_exist(string.replace(i,'.scexe','.scexe.xml'),xml_file_set)!=0):
			print i.split("/")[len(i.split("/"))-1]," Added"
			xml_from_scexe_count=xml_from_scexe_count+1
	#Creating bp_xml files list created from w dir
	bp_xml_file_set_from_w_dir=[]
	for i in file_set_w_dir:
		if i.endswith(".xml") : #making sure its an xml
			if is_that_a_psp_bp_xml(i.split("/")[len(i.split("/"))-1]): #making sure its an bp xml
				bp_xml_file_set_from_w_dir.append(i)


	#Copying  bp xml's to working directory
	for i in bp_xml_file_set:
		if(if_file_exist(i,bp_xml_file_set_from_w_dir)!=0):
			os.system("cp "+i+" "+w_directory+i.split("/")[len(i.split("/"))-1])
			print i.split("/")[len(i.split("/"))-1]," Added"
			xml_from_psp=xml_from_psp+1

#Redefinign the files sets
file_set_w_dir=dir_entries(w_directory,True)
file_set_rpm_dir=dir_entries(rpm_directory,True)

#Recreating xml files list if cpqsrcatalog xml not found
CREATE_CATALOG=1
for i in file_set_w_dir:
	if i.count("cpqsrcatalog.xml") and i.endswith(".xml")==1:
		CREATE_CATALOG=0
	
#If cpqsrcatalog found ,checking whether it should be updated
#In case of deletion
xml_file_set=[]

for i in file_set_w_dir:
	if((string.find(i,".xml")+len(".xml")-len(i))==0): #making sure its an xml
		if i.count("cpqsrcatalog.xml")==0 and is_that_a_psp_bp_xml(i)==0:
			xml_file_set.append(i)

xml_file_set=normalize_list(xml_file_set)
#bp_xml_file_set=normalize_list(bp_xml_file_set)

rpm_file_set=[]
rpm_file_location=[]
for i in file_set_rpm_dir:
	if(i.endswith(".rpm")): #making sure its an rpm
		rpm_file_set.append(i)
		rpm_file_location.append(i)
rpm_file_set=normalize_list(rpm_file_set)

		

tar_file_set=[]
tar_file_location=[]
for i in file_set_rpm_dir:
	if((string.find(i,".rpm.tar.gz")+len(".rpm.tar.gz")-len(i))==0): #making sure its an  rpm.tar.gz
		tar_file_set.append(i)
		tar_file_location.append(i)
tar_file_set=normalize_list(tar_file_set)

scexe_file_set=[]
scexe_file_location=[]
for i in file_set_rpm_dir:
	if((string.find(i,".scexe")+len(".scexe")-len(i))==0): #making sure its an scexe
		scexe_file_set.append(i)
		scexe_file_location.append(i)
scexe_file_set=normalize_list(scexe_file_set)

#Creating bp_xml files list created from w dir
bp_xml_file_set_from_w_dir=[]
bp_xml_file_set_location=[]
for i in file_set_w_dir:
	if i.endswith(".xml") : #making sure its an xml
		if is_that_a_psp_bp_xml(i.split("/")[len(i.split("/"))-1]): #making sure its an bp xml
			bp_xml_file_set_from_w_dir.append(i)
			bp_xml_file_set_location.append(i)

RECREATE_CATALOG=0
if DEBUG_ON:
	print "xml len :",len(xml_file_set),"rpm len :",len(rpm_file_set),\
	"tar len :",len(tar_file_set),"scexe len:",len(scexe_file_set),\
	"bp xml len :",len(bp_xml_file_set)


if   len(bp_xml_file_set_from_w_dir)>len(bp_xml_file_set):
    	RECREATE_CATALOG=1
	l0=[]
	l1=[]
	l2=[]
	l3=[]
	l4=[]
    	
	#checking deleted psp components
	diff_list=list_diffrence(bp_xml_file_set_from_w_dir,bp_xml_file_set)
	if DEBUG_ON:
            print "bp_xml_file_set_from_w_dir"
            print bp_xml_file_set_from_w_dir
            print "--------------------------------"
            print "bp_xml_file_set"
            print bp_xml_file_set
            print "--------------------------------"            
            print "diff_list"
            print diff_list
            print "--------------------------------"            
	for i in diff_list:
        	os.system("rm -rf "+w_directory+i)
        	if DEBUG_ON:
                    print ("rm -rf "+w_directory+i)
		print i,"Deleted"
		
	#Re creating bp_xml files list created from w dir
	bp_xml_file_set_from_w_dir=[]
        file_set_w_dir=dir_entries(w_directory,True)
	for i in file_set_w_dir:
		if i.endswith(".xml") : #making sure its an xml
			if is_that_a_psp_bp_xml(i.split("/")[len(i.split("/"))-1]): #making sure its an bp xml
				bp_xml_file_set_from_w_dir.append(i)
    	



if len(xml_file_set)+ len(bp_xml_file_set_from_w_dir)>\
len(rpm_file_set)+len(tar_file_set)+len(scexe_file_set)+len(bp_xml_file_set):
	RECREATE_CATALOG=1
	l0=[]
	l1=[]
	l2=[]
	l3=[]
	l4=[]
		
        
	#checking rpm deleted components
	diff_list=[]
	for i1 in xml_file_set:
		if i1.count(".rpm.xml")>0:
			l1.append(i1.replace(".rpm.xml",""))
			#xml_file_set.remove(i1)
	for i2 in rpm_file_set:
		l2.append(i2.replace(".rpm",""))
	diff_list=list_diffrence(l1,l2)
	for i in diff_list:
		os.system("rm -rf "+w_directory+i+".rpm.xml")
		xml_file_set.remove(i+".rpm.xml")
		print i+".rpm deleted"

	#checking scexe deleted components
	l1=[]
	for i1 in xml_file_set:
		if i1.count(".scexe.xml")>0:
			#xml_file_set.remove(i1)
			l1.append(i1.replace(".scexe.xml",""))
	
	for i4 in scexe_file_set:
		l4.append(i4.replace(".scexe",""))
	diff_list=list_diffrence(l1,l4)
	
	for i in diff_list:
		os.system("rm -rf "+w_directory+i+".scexe.xml")
		print i+".scexe deleted "
	
	#checking .rpm.tar.gz deleted components
	l1=[]
	for i1 in xml_file_set:
		if i1.count(".rpm.xml")==0 and i1.count(".scexe.xml")==0:
			l1.append(i1.replace(".xml",""))
	for i3 in tar_file_set:
		l3.append(i3.replace(".rpm.tar.gz",""))
	diff_list=list_diffrence(l1,l3)
	
	for i in diff_list:
		os.system("rm -rf "+w_directory+i+".xml")
		print i+".rpm.tar.gz deleted "
#Recreating xml file set
xml_file_set=[]
file_set_w_dir=dir_entries(w_directory,True)
for i in file_set_w_dir:
	if((string.find(i,".xml")+len(".xml")-len(i))==0): #making sure its an xml
		if i.count("cpqsrcatalog.xml")==0 and is_that_a_psp_bp_xml(i)==0:
			xml_file_set.append(i)
xml_file_set=normalize_list(xml_file_set)


#recreating cpqsrcatalog xml in case of addition of new components
if xml_from_rpm_count+xml_from_tar_count+xml_from_scexe_count+xml_from_psp !=0: 
	RECREATE_CATALOG=1

if DEBUG_ON:
	print 	"RECREATE_CATALOG",RECREATE_CATALOG
	print 	"CREATE_CATALOG",CREATE_CATALOG
#Appending both bp xml list toxml file set	
for i in  bp_xml_file_set_from_w_dir:
	xml_file_set.append(i.split("/")[len(i.split("/"))-1])

if RECREATE_CATALOG+ CREATE_CATALOG+FORCE_RECREATE>0:
	if len(DISPLAY_MESSAGE)!=0:
		print DISPLAY_MESSAGE
	de=catalog_xml_template.documentElement
	de.setAttribute("directory",rpm_directory)
	de.setAttribute("hostname",os.uname()[1])
	de.setAttribute("stamp",time.strftime("%Y-%m-%d %k:%M:%S"))
	#Adding rpm.tar.gz and rpm files to catalog
	for i in xml_file_set:
	 try:
		if((string.find(i,".rpm.xml")+len(".rpm.xml")-len(i))==0): #making sure its an rpm xml
			rpm_catalog_count=rpm_catalog_count+1
			try:
                            component_xml_temp = minidom.parse(w_directory+i)
                        except:
                            continue
			rpm_element=catalog_xml_template.createElementNS(None,u'cpq_package')
			rpm_element.setAttribute("version",CPQSRCATALOG_VERSION)
			rpm_element.setAttribute("keyabs",\
			location_find(i.replace(".rpm.xml",".rpm"),rpm_file_location))
			rpm_element.setAttribute("keyrel","")
			rpm_element.setAttribute("key",i.replace(".rpm.xml",".rpm"))
			rpm_element.setAttribute("add_time",time.strftime("%Y-%m-%d %k:%M:%S"))
			rpm_element.setAttribute("file_size","")
			rpm_element.setAttribute("cfgsupt","")
			temp_file_element=component_xml_temp.createElementNS(None,u'filename')
			temp_file_element.appendChild(component_xml_temp.createTextNode(i.replace(".rpm.xml",".rpm")))
			rpm_element.appendChild(temp_file_element)
				
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('divisions')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('operating_systems')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('category')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('id')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('name')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('version')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('manufacturer_name')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('languages')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('revision_history')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('sw_keys')[0])
			temp_element_base=component_xml_temp.getElementsByTagName('prerequisites')[0]
			temp_element=temp_element_base.getElementsByTagName('supported_operating_system')
			for i99 in temp_element:
				temp_text_platform=i99.getAttribute("platform")
				temp_text_platform=temp_text_platform.replace("_",".")
				i99.setAttribute("platform",temp_text_platform)	
				temp_text_name=i99.getAttribute("major").strip().lower()+\
					       i99.getAttribute("minor").strip().lower()+\
					       i99.getAttribute("platform").strip().lower()		
				temp_data=["","","","","","","","","","","","","","",""]
				for i13 in sos_data:
					if i13[3].strip().lower()+i13[5].strip().lower()+i13[1].strip().lower()\
					==temp_text_name:
					 	temp_data=i13
					 	break
				i99.setAttribute("major",temp_data[3])	
				i99.setAttribute("minor",temp_data[5])	
				i99.setAttribute("sr",temp_data[7])	
				i99.setAttribute("edition",temp_data[9])	
				i99.setAttribute("os",temp_data[11])	
				temp_os_xlate=component_xml_temp.createElementNS(None,u'operating_system_xlate')
				temp_os_xlate.setAttribute("timestamp",time.strftime("%Y%d%m"))
				temp_os_xlate.appendChild(component_xml_temp.createTextNode(i99.getAttribute("name")))
				i99.appendChild(temp_os_xlate)
			rpm_element.appendChild(temp_element_base)

			rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
			rpm_element.appendChild(component_xml_temp.createElementNS(None,u'references'))
		
			rpm_element.getElementsByTagName('references')[0].\
        	        appendChild(component_xml_temp.createElementNS(None,u'reference'))
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].setAttribute("crc","")
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].setAttribute("type","")	   	
			text_temp=component_xml_temp.createTextNode(string.replace(i,"rpm.tar.gz","rpm"))
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].appendChild(text_temp)
			rpm_element.getElementsByTagName('references')[0].\
        	        appendChild(component_xml_temp.createElementNS(None,u'reference'))
        	        rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[1].setAttribute("crc","")
        	        rpm_element.getElementsByTagName('references')[0].\
        	        getElementsByTagName('reference')[1].setAttribute("type","")
        	        text_temp=component_xml_temp.createTextNode(string.replace(i,".rpm.xml",".rpm"))
        	        rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[1].appendChild(text_temp)
		
			de.appendChild(rpm_element)
		elif((string.find(i,".scexe.xml")+len(".scexe.xml")-len(i))==0): #making sure its a scexe xml
			scexe_catalog_count=scexe_catalog_count+1
			try:
                            component_xml_temp = minidom.parse(w_directory+i)
                        except:
                            continue
			rpm_element=catalog_xml_template.createElementNS(None,u'cpq_package')
			rpm_element.setAttribute("version",CPQSRCATALOG_VERSION)
			rpm_element.setAttribute("keyabs",\
			location_find(i.replace(".scexe.xml",".scexe"),scexe_file_location))
			rpm_element.setAttribute("keyrel","")
			rpm_element.setAttribute("key",i.replace(".scexe.xml",".scexe"))
			rpm_element.setAttribute("add_time",time.strftime("%Y-%m-%d %k:%M:%S"))
			rpm_element.setAttribute("file_size","")
			rpm_element.setAttribute("cfgsupt","")
			temp_file_element=component_xml_temp.createElementNS(None,u'filename')
			temp_file_element.appendChild(component_xml_temp.createTextNode\
			(i.replace(".scexe.xml",".scexe")))
			rpm_element.appendChild(temp_file_element)

			rpm_element.appendChild(component_xml_temp.getElementsByTagName('divisions')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('operating_systems')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('category')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('id')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('name')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('version')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('manufacturer_name')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('languages')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('revision_history')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('sw_keys')[0])
			temp_element_base=component_xml_temp.getElementsByTagName('prerequisites')[0]
			temp_element=temp_element_base.getElementsByTagName('supported_operating_system')
			for i99 in temp_element:
				temp_text_platform=i99.getAttribute("platform")
				temp_text_platform=temp_text_platform.replace("_",".")
				i99.setAttribute("platform",temp_text_platform)	
				temp_text_name=i99.getAttribute("major").strip().lower()+\
					       i99.getAttribute("minor").strip().lower()+\
					       i99.getAttribute("platform").strip().lower()		
				temp_data=["","","","","","","","","","","","","","",""]
				for i13 in sos_data:
					if i13[3].strip().lower()+i13[5].strip().lower()+i13[1].strip().lower()\
					==temp_text_name:
					 	temp_data=i13
					 	break
				i99.setAttribute("major",temp_data[3])	
				i99.setAttribute("minor",temp_data[5])	
				i99.setAttribute("sr",temp_data[7])	
				i99.setAttribute("edition",temp_data[9])	
				i99.setAttribute("os",temp_data[11])	
				temp_os_xlate=component_xml_temp.createElementNS(None,u'operating_system_xlate')
				temp_os_xlate.setAttribute("timestamp",time.strftime("%Y%d%m"))
				temp_os_xlate.appendChild(component_xml_temp.createTextNode(i99.getAttribute("name")))
				i99.appendChild(temp_os_xlate)
			rpm_element.appendChild(temp_element_base)

			#rpm_element.appendChild(component_xml_temp.getElementsByTagName('prerequisites')[0])
			#rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
			
			rpm_element.appendChild(component_xml_temp.createElementNS(None,u'references'))
			rpm_element.getElementsByTagName('references')[0].\
        	        appendChild(component_xml_temp.createElementNS(None,u'reference'))
			
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].setAttribute("crc","")
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].setAttribute("type","")	   	
			text_temp=component_xml_temp.createTextNode(string.replace(i,".scexe.xml",".scexe"))
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].appendChild(text_temp)
			rpm_element.getElementsByTagName('references')[0].\
        	        appendChild(component_xml_temp.createElementNS(None,u'reference'))
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[1].setAttribute("crc","")
        	        rpm_element.getElementsByTagName('references')[0].\
        	        getElementsByTagName('reference')[1].setAttribute("type","")
        	        text_temp=component_xml_temp.createTextNode(string.replace(i,".scexe.xml",".scexe.xml"))
        	        rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[1].appendChild(text_temp)
		
			de.appendChild(rpm_element)
		elif is_that_a_psp_bp_xml(i)==1:
			#handling psp bp xml
			psp_catalog_count=1+psp_catalog_count
			try:
                            component_xml_temp = minidom.parse(w_directory+i)
                        except :
			    if DEBUG_ON:
				print "Error in handling psp bp xml",i
                            continue
                            
  	                LEVEL="967"
			rpm_element=catalog_xml_template.createElementNS(None,u'cpq_bundle')
			LEVEL="968"
			rpm_element.setAttribute("version","2.0.1.0")
			LEVEL="970"
			rpm_element.setAttribute("keyabs",\
			location_find(i,bp_xml_file_set_location))
    			LEVEL="974"
			rpm_element.setAttribute("keyrel","")
			LEVEL="976"
			rpm_element.setAttribute("key",i)
			LEVEL="978"
			rpm_element.setAttribute("add_time",time.strftime("%Y-%m-%d %k:%M:%S"))
    			LEVEL="980"
			rpm_element.setAttribute("file_size","")
			LEVEL="982"
			rpm_element.setAttribute("cfgsupt","")
			LEVEL="984"
			rpm_element.setAttribute("valid","true")
			LEVEL="986"
			#for psp component file name added as node
			LEVEL="988"
			temp_element=catalog_xml_template.createElementNS(None,u'filename')
			node_filename=component_xml_temp.createTextNode(i)
			temp_element.appendChild(node_filename)
			rpm_element.appendChild(temp_element)
			LEVEL="994"		
			#Category
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('category')[0])
			#temp_element=catalog_xml_template.createElementNS(None,u'category')
			#temp_element.setAttribute("key","15")
			#rpm_element.appendChild(temp_element)
			LEVEL="999"			
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('divisions')[0])
    			LEVEL="1001"
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('operating_systems')[0])
			LEVEL="1003"    
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('id')[0])
			LEVEL="1005"
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('name')[0])
			LEVEL="1007"
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('version')[0])
			#sa
			#ver = component_xml_temp.getElementsByTagName('version')[0]
			LEVEL="1009"
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('languages')[0])
			LEVEL="1011"
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('revision_history')[0])
			LEVEL="1013"
			temp_element_base=component_xml_temp.getElementsByTagName('prerequisites')[0]
			LEVEL="1015"
			temp_element=temp_element_base.getElementsByTagName('supported_operating_system')
			LEVEL="1017"
			for i99 in temp_element:
				temp_text_platform=i99.getAttribute("platform")
				temp_text_platform=temp_text_platform.replace("_",".")
				i99.setAttribute("platform",temp_text_platform)	
				temp_text_name=i99.getAttribute("major").strip().lower()+\
					       i99.getAttribute("minor").strip().lower()+\
					       i99.getAttribute("platform").strip().lower()
				temp_data=["","","","","","","","","","","","","","",""]
				for i13 in sos_data:
					if i13[3].strip().lower()+i13[5].strip().lower()+i13[1].strip().lower()\
					==temp_text_name:
					 	temp_data=i13
					 	break

				i99.setAttribute("major",temp_data[3])	
				i99.setAttribute("minor",temp_data[5])	
				i99.setAttribute("sr",temp_data[7])	
				i99.setAttribute("edition",temp_data[9])	
				i99.setAttribute("os",temp_data[11])	
				temp_os_xlate=component_xml_temp.createElementNS(None,u'operating_system_xlate')
				temp_os_xlate.setAttribute("timestamp",time.strftime("%Y%d%m"))
				temp_os_xlate.appendChild(component_xml_temp.createTextNode(i99.getAttribute("name")))
				i99.appendChild(temp_os_xlate)
			rpm_element.appendChild(temp_element_base)
			#LEVEL="1037"
			
			#try:
			# rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
			# rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
			#except:
        	    	# rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])'''

			try:
			 temp_contents=component_xml_temp.getElementsByTagName('contents')[0]
			 rpm_element.appendChild(temp_contents)
			 bp_xml_content_flag=1
			 missing_bp_xml_components=[]
			 for tc1 in temp_contents.getElementsByTagName('package'):
			  temp_text_contents=tc1.toxml()	
			  temp_text_contents=temp_text_contents.split(">")[1].split("<")[0]
			  #sa
			  if temp_text_contents.count("rpm.tar.gz")>0:
				bundle_has_tar_gz=1
				bundle_has_rpm=0
				bundle_has_scexe=0
			  elif temp_text_contents.endswith(".rpm")>0:
				bundle_has_rpm=1
				bundle_has_tar_gz=0
				bundle_has_scexe=0
			  elif temp_text_contents.endswith(".scexe")>0:
				bundle_has_scexe=1
				bundle_has_rpm=0
				bundle_has_scexe=0
			  else:
				LEVEL="Error in determining bundle type"
		
			  if temp_text_contents.count("rpm.tar.gz")>0:
			  	if(if_file_exist(string.replace\
				(temp_text_contents,'.rpm.tar.gz','.xml'),xml_file_set)==1):
				  bp_xml_content_flag=0
				  if DEBUG_ON:
				  	print "bp xml misses ",temp_text_contents
			  	  missing_bp_xml_components.append(temp_text_contents)
			  elif temp_text_contents.endswith(".rpm")>0:
			 	if(if_file_exist(string.replace\
				(temp_text_contents,'.rpm','.rpm.xml'),xml_file_set)==1):
				  bp_xml_content_flag=0
				  if DEBUG_ON:
					  print "bp xml misses ",temp_text_contents
			  	  missing_bp_xml_components.append(temp_text_contents)
				 
			  elif temp_text_contents.endswith(".scexe")>0:
			 	if(if_file_exist(string.replace\
				(temp_text_contents,'.scexe','.scexe.xml'),xml_file_set)==1):
				  bp_xml_content_flag=0
				  if DEBUG_ON:
					  print "bp xml misses ",temp_text_contents
			  	  missing_bp_xml_components.append(temp_text_contents)
			  else:
				LEVEL="Error in contents"
				if DEBUG_ON:
				 print LEVEL

			except :
				if DEBUG_ON:
					print "   bp xml contents error"
			
			#sa
				
			if bundle_has_tar_gz==1:
				try:
				 rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
				 rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
				except:
				 rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
			elif bundle_has_rpm==1:
				rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
			
			rpm_element.appendChild(component_xml_temp.createElementNS(None,u'references'))
			LEVEL="1045"
			try:
			 rpm_element.getElementsByTagName('references')[0].\
        	         appendChild(component_xml_temp.createElementNS(None,u'reference'))
			 rpm_element.getElementsByTagName('references')[0].\
		 	 getElementsByTagName('reference')[0].setAttribute("crc","")
			 rpm_element.getElementsByTagName('references')[0].\
			 getElementsByTagName('reference')[0].setAttribute("type","")	   	
			 text_temp=component_xml_temp.createTextNode(i)
			 rpm_element.getElementsByTagName('references')[0].\
			 getElementsByTagName('reference')[0].appendChild(text_temp)
			 LEVEL="1055"
			 rpm_element.getElementsByTagName('references')[0].\
                	 appendChild(component_xml_temp.createElementNS(None,u'reference'))
                	 rpm_element.getElementsByTagName('references')[0].\
			 getElementsByTagName('reference')[1].setAttribute("crc","")
                	 rpm_element.getElementsByTagName('references')[0].\
                	 getElementsByTagName('reference')[1].setAttribute("type","")
                	 text_temp=component_xml_temp.createTextNode(string.replace(i,".xml",".mnf"))
                	 rpm_element.getElementsByTagName('references')[0].\
			 getElementsByTagName('reference')[1].appendChild(text_temp)
			 LEVEL="1065"
			except :
			 if DEBUG_ON:
 				 print "msg @ :",LEVEL,":",
			if bp_xml_content_flag:
			 de.appendChild(rpm_element)
			 if DEBUG_ON:
				print i,"Verified"
			 os.system("rm -rf "+w_directory+i+".missing")
			else:
			 if DEBUG_ON:
				print i,"Verification failed"
			 temp_xml_component=missing_bp_xml_components.pop()
			 os.system("echo "+temp_xml_component+" >"+w_directory+i+".missing")			
			 for mxc in missing_bp_xml_components:
			   os.system("echo "+mxc+" >>"+w_directory+i+".missing")			
			 #os.system("rm -rf "+w_directory+i)

		else:
			#hoping its an rpm.tar.gz
		
			
			try:
                            component_xml_temp = minidom.parse(w_directory+i)
                            tar_catalog_count=1+tar_catalog_count
                        except :
			    if DEBUG_ON:
				print "Error in handling rpm.tzr.gz xml ",i
                            continue
	               
			rpm_element=catalog_xml_template.createElementNS(None,u'cpq_package')
			rpm_element.setAttribute("version","2.0.1.0")
			rpm_element.setAttribute("keyabs",\
			location_find(i.replace(".xml",".rpm.tar.gz"),tar_file_location))
			rpm_element.setAttribute("keyrel","")
			rpm_element.setAttribute("key",i.replace(".xml",".rpm.tar.gz"))
			rpm_element.setAttribute("add_time",time.strftime("%Y-%m-%d %k:%M:%S"))
			rpm_element.setAttribute("file_size","")
			rpm_element.setAttribute("cfgsupt","")
			temp_file_element=component_xml_temp.createElementNS(None,u'filename')
			temp_file_element.appendChild(component_xml_temp.createTextNode\
			(i.replace(".xml",".rpm.tar.gz")))
			rpm_element.appendChild(temp_file_element)
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('divisions')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('operating_systems')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('category')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('id')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('name')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('version')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('manufacturer_name')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('languages')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('revision_history')[0])
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('sw_keys')[0])
			temp_element_base=component_xml_temp.getElementsByTagName('prerequisites')[0]
			temp_element=temp_element_base.getElementsByTagName('supported_operating_system')
			for i99 in temp_element:
				temp_text_platform=i99.getAttribute("platform")
				temp_text_platform=temp_text_platform.replace("_",".")
				i99.setAttribute("platform",temp_text_platform)	
				temp_text_name=i99.getAttribute("major").strip().lower()+\
					       i99.getAttribute("minor").strip().lower()+\
					       i99.getAttribute("platform").strip().lower()		
				temp_data=["","","","","","","","","","","","","","",""]
				for i13 in sos_data:
					if i13[3].strip().lower()+i13[5].strip().lower()+i13[1].strip().lower()\
					==temp_text_name:
					 	temp_data=i13
					 	break
				i99.setAttribute("major",temp_data[3])	
				i99.setAttribute("minor",temp_data[5])	
				i99.setAttribute("sr",temp_data[7])	
				i99.setAttribute("edition",temp_data[9])	
				i99.setAttribute("os",temp_data[11])	
				temp_os_xlate=component_xml_temp.createElementNS(None,u'operating_system_xlate')
				temp_os_xlate.setAttribute("timestamp",time.strftime("%Y%d%m"))
				temp_os_xlate.appendChild(component_xml_temp.createTextNode(i99.getAttribute("name")))
				i99.appendChild(temp_os_xlate)

			rpm_element.appendChild(temp_element_base)
			rpm_element.appendChild(component_xml_temp.getElementsByTagName('related_files')[0])
			rpm_element.appendChild(component_xml_temp.createElementNS(None,u'references'))
			
			rpm_element.getElementsByTagName('references')[0].\
        	        appendChild(component_xml_temp.createElementNS(None,u'reference'))
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].setAttribute("crc","")
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].setAttribute("type","")	   	
			text_temp=component_xml_temp.createTextNode(string.replace(i,".xml",".rpm"))
			rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[0].appendChild(text_temp)
		
			rpm_element.getElementsByTagName('references')[0].\
                	appendChild(component_xml_temp.createElementNS(None,u'reference'))
                	rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[1].setAttribute("crc","")
                	rpm_element.getElementsByTagName('references')[0].\
                	getElementsByTagName('reference')[1].setAttribute("type","")
                	text_temp=component_xml_temp.createTextNode(string.replace(i,".rpm.tar.gz",".mnf"))
                	rpm_element.getElementsByTagName('references')[0].\
			getElementsByTagName('reference')[1].appendChild(text_temp)
	
			de.appendChild(rpm_element)
	 except :
		 if DEBUG_ON:
		         print i," is skipping dueto ERROR"
			 print "---",LEVEL,"----"
			 continue
	
	#This is to generate unique division list for node
	unique_di_text_list=[]
	unique_di_list=[]
	for m1 in de.getElementsByTagName('division'):
		if unique_di_text_list.count( m1.getAttribute("key"))==0:
			unique_di_text_list.append(m1.getAttribute("key"))
			temp_m1=m1.cloneNode(deep=True)
			unique_di_list.append(temp_m1)
				
	temp_di_element=de.getElementsByTagName('nodes')[0].\
	getElementsByTagName('divisions')[0]
	for i in unique_di_list:
		temp_di_element.appendChild(i)

	#This is to generate unique category list for node
	unique_ca_text_list=[]
	unique_ca_list=[]
	for n1 in de.getElementsByTagName('category'):
		if unique_ca_text_list.count(n1.getAttribute("key"))==0:
			unique_ca_text_list.append(n1.getAttribute("key"))
			temp_n1=n1.cloneNode(deep=True)
			unique_ca_list.append(temp_n1)
				
	temp_ca_element=de.getElementsByTagName('nodes')[0].\
	getElementsByTagName('categories')[0]
	for i in unique_ca_list:
		temp_ca_element.appendChild(i)
	#This is to generate unique OS list for node
	unique_os_text_list=[]
	unique_os_list=[]
	
	for k1 in de.getElementsByTagName('prerequisites'):
		for k2 in k1.getElementsByTagName('supported_operating_systems'):
			for k3 in k2.getElementsByTagName('supported_operating_system'):
				if unique_os_text_list.count(k3.getAttribute("name").strip().lower())==0:
					unique_os_text_list.append(k3.getAttribute("name").strip().lower())
					temp_k3=k3.cloneNode(deep=True)
					unique_os_list.append(temp_k3)
				
	temp_os_element=de.getElementsByTagName('nodes')[0].\
	getElementsByTagName('operating_systems')[0]
	

        temp_os_element=de.getElementsByTagName('nodes')[0].\
        getElementsByTagName('operating_systems')[0]
        for i in unique_os_list:
                text_temp_uniq_os=i.toxml()
                text_temp_uniq_os=text_temp_uniq_os.replace("supported_operating_system","operating_system")
                #print text_temp_uniq_os,"--------"
                #i=parseString("u'"+text_temp_uniq_os+"'.encode('UTF-8')").documentElement
                i=parseString(text_temp_uniq_os).documentElement
                temp_os_element.appendChild(i)

	
	
	
	#writing the new xml document to 'component.xml
	try:
 		catalog_xml_file=open(w_directory+'/cpqsrcatalog.xml','w')
		catalog_xml_file.write(catalog_xml_template.toxml("utf-8"))
		catalog_xml_file.close()
	except :
		if DEBUG_ON:
			print "Error in writing catalog xml"

		
if(DEBUG_ON):
	print "*_*_*_*_*_*_*_*_*_*_*_*_*_**_*_*_*_*_*_*_*_*_**__*_*_*_"
	print "Number rpm.tar.gz files added to catalog",tar_catalog_count
	print "Number psp's added to catalog ",psp_catalog_count
	print "Number rpm files added to catalog",rpm_catalog_count
	print "Number tar files unzipped",tar_file_count
	print "Number xml files  created from rpm",xml_from_rpm_count
	print "Number xml files from tar",xml_from_tar_count

