<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2001-2003 Hewlett-Packard Development Company, L.P. -->
<!DOCTYPE xsl:stylesheet [
	<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
	%common_en;
	<!ENTITY nothing_available "There is no available software to show.">
	<!ENTITY not_for_printing "This page is only for printing.">
	<!ENTITY txtSwStatusTitle "Software Status">
	<!ENTITY lblPrint "Print installed inventory">
	<!ENTITY txtPageInstalledTitle "Installed Software">
	<!ENTITY txtPageAvailSWTitle "Available Software">
	<!ENTITY txtSettingsTask "&#60;b&#62;change settings&#60;/b&#62;">
	<!ENTITY lblOverallStatus "Overall Software Status:&#160;">
	<!ENTITY txtUnknownStatusNoVcrm "Status cannot be calculated because a &vcr_name; has not been named.  Click on &txtSettingsTask; to specify a &vcr_name;.">
	<!ENTITY txtUnknownStatus "The currently named &vcr_name; did not return a status.  This is often due to an invalid &txtRefSupportPaq; selection.  The log may contain additional information.  Click on &txtSettingsTask; to specify a different &txtRefSupportPaq; or &vcr_name;.">
	<!ENTITY lblRefSupportPaq "&txtRefSupportPaq;:&#160;">
	<!ENTITY txtNoRefSP "None selected. Click on &txtSettingsTask; to specify the &txtRefSupportPaq;.">
	<!ENTITY txtItemDescHrefTip "View detailed information about the item.  You will be linked to a page from the &vcr_name;.">
	<!ENTITY txtInstallTip "Install/update the software">
	<!ENTITY txtInstallDisabledTip "Operator or administrative access is required to install software">
	<!ENTITY txtInstallDisabledSettingsTip "Agent settings prohibit installing software">
	<!ENTITY pageTitle             "&vca_name;&#160;&title_home;">
	<!ENTITY txtName "Name">
	<!ENTITY txtInstalledVersion "Installed Version">
	<!ENTITY txtBundleVersion "&support_paq; Version">
	<!ENTITY txtNewVersion "Latest Version">
	<!ENTITY lblInventoryCreated "Last Generated:&#160;">
	<!ENTITY txtSnmpFailed "Unable to collect Installed software, SNMP agents not running">
	<!ENTITY txtSeverity0 "">
	<!ENTITY txtSeverity99 "The Version Control Repository Manager is busy.">
	<!ENTITY txtAutoOption "Automatically Install Minimum Dependencies">
	<!ENTITY txtSeverity1 "This update may contain bug fixes or new hardware support.  &cpq; recommends that you review information about this version and apply this update appropriately.">
	<!ENTITY txtSeverity2 "This update contains critical bug fixes.  &cpq; requires that you apply this update at your earliest convenience.">
	<!ENTITY txtNotEqualStatus "An installed version does not match the version of the same item in the Reference Support Pack, and the Version Control Agent Settings specify that an exact match is expected.">
	<!ENTITY imgUpdate "&webapp_base;/img.en/upd.gif">
	<!ENTITY imgDisabledUpdate "&webapp_base;/img.en/disupd.gif">
	<!ENTITY imgHorizLine "&webapp_base;/img/horizlng.gif">
	<!ENTITY img_open_folder "&webapp_base;/img/open.gif">
	<!ENTITY img_closed_folder "&webapp_base;/img/closed.gif">
	<!ENTITY installWndWidth "800">
	<!ENTITY installWndHeight "600">
	<!ENTITY txt_btn_install "Install">
	<!ENTITY txt_btn_reset "Reset">
	<!ENTITY txt_not_installed "Not Installed">
]>
<!-- end of localization preface -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="operator">false</xsl:param>
	<xsl:param name="lang">&default_lang_code;</xsl:param>
	<xsl:param name="taskId">unknown</xsl:param>
	<xsl:param name="hmmoversion">1.0.0.0</xsl:param>
	<xsl:param name="mandatory_sp">false</xsl:param>
	<xsl:param name="vcrlinks"/>
	<xsl:param name="Inv_failed">false</xsl:param>
	<xsl:include href="menutasks.xsl"/>
	<xsl:key name="Swnames" match="swItem" use="key"/>
	<!-- Group the Duplicate entries-->
	<xsl:output indent="yes" method="html" encoding="UTF-8"/>
	<!-- check for "false" since older VCRMs didn't insert this attribute -->
	<xsl:variable name="operator_access">
		<xsl:choose>
			<xsl:when test="softwareInventory[@operator_access='false']">false</xsl:when>
			<xsl:otherwise>true</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:template match="softwareInventory">
		<html>
			<head>
				<meta http-equiv="pragma" content="no-cache"/>
				<meta http-equiv="expires" content="Tue, 01 Jan 1981 01:00:00 GMT"/>
				<link id="ReportStyles" rel="stylesheet" href="&webapp_base;/cpqwh.css" type="text/css"/>
				<title>
					<xsl:value-of select="machineName"/>  &pageTitle; &txtPageInventoryTitle;</title>
				<script src="&webapp_base;/timedate.js" language="JavaScript"/>
				<script src="&webapp_base;/timedate.vb" language="VBScript"/>
				<script src="&webapp_base;/showhide.js" type="text/javascript" language="JavaScript"/>
				<script language="javascript">
          function Auto_Min_Dep(auto_min)
          {
          document.getElementById('Ins_Min_Dep1').checked =auto_min.checked;
          document.getElementById('Ins_Min_Dep2').checked =auto_min.checked;
          }
          function NotInstalled(chkBox)
          {
          if(chkBox.checked == true)
          {
          if(null ==  document.CheckBoxSelection.chk_NI.length) // To handle one checkbox selection
          {
          document.CheckBoxSelection.chk_NI.checked =true;
          }
          else
          {
          var len = document.CheckBoxSelection.chk_NI.length;
          for(i=0;i &lt; len; i++)
			{
				document.CheckBoxSelection.chk_NI[i].checked =true;
			}
		}
	}
	else
	{
		if(null ==  document.CheckBoxSelection.chk_NI.length) // To handle one checkbox selection
		{
			document.CheckBoxSelection.chk_NI.checked = false;
		}
		else
		{
			var len = document.CheckBoxSelection.chk_NI.length;
			for(i=0;i &lt; len; i++)
			{
				document.CheckBoxSelection.chk_NI[i].checked =false;
			}
		}
	}
	Install("Bt_Enable"); 	// To Enable or Disable the Install Button
}
          function ImageClick(node)
          {
          var nodediv1 = document.getElementById(node.id + "name");
          var nodediv2 = document.getElementById(node.id + "vers");
          var nodediv3 = document.getElementById(node.id + "avai");
          var nodediv4 = document.getElementById(node.id + "newe");
          var nodediv5 = document.getElementById(node.id + "Line");
          if (nodediv1.style.display == "none")
          {
         	nodediv1.style.display = "";
          	nodediv2.style.display = "";
         	if(nodediv3 != undefined){
                    nodediv3.style.display = "";
              }
	   	 if(nodediv4 != undefined){
	         	 nodediv4.style.display = "";
          	}
         	if(nodediv5 != undefined){
	          nodediv5.style.display = "";
	       }
         	 node.src = "&img_open_folder;";
          }
          else
          {
          	nodediv1.style.display = "none";
          	nodediv2.style.display = "none";
         	 if(nodediv3 != undefined){
          		nodediv3.style.display = "none";
          	}
         	if(nodediv4 != undefined){
          		nodediv4.style.display = "none";
          	}
          	if(nodediv5 != undefined){
          		nodediv5.style.display = "none";
          	}
          	node.src = "&img_closed_folder;";
          	}
          }

          function onMouseOverInstallIcon(img) {
          var mouse_pointer = "pointer";
          if (navigator.appName.toLowerCase() == "microsoft internet explorer") {
          if (6 > parseInt(navigator.appVersion)) {
          mouse_pointer = "hand";
          }
          }
          img.style.cursor = mouse_pointer;
          }

          var wndInstall;
          // this function called from setTimeout to increase likelihood that the window is loaded
          function submitInstall(formHtml,hdlwindow) {
          wndInstall=hdlwindow;
          wndInstall.focus();
          // copy the hidden form to it and submit from there
          wndInstall.document.open("text/html","replace");
          wndInstall.document.write("&lt;html&gt;&lt;body&gt;"+formHtml+"&lt;/body&gt;&lt;/html&gt;");
               wndInstall.document.close();
               var oInvForm = wndInstall.document.getElementById("inventory");
               oInvForm.submit();
            }
            // handle the install icon click
            function update(str1, str2) {
              /*
               // open the installer window first
               var style = "toolbar=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,width=&installWndWidth;,height=&installWndHeight;";
               if (!wndInstall|| wndInstall.closed) {
                  wndInstall = window.open("", "", style);
               }
               */
              
              if (str1.substr(str1.length - 1, 1) == ";")
                  // trim trailing semicolon
                  str1 = str1.substr(0, str1.length - 1);
                  
               if (str2.substr(str2.length - 1, 1) == ",")
                  // trim trailing comma
                  str2 = str2.substr(0, str2.length - 1);
                  
               // set form hidden values
               document.inventory.displayName.value = str1;
               document.inventory.packageList.value = str2;

		//Check whether Minimum Dependency is checked or not.
		if(null != document.getElementById("Ins_Min_Dep1")) { //if CheckBox is present
			var Min_Dependency = document.getElementById("Ins_Min_Dep1");
			if(Min_Dependency.checked == true) {
	       		document.inventory.Min_Dependency.value = "true";
			}
			else {
				document.inventory.Min_Dependency.value = "false";
				}
		}
               
               // fill out window after a pause to allow it to load
               setTimeout("submitInstall(document.getElementById(\"inventoryForm\").innerHTML,this);", 100);
               return false;
            }
            
            //handle Header SP check box selection
		function CheckSPmain(SPchk, LVchk) 
		{
			var CBSP = document.getElementById("CheckAll_SP")
			var CBLV = document.getElementById("CheckAll_LV")
			if(CBSP.checked == true)
			{
				if(null ==  SPchk.length) // To handle one checkbox selection
				{
					SPchk.checked = true;
				}
				else {
					//check all Support Pack Versions
					for (i = 0; i &lt; SPchk.length; i++)
						{SPchk[i].checked = true;}
				}
				
				if(null ==  SPchk.length) // To handle one checkbox selection
				{
					LVchk.checked = false;
				}
				else { 
					//Uncheck all Latest Versions
					for (i = 0; i &lt; LVchk.length; i++)
						{LVchk[i].checked = false;}
				}
				CBLV.checked = false;	//Set LV Header CheckBox as false
			}
			else
			{
				for (i = 0; i &lt; SPchk.length; i++)
					SPchk[i].checked = false;
			}
			Install("Bt_Enable"); 	// To Enable or Disable the Install Button
		}
		
		//handle Header LV check box selection
		function CheckLVmain(SPchk, LVchk) 
		{
			var CBSP = document.getElementById("CheckAll_SP")
			var CBLV = document.getElementById("CheckAll_LV")

			if(CBLV.checked == true)
			{
				if(null ==  LVchk.length) // To handle one checkbox selection
				{
					LVchk.checked = true;
				}
				else
				{
					for (i = 0; i &lt; LVchk.length; i++)
					{LVchk[i].checked = true;}
				}
					
				//Uncheck all SP
				if(undefined != SPchk) {	//Check if SP is chosen by the user
					if(null ==  SPchk.length) // To handle one checkbox selection
					{
						SPchk.checked = false;
					}
					else
					{
						for (i = 0; i &lt; SPchk.length; i++)
							{SPchk[i].checked = false;}
					}
					if(CBSP.checked == true)
						CBSP.checked = false;	//Set SP Header CheckBox as false
				}	
			}
			else {
				if(null ==  LVchk.length) // To handle one checkbox selection
				{
					LVchk.checked = false;
				}
				else
				{	for (i = 0; i &lt; LVchk.length; i++)
					{
						LVchk[i].checked = false;
					}
				}
				
			}
			Install("Bt_Enable"); 	// To Enable or Disable the Install Button
		}
		
		//handle individual check box selections
		function CheckSelection(str1)
			{

			var keyname = str1.value;
			if(str1.name == "chk_NI")
			{
				var CBNI = document.getElementById("notinstalled");
				
				//check if all are checked.
				// Update NI main if all are selected.
				var Status = true;
				for(j=0;j &lt; document.CheckBoxSelection.chk_NI.length ; j++)
				{ if(document.CheckBoxSelection.chk_NI[j].checked == false)
						{Status = false;}
				}
				
				if(null == document.CheckBoxSelection.chk_NI.length) // To handle one checkbox selection
				{
					if(document.CheckBoxSelection.chk_NI.checked == false)
						{Status = false;}	
				}
				
				if(Status == true)
				{CBNI.checked = true;}
				else
				{CBNI.checked = false;}
				
				Install("Bt_Enable");
				
				return true;
			}
			
			var CBSP = document.getElementById("CheckAll_SP")
			var CBLV = document.getElementById("CheckAll_LV")
			
			if(str1.name == "SPV")
				{//check if all are checked.
					// Update SPV main if all are selected.
				var Status = true;
				for(j=0;j &lt; document.CheckBoxSelection.SPV.length ; j++)
					{ if(document.CheckBoxSelection.SPV[j].checked == false)
						{Status = false;}
				}
				
				if(null == document.CheckBoxSelection.SPV.length) // To handle one checkbox selection
				{
					if(document.CheckBoxSelection.SPV.checked == false)
						{Status = false;}	
				}
				
				if(Status == true)
					{CBSP.checked = true;}
					else
					{CBSP.checked = false;}
				}
			else
				{
				// Update LV main if all are selected.
				var Status = true;
				for(j=0;j &lt; document.CheckBoxSelection.LV.length ; j++)
					{ if(document.CheckBoxSelection.LV[j].checked == false)
						{Status = false;}
					}
				if(null == document.CheckBoxSelection.LV.length) // To handle one checkbox selection
				{
					if(document.CheckBoxSelection.LV.checked == false)
						{Status = false;}	
				}
					
				if(Status == true)
					{CBLV.checked = true;}
				else
					{CBLV.checked = false;}
				}
				
			Install("Bt_Enable"); // To Enable or Disable the Install Button
			
			var key = keyname.split(";");
			if(key.length > 1)
				{if(str1.name == "SPV")   // uncheck Latest version if Support pack version is checked.
					{for(i=0;i &lt; document.CheckBoxSelection.LV.length ; i++)
						{var temp = document.CheckBoxSelection.LV[i].value.split(";");
						if(temp.length >1)
							{if(temp[1] == key[1])
								{if (str1.checked)
									{document.CheckBoxSelection.LV[i].checked = false;
									// Change the Overall checkbox for Latest Version
									CBLV.checked = false;
									}
								}
							}
						}
					}
				else {		// uncheck Support pack version if latest version is checked.
					if(undefined != (document.CheckBoxSelection.SPV)) {		//Check if SP is chosen by the user
						for(i=0;i &lt; document.CheckBoxSelection.SPV.length ; i++)
							{var temp = document.CheckBoxSelection.SPV[i].value.split(";");
							if(temp.length >1)
								{if(temp[1] == key[1])
									{if (str1.checked)
										{document.CheckBoxSelection.SPV[i].checked = false;
										// Change the Overall checkbox for Latest Version
										CBSP.checked = false;
										}
									}
								}
							}
						}
					}
				}
			}
			
			function ResetAll()
			{
				if(document.CheckBoxSelection != undefined )
				{
					document.CheckBoxSelection.reset();
					document.CheckBoxSelection.Bt_Install.disabled = true;
				}
				if(document.AddItemsSelection != undefined)
				{
					document.AddItemsSelection.reset();
					document.AddItemsSelection.Bt_Install.disabled = true;
				}
			}
			
			function Install(status)
			{
				// to get all elements Displayname and Comp name that are checked
				// pass them as parameter to update function
				
				var	DisplayNames='' ;	//Making string as empty. 
				var CPNames='' ; 		//Making string as empty. 
				
				if(undefined != (document.CheckBoxSelection.SPV)) {		//Check if SP is chosen by the user
					for(i=0;i &lt; document.CheckBoxSelection.SPV.length ; i++) {
						if(document.CheckBoxSelection.SPV[i].checked == true) {
							var temp = document.CheckBoxSelection.SPV[i].value.split(";");
							CPNames += temp[0] + ',' ; 		//Append comma to CPNames
							DisplayNames+= temp[2] + ';' ; 	//Append semi colon to DisplayNames
						}
					}
					if(null == document.CheckBoxSelection.SPV.length)
					{
						if(document.CheckBoxSelection.SPV.checked == true) {
							var temp = document.CheckBoxSelection.SPV.value.split(";");
							CPNames += temp[0] + ',' ; 		//Append comma to CPNames
							DisplayNames+= temp[2] + ';' ; 	//Append semi colon to DisplayNames
						}
					}
				}

			if(undefined != (document.CheckBoxSelection.LV)) {		//Check if atleast one LV is present
				for(i=0;i &lt; document.CheckBoxSelection.LV.length ; i++) {
					if(document.CheckBoxSelection.LV[i].checked == true) {
						var temp = document.CheckBoxSelection.LV[i].value.split(";");
						CPNames += temp[0] + ',' ; 		//Append comma to CPNames
						DisplayNames+= temp[2] + ';' ; 	//Append semi colon to DisplayNames
					}					
				}
				if(null == document.CheckBoxSelection.LV.length)
				{
					if(document.CheckBoxSelection.LV.checked == true) {
						var temp = document.CheckBoxSelection.LV.value.split(";");
						CPNames += temp[0] + ',' ; 		//Append comma to CPNames
						DisplayNames+= temp[2] + ';' ; 	//Append semi colon to DisplayNames
					}
				}
			}


				for(i=0;i &lt; document.AddItemsSelection.AddItems.length ; i++) {
					if(document.AddItemsSelection.AddItems[i].checked == true) {
						var temp = document.AddItemsSelection.AddItems[i].value.split(";");
						CPNames += temp[0] + ',' ; 		//Append comma to CPNames
						DisplayNames+= temp[1] + ';' ; 	//Append semi colon to DisplayNames
					}
				}
				
				if(null == document.AddItemsSelection.AddItems.length)
				{
					if(document.AddItemsSelection.AddItems.checked == true) {
						var temp = document.AddItemsSelection.AddItems.value.split(";");
						CPNames += temp[0] + ',' ; 		//Append comma to CPNames
						DisplayNames+= temp[1] + ';' ; 	//Append semi colon to DisplayNames	
					}
				}
				
			if(undefined != (document.CheckBoxSelection.chk_NI)) {		//Check if atleast one Not Installed is present
				for(i=0;i &lt; document.CheckBoxSelection.chk_NI.length ; i++) {
					if(document.CheckBoxSelection.chk_NI[i].checked == true) {
						var temp = document.CheckBoxSelection.chk_NI[i].value.split(";");
						CPNames += temp[0] + ',' ; 		//Append comma to CPNames
						DisplayNames+= temp[2] + ';' ; 	//Append semi colon to DisplayNames
					}					
				}
				if(null == document.CheckBoxSelection.chk_NI.length)
				{
					if(document.CheckBoxSelection.chk_NI.checked == true) {
						var temp = document.CheckBoxSelection.chk_NI.value.split(";");
						CPNames += temp[0] + ',' ; 		//Append comma to CPNames
						DisplayNames+= temp[2] + ';' ; 	//Append semi colon to DisplayNames
					}
				}
			}
			
				if(status == "Bt_Enable")
				{ 
					if(CPNames.length)
					{					
						document.CheckBoxSelection.Bt_Install.disabled = false;
						document.AddItemsSelection.Bt_Install.disabled = false;
					}
					else
					{					
						document.CheckBoxSelection.Bt_Install.disabled = true;
						document.AddItemsSelection.Bt_Install.disabled = true;
					}
				}
				else
				{	//Call function Update with DisplayNames and CPNames as parameter
					update(DisplayNames, CPNames) ;
				}
			}

            // mozilla doesn't support outerHtml property...
            function GetOuterHTML(o) {
               var sTag = o.tagName;
               if (sTag.length == 0) return "";
               
               var sHTML = "&lt;" + sTag;
               var oAttrs = o.attributes;
               var idxAttr;
               var nAttrs = oAttrs.length;
               for (idxAttr = 0; idxAttr &lt; nAttrs; idxAttr++)
               {
                  var sVal = oAttrs[idxAttr].value;
                  if (sVal != "null" &amp;&amp; sVal != "")
                     sHTML += " " + oAttrs[idxAttr].name + "=\"" + sVal + "\"";
               }
               // close the outer HTML tag, including inner HTML if there is any
               var sInnerHTML = o.innerHTML;
               if ((sInnerHTML != null) &amp;&amp; sInnerHTML.length)
               {
                  sHTML += ("&gt;" + sInnerHTML + "&lt;/" + sTag +"&gt;");
               }
               else
               {
                  if ((sTag=="LINK") || (sTag=="BR") || (sTag=="IMG") || (sTag=="META"))
                     sHTML += "&gt;";
                  else
                     sHTML += "/&gt;";
               }
               <!-- default setting of disabled="false" messes up css in IE -->
               var reDisabledAttr = /disabled\=.false./i 
               return sHTML.replace(reDisabledAttr, "");
            }

            function doPrint()
            {
                // write outer HTML and onload handler
                var text = "&lt;html&gt;&lt;head&gt;\n ";
                text += GetOuterHTML(document.getElementById("ReportStyles"));
                text += "\n &lt;script language=\&quot;JavaScript\&quot; &gt;\n";
                text += "  function print_it() {\n";
                text += "    var icn = document.getElementById(\"PrintIcon\");\n";
                text += "    icn.innerHTML = \"\";\n";
                <!-- if new handlers are added to different tags, this function must change -->
                text += "    var tags, t, nTags;\n";
                <!-- remove onclicks, and onmousemoves from "A" tags - DOES NOT WORK! &^%$% -->
                text += "    tags = document.getElementsByTagName(\"A\");\n";
                text += "    nTags = tags.length;\n";
                text += "    for( t = 0 ; t != nTags; t++ ){\n";
                text += "      tags[t].href = \"\";\n";
                text += "      tags[t].target = \"\";\n";
                text += "      tags[t].onclick = \"\";\n";
                text += "      tags[t].onmousemove = \"\";\n";
                text += "    }\n";
                <!-- remove onmouseover from "IMG" tags -->
                text += "    tags = document.getElementsByTagName(\"IMG\");\n";
                text += "    nTags = tags.length;\n";
                text += "    for( t = 0 ; t != nTags ; t++ )\n";
                text += "      tags[t].onmouseover = \"\";\n";
                text += "    setTimeout(\"window.print();window.close()\", 100);\n";
                text += "  }\n";
                text += "       function noMouseClick() {\n";
                text += "       alert('&not_for_printing;')\n";
                text += "}\n";
                text += "document.onmousedown=noMouseClick\n";
                text += (" &lt;" + "/" + "script&gt;\n");
                text += ("&lt;" + "/" + "head&gt;\n");
                text += "&lt;body onload=\&quot;print_it();\&quot; &gt;";

                // pick up the parts of the document we want to display and print
                var i = 0;
                while( true )
                {
                    var name = "InvReport"+i;
                    var obj = document.getElementById(name);
                    if( obj == null )
                        break;

                    var sInOut = obj.getAttribute("ReportFmt", false);
                    if (sInOut == "includeTag" )
                    {
                       text += GetOuterHTML(obj);
                    }
                    else
                    {
                        text += obj.innerHTML;
                    }
                    i++;
                }
                // close the html page
                text += "&lt;/body&gt;&lt;/html&gt;";
                // display it
                //var args = "width=10,height=10,left=20,top=20,scrollbars,resizable,top=0,left=0";
                var win = window.open();
                win.focus( );
                win.document.open("text/html","replace");
                win.document.write(text);
                win.document.close();
            }

            function showhideAvailable(oMenu){
               if (null == document.AddItemsSelection) 
               {
                   // there is no available software to show or hide
                   window.alert("&nothing_available;");
                   return;
               }
               else if( null == document.AddItemsSelection.AddItems)
               {
                    window.alert("&nothing_available;");
                    return;
               }
               var bShowing = showhide2("available")
               if (bShowing) {
//move this to cpqnav.xsl to support IE6 and IE7
//                  var new_txt = document.createTextNode("&home_task_hide_all;");
//                  oMenu.replaceChild(new_txt, oMenu.childNodes[1]);
     			window.parent.navigation.nav_showhide(1);
               }
               else {
//move this to cpqnav.xsl to support IE6 and IE7
//                  var new_txt = document.createTextNode("&home_task_show_all;");
          //                  oMenu.replaceChild(new_txt, oMenu.childNodes[1]);
          window.parent.navigation.nav_showhide(0);
          }
          }

          function onPageLoad(){
          if (null != window.parent) {
          window.parent.FrameLoaded(window.name);
          }
          var table = document.getElementById('subhead');
          if(table != null) {
          var rows = table.getElementsByTagName("tr");
          if(rows.length == 1){
          document.getElementById('subhead').style.display = 'none';
          document.getElementById('mainhead').style.display = 'none';}
          else{
          document.getElementById('subhead').style.display = '';
          document.getElementById('mainhead').style.display = '';}
          }
          }
          // the frameset calls this when the frames are all loaded
          function onFramesLoaded() {
          // make sure the nav frame highlights the right
          // tab when user pressed back/forward button
          window.parent.navigation.setTab("HomeTab");
          window.parent.navigation.testload("&home_task_show_all;");
            }
</script>
	<style type="text/css">
            table.content {margin: 0 0 0 0}
            td.tabnavbar {padding-left:0; padding-top:2;}
            td.tabcontent {padding-left:5; padding-top:5;}
            table.status {width:100%}
            table.status th {text-align:left; background-color:#336699; color:#FFFFFF}
            table.status td {font-size:9pt; padding: 2 10 0 2}
	    table.TestHead {width:100%}
            table.TestHead tr {text-align:left; background-color:#AAAAAA; color:#FFFFFF}
            table.TestHead td {font-size:12pt; font-weight:bold; padding: 2 10 0 2}
	    table.NotInsData {width:100%}
	    table.NotInsData th {text-align:left; background-color:#AAAAAA; color:#FFFFFF}
</style>
			</head>
			<body bgcolor="#FFFFFF" text="#000000" onLoad="user:onPageLoad();">
				<table class="content" style="height:92%;" width="100%" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<!-- sand
						 menu/nav bar column 
						<td class="tabnavbar" width="114" bgcolor="#336699" valign="top">
							 <xsl:call-template name="taskmenu">
								<xsl:with-param name="curTabId">HomeTab</xsl:with-param>
								<xsl:with-param name="operator">
									<xsl:value-of select="$operator"/>
								</xsl:with-param>
							</xsl:call-template>
						</td> -->
						<!-- content column -->
						<td class="tabcontent" valign="top">
							<!-- inventory / available software -->
							<div style="overflow: auto;">
								<xsl:apply-templates select="installedSoftware|allSoftware"/>
							</div>
							<!-- inventory page footer -->
							<br/>
							<div class="pageFooter">
								<table cellspacing="0" border="0">
									<tr>
										<td nowrap="1">
											<b>&lblInventoryCreated;</b>
										</td>
										<td width="100%">
											<script>document.write(&vcTS2LocalDT;('<xsl:value-of select="created/@utcDateTime"/>'));</script>
										</td>
									</tr>
								</table>
							</div>
						</td>
					</tr>
				</table>
				<div class="pageFooter">
					<table cellspacing="0" border="0">
						<tr>
							<td>&cpq_vca_name;&#032;
                        					<a>
									<xsl:value-of select="$hmmoversion"/>
								</a>
							</td>
						</tr>
					</table>
				</div>
				<div name="inventoryForm" id="inventoryForm">
					<!-- hidden form fields -->
					<form name="inventory" id="inventory" method="post" action="&cgi_base;">
						<input type="hidden" id="legacyuri" name="legacyuri" value="&hmmo_base;/install"/>
						<input type="hidden" id="displayName" name="displayName"/>
						<input type="hidden" id="packageList" name="packageList"/>
						<input type="hidden" id="Min_Dependency" name="Min_Dependency" value="false"/>
						<input type="hidden" id="taskId" name="taskId">
							<xsl:attribute name="value"><xsl:value-of select="$taskId"/></xsl:attribute>
						</input>
					</form>
				</div>
			</body>
		</html>
	</xsl:template>
	<!-- installed software status template -->
	<xsl:template name="softwareStatus">
		<img>
			<xsl:choose>
				<xsl:when test="status[@value='1']">
					<xsl:attribute name="src">&img_minor;</xsl:attribute>
					<xsl:attribute name="title">&txtSeverity1;</xsl:attribute>
				</xsl:when>
				<xsl:when test="status[@value='2']">
					<xsl:attribute name="src">&img_major;</xsl:attribute>
					<xsl:attribute name="title"><xsl:choose><xsl:when test="status[@not_equal_status='yes']">&txtNotEqualStatus;</xsl:when><xsl:otherwise>&txtSeverity2;</xsl:otherwise></xsl:choose></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="src">&img_normal;</xsl:attribute>
					<xsl:attribute name="title">&txtSeverity0;</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</img>
	</xsl:template>
	<!-- installed software template -->
	<xsl:template match="installedSoftware">
		<div id="InvReport0" ReportFmt="includeTag" class="pageSectionTitle">
			<table width="100%" cellspacing="0" border="0">
				<tr bgcolor="0B366B">
					<td>&txtSwStatusTitle;</td>
					<td id="PrintIcon" align="center" width="30">
						<a href="javascript:doPrint();">
							<img title="&lblPrint;" width="16" height="14" src="&webapp_base;/img/print.gif"/>
						</a>
					</td>
				</tr>
			</table>
		</div>
		<xsl:variable name="has_bundle_info">
			<xsl:choose>
				<xsl:when test="(/softwareInventory/bundle/name/name_xlate[@lang=$lang]) or (/softwareInventory/bundle/name/name_xlate[@lang='en'])">
					<xsl:value-of select="true()"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="false()"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<table id="InvReport1" ReportFmt="includeTag" style="width:95%;" cellspacing="0" border="0">
			<tr>
				<td align="right" nowrap="true" valign="top">
					<b>&lblOverallStatus;</b>
				</td>
				<xsl:choose>
					<xsl:when test="/softwareInventory/repository">
						<xsl:choose>
							<xsl:when test="/softwareInventory/installedSoftware/status">
    					  <xsl:choose>
          			  <xsl:when test="$Inv_failed='true'">
                    <!-- Display major Always is SNMP Failed.-->
            			  <td>
              			  <img>
                			  <xsl:attribute name="src">&img_major;</xsl:attribute>
                			  <xsl:attribute name="title">&txtSnmpFailed;</xsl:attribute>
              			  </img>
            			  </td>
                    <td>
                    <b>&txtSnmpFailed;</b>
                    </td>
          			  </xsl:when>
          			  <xsl:otherwise>
                    <td colspan="2">
                      <xsl:call-template name="softwareStatus"/>
                    </td>
          			  </xsl:otherwise>
        			  </xsl:choose>
							</xsl:when>
							<xsl:when test="/softwareInventory/installedSoftware/busy">
								<td colspan="1">
									<img src="&img_unknown;" title="&txt_unknown;"/>&#160; &txtSeverity99;</td>
							</xsl:when>
							<xsl:otherwise>
								<!-- a VCRM without status - we assume w/o bundle info, too -->
								<td valign="top">
									<img src="&img_unknown;" title="&txt_unknown;"/>&#160;</td>
								<td valign="top">&txtUnknownStatus;</td>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<!-- the VCRM has not been specified -->
						<td valign="top">
							<img src="&img_unknown;" title="&txt_unknown;"/>&#160;</td>
						<td valign="top">&txtUnknownStatusNoVcrm;</td>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
			<xsl:if test="/softwareInventory/repository">
				<tr>
					<td align="right" nowrap="true" valign="top">
						<b>&lblRefSupportPaq;</b>
					</td>
					<xsl:choose>
						<xsl:when test="$has_bundle_info='true'">
							<td colspan="1">
								<xsl:for-each select="/softwareInventory/bundle[1]">
									<!-- only one! -->
									<xsl:call-template name="available_item">
										<xsl:with-param name="Reference_SP">RefSP</xsl:with-param>
									</xsl:call-template>
								</xsl:for-each>
							</td>
						</xsl:when>
						<xsl:otherwise>
							<td colspan="2">&txtNoRefSP;</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:if>
		</table>
		<br id="InvReport2" ReportFmt="includeTag"/>
		<!-- Inventory table -->
		<div align="center" name="installed" id="installed" style="width:100%; ">
			<div id="InvReport3" ReportFmt="includeTag" class="pageSectionTitle">
				<table width="100%" cellspacing="0" border="0">
					<tr bgcolor="0B366B">
						<td>&txtPageInstalledTitle;</td>
					</tr>
				</table>
			</div>
			<br/>
			<div id="InvReport4" class="tableStyle1">
				<form name="CheckBoxSelection">
					<table style="width:100%; text-align:center" cellspacing="0" border="0">
						<thead>
							<tr bgcolor="0B366B">
								<th align="left">&txtName;</th>
								<th>&txtInstalledVersion;</th>
								<!-- only add these columns if the repositoryName element is present -->
								<xsl:if test="/softwareInventory/repository">
									<xsl:if test="$has_bundle_info='true'">
										<td/>
										<th>
											<input type="checkbox" name="CheckAll_SP" id="CheckAll_SP">
												<xsl:choose>
													<xsl:when test="$operator_access='false'">
														<xsl:attribute name="disabled">disabled</xsl:attribute>
														<xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
													</xsl:when>
													<xsl:when test="$operator='true' and //availableVersions/availableVersion[@category='bundle'] ">
														<xsl:attribute name="onclick">CheckSPmain(document.CheckBoxSelection.SPV, document.CheckBoxSelection.LV)</xsl:attribute>
													</xsl:when>
													<xsl:otherwise>
														<xsl:attribute name="disabled">disabled</xsl:attribute>
														<xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
													</xsl:otherwise>
												</xsl:choose>
											</input>
										</th>
										<th align="left">&txtBundleVersion;</th>
									</xsl:if>
									<td/>
									<th>
										<input type="checkbox" name="CheckAll_LV" id="CheckAll_LV">
											<xsl:choose>
												<xsl:when test="$operator_access='false'">
													<xsl:attribute name="disabled">disabled</xsl:attribute>
													<xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
												</xsl:when>
												<xsl:when test="$operator='true' and //availableVersions/availableVersion[@category='newest']">
													<xsl:attribute name="onclick">CheckLVmain(document.CheckBoxSelection.SPV, document.CheckBoxSelection.LV)</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="disabled">disabled</xsl:attribute>
													<xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
										</input>
									</th>
									<th align="left">&txtNewVersion;</th>
								</xsl:if>
							</tr>
						</thead>
						<tbody>
							<xsl:variable name="G_temp" select="//swItem"/>
							<xsl:for-each select="swItemList/swItem[generate-id() = generate-id(key('Swnames',key)[1])]">
							<!-- If the components doesn't belong to the following list,handle them here.-->
								<xsl:if test="key != 'hpsum.exe' and key != 'hpsum' and key != 'hppldu' and (not(contains(key,'cpld'))) and (not(contains(key,'xnc_fpga')))  and (not(contains(key,'xnc_fmp')))  ">
									<xsl:variable name="inventory_item" select="."/>
									<!-- loga -->
									<xsl:variable name="A_temp" select="count(//swItem[key=$inventory_item/key/text()])"/>
									<xsl:choose>
										<xsl:when test="$A_temp &gt; 1">
											<!-- Same Software key found. So, group them.-->
											<!-- Find the Lowest Version in the group -->
											<tr>
												<td style="text-align:left;">
													<img src="&img_closed_folder;" id="{$inventory_item/key/text()}" onClick="ImageClick(this)"/>
													<xsl:choose>
														<xsl:when test="name/name_xlate[@lang=$lang]">
															<xsl:value-of select="name/name_xlate[@lang=$lang]"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="name/name_xlate[@lang='en']"/>
														</xsl:otherwise>
													</xsl:choose>
												</td>
												<td align="center">
													<xsl:if test="key[@not_equal_status='yes']">
														<xsl:attribute name="style">font-weight:bold; color:red;</xsl:attribute>
													</xsl:if>
													<xsl:value-of select="installedVer"/>
												</td>
												<xsl:choose>
													<xsl:when test="availableVersions/availableVersion[@category='bundle']">
														<xsl:for-each select="availableVersions/availableVersion[@category='bundle'][1]">
															<td align="right">
																<xsl:call-template name="softwareStatus"/>
															</td>
															<xsl:call-template name="available_inventory_item">
																<xsl:with-param name="inventory_item" select="$inventory_item"/>
																<xsl:with-param name="Version">SPV</xsl:with-param>
															</xsl:call-template>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="$has_bundle_info='true'">
															<!-- an empty column entry -->
															<td/>
															<td/>
															<td/>
														</xsl:if>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:choose>
													<xsl:when test="availableVersions/availableVersion[@category='newest']">
														<xsl:for-each select="availableVersions/availableVersion[@category='newest'][1]">
															<td align="right">
																<xsl:call-template name="softwareStatus"/>
															</td>
															<xsl:call-template name="available_inventory_item">
																<xsl:with-param name="inventory_item" select="$inventory_item"/>
																<xsl:with-param name="Version">LV</xsl:with-param>
															</xsl:call-template>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<!-- an empty column entry -->
														<td/>
														<td/>
														<td/>
													</xsl:otherwise>
												</xsl:choose>
											</tr>
											<tr>
												<!-- draw line-->
												<xsl:choose>
													<xsl:when test="/softwareInventory/repository">
														<xsl:choose>
															<xsl:when test="/softwareInventory/bundle">
																<td colspan="8">
																	<img src="&imgHorizLine;" height="1px" width="100%"/>
																</td>
															</xsl:when>
															<xsl:otherwise>
																<td colspan="5">
																	<img src="&imgHorizLine;" height="1px" width="100%"/>
																</td>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:when>
													<xsl:otherwise>
														<td colspan="2">
															<img src="&imgHorizLine;" height="1px" width="100%"/>
														</td>
													</xsl:otherwise>
												</xsl:choose>
											</tr>
											<tr>
												<td align="left">
													<div id="{$inventory_item/key/text()}name" style="display: none;">
														<table cellspacing="0" border="0">
															<!-- Name Table -->
															<tbody>
																<xsl:for-each select="$G_temp[key=$inventory_item/key/text()]">
																	<div>
																		<tr>
																			<td>
																				<xsl:choose>
																					<xsl:when test="name/name_xlate[@lang=$lang]">
                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<xsl:value-of select="name/name_xlate[@lang=$lang]"/>
																					</xsl:when>
																					<xsl:otherwise>
                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<xsl:value-of select="name/name_xlate[@lang='en']"/>
																					</xsl:otherwise>
																				</xsl:choose>
																			</td>
																		</tr>
																	</div>
																</xsl:for-each>
															</tbody>
														</table>
													</div>
												</td>
												<td align="center">
													<div id="{$inventory_item/key/text()}vers" style="display: none;">
														<table cellspacing="0" border="0">
															<!-- Installed Verion Table -->
															<tbody>
																<xsl:for-each select="$G_temp[key=$inventory_item/key/text()]">
																	<div>
																		<tr>
																			<td>
																				<xsl:if test="key[@not_equal_status='yes']">
																					<xsl:attribute name="style">font-weight:bold; color:red;</xsl:attribute>
																				</xsl:if>
																				<xsl:value-of select="installedVer"/>
																			</td>
																		</tr>
																	</div>
																</xsl:for-each>
															</tbody>
														</table>
													</div>
												</td>
												<td colspan="3" align="left">
													<div id="{$inventory_item/key/text()}avai" style="display: none;">
														<table cellspacing="0" border="0">
															<tbody>
																<xsl:for-each select="$G_temp[key=$inventory_item/key/text()]">
																	<xsl:variable name="group_item" select="."/>
																	<div>
																		<tr>
																			<xsl:choose>
																				<xsl:when test="availableVersions/availableVersion[@category='bundle']">
																					<xsl:for-each select="availableVersions/availableVersion[@category='bundle'][1]">
																						<td align="right">
																							<xsl:call-template name="softwareStatus"/>
																						</td>
																						<xsl:call-template name="available_inventory_item">
																							<xsl:with-param name="inventory_item" select="$group_item"/>
																							<xsl:with-param name="Version">GroupV</xsl:with-param>
																						</xsl:call-template>
																					</xsl:for-each>
																				</xsl:when>
																				<xsl:otherwise>
																					<xsl:if test="$has_bundle_info='true'">
																						<!-- an empty column entry -->
																						<td/>
																						<td/>
																						<td/>
																					</xsl:if>
																				</xsl:otherwise>
																			</xsl:choose>
																		</tr>
																	</div>
																</xsl:for-each>
															</tbody>
														</table>
													</div>
												</td>
												<td colspan="3" align="left">
													<div id="{$inventory_item/key/text()}newe" style="display: none;">
														<table cellspacing="0" border="0">
															<tbody>
																<xsl:for-each select="$G_temp[key=$inventory_item/key/text()]">
																	<xsl:variable name="group_item" select="."/>
																	<div>
																		<tr>
																			<xsl:choose>
																				<xsl:when test="availableVersions/availableVersion[@category='newest']">
																					<xsl:for-each select="availableVersions/availableVersion[@category='newest'][1]">
																						<td align="right">
																							<xsl:call-template name="softwareStatus"/>
																						</td>
																						<xsl:call-template name="available_inventory_item">
																							<xsl:with-param name="inventory_item" select="$group_item"/>
																							<xsl:with-param name="Version">GroupV</xsl:with-param>
																						</xsl:call-template>
																					</xsl:for-each>
																				</xsl:when>
																				<xsl:otherwise>
																					<!-- an empty column entry -->
																					<td/>
																					<td/>
																					<td/>
																				</xsl:otherwise>
																			</xsl:choose>
																		</tr>
																	</div>
																</xsl:for-each>
															</tbody>
														</table>
													</div>
												</td>
											</tr>
											<tr>
												<!-- draw line-->
												<xsl:choose>
													<xsl:when test="/softwareInventory/repository">
														<xsl:choose>
															<xsl:when test="/softwareInventory/bundle">
																<td colspan="8">
																	<div id="{$inventory_item/key/text()}Line" style="display: none;">
																		<img src="&imgHorizLine;" height="1px" width="100%"/>
																	</div>
																</td>
															</xsl:when>
															<xsl:otherwise>
																<td colspan="5">
																	<div id="{$inventory_item/key/text()}Line" style="display: none;">
																		<img src="&imgHorizLine;" height="1px" width="100%"/>
																	</div>
																</td>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:when>
													<xsl:otherwise>
														<td colspan="2">
															<div id="{$inventory_item/key/text()}Line" style="display: none;">
																<img src="&imgHorizLine;" height="1px" width="100%"/>
															</div>
														</td>
													</xsl:otherwise>
												</xsl:choose>
											</tr>
										</xsl:when>
										<xsl:otherwise>
											<!-- Single Entries -->
											<tr>
												<td style="text-align:left;">
													<xsl:choose>
														<xsl:when test="name/name_xlate[@lang=$lang]">
															<xsl:value-of select="name/name_xlate[@lang=$lang]"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="name/name_xlate[@lang='en']"/>
														</xsl:otherwise>
													</xsl:choose>
												</td>
												<td align="center">
													<xsl:if test="key[@not_equal_status='yes']">
														<xsl:attribute name="style">font-weight:bold; color:red;</xsl:attribute>
													</xsl:if>
													<xsl:value-of select="installedVer"/>
												</td>
												<xsl:choose>
													<xsl:when test="availableVersions/availableVersion[@category='bundle']">
														<xsl:for-each select="availableVersions/availableVersion[@category='bundle'][1]">
															<td align="right">
																<xsl:call-template name="softwareStatus"/>
															</td>
															<xsl:call-template name="available_inventory_item">
																<xsl:with-param name="inventory_item" select="$inventory_item"/>
																<xsl:with-param name="Version">SPV</xsl:with-param>
															</xsl:call-template>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="$has_bundle_info='true'">
															<!-- an empty column entry -->
															<td/>
															<td/>
															<td/>
														</xsl:if>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:choose>
													<xsl:when test="availableVersions/availableVersion[@category='newest']">
														<xsl:for-each select="availableVersions/availableVersion[@category='newest'][1]">
															<td align="right">
																<xsl:call-template name="softwareStatus"/>
															</td>
															<xsl:call-template name="available_inventory_item">
																<xsl:with-param name="inventory_item" select="$inventory_item"/>
																<xsl:with-param name="Version">LV</xsl:with-param>
															</xsl:call-template>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<!-- an empty column entry -->
														<td/>
														<td/>
														<td/>
													</xsl:otherwise>
												</xsl:choose>
											</tr>
											<tr>
												<xsl:choose>
													<xsl:when test="/softwareInventory/repository">
														<xsl:choose>
															<xsl:when test="/softwareInventory/bundle">
																<td colspan="8">
																	<img src="&imgHorizLine;" height="1px" width="100%"/>
																</td>
															</xsl:when>
															<xsl:otherwise>
																<td colspan="5">
																	<img src="&imgHorizLine;" height="1px" width="100%"/>
																</td>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:when>
													<xsl:otherwise>
														<td colspan="2">
															<img src="&imgHorizLine;" height="1px" width="100%"/>
														</td>
													</xsl:otherwise>
												</xsl:choose>
											</tr>
										</xsl:otherwise>
									</xsl:choose>
									<!-- loga -->
								</xsl:if>
							</xsl:for-each>
							<!--For Handling CPLD components-Start-->
							<xsl:variable name="CPLD_temp" select="count(//swItem[contains(key,'cpld') or contains(key,'xnc_fpga') or contains(key,'xnc_fmp')])"/>
							<xsl:choose>
								<xsl:when test="$CPLD_temp &gt; 1">
									<!-- Similar Software key found with CPLD. So, group them.-->
									<!-- Find the Lowest Version in the group -->
									<tr>
										<td style="text-align:left;">
											<img src="&img_closed_folder;" id="CPLD" onClick="ImageClick(this)"/> Proliant DL980  G7 CPLD firmware
										</td>
										<td align="center">
											<!-- Version -->
										</td>
										<!-- cols for Supportpack version-->
										<td/>
										<td/>
										<td/>
										<!-- cols for Latest version-->
										<td/>
										<td/>
										<td/>
									</tr>
									
									<tr>
										<!-- draw line-->
										<xsl:choose>
											<xsl:when test="/softwareInventory/repository">
												<xsl:choose>
													<xsl:when test="/softwareInventory/bundle">
														<td colspan="8">
															<img src="&imgHorizLine;" height="1px" width="100%"/>
														</td>
													</xsl:when>
													<xsl:otherwise>
														<td colspan="5">
															<img src="&imgHorizLine;" height="1px" width="100%"/>
														</td>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<xsl:otherwise>
												<td colspan="2">
													<img src="&imgHorizLine;" height="1px" width="100%"/>
												</td>
											</xsl:otherwise>
										</xsl:choose>
									</tr>


									<tr>
										<td align="left">
											<div id="CPLDname" style="display: none;">
												<table cellspacing="0" border="0">
													<!-- Name Table -->
													<tbody>
														<xsl:for-each select="$G_temp[contains(key,'cpld') or contains(key,'xnc_fpga') or contains(key,'xnc_fmp')  ]">
															<tr>
																<td>
																	<xsl:choose>
																		<xsl:when test="name/name_xlate[@lang=$lang]">
                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<xsl:value-of select="name/name_xlate[@lang=$lang]"/>
																		</xsl:when>
																		<xsl:otherwise>
                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<xsl:value-of select="name/name_xlate[@lang='en']"/>
																		</xsl:otherwise>
																	</xsl:choose>
																</td>
															</tr>
														</xsl:for-each>
													</tbody>
												</table>
											</div>
										</td>
										
										<td align="center">
											<div id="CPLDvers" style="display: none;">
												<table cellspacing="0" border="0">
													<!-- Installed Verion Table -->
													<tbody>
														<xsl:for-each select="$G_temp[contains(key,'cpld') or contains(key,'xnc_fpga') or contains(key,'xnc_fmp')  ]">
															<tr>
																<td>
																	<xsl:if test="key[@not_equal_status='yes']">
																		<xsl:attribute name="style">font-weight:bold; color:red;</xsl:attribute>
																	</xsl:if>
																	<xsl:value-of select="installedVer"/>
																</td>
															</tr>
														</xsl:for-each>
													</tbody>
												</table>
											</div>
										</td>
										
										<xsl:if test="/softwareInventory[repository and bundle] and $has_bundle_info='true'">
											<td colspan="3" align="left">
												<div id="CPLDavai" style="display: none;">
													<table cellspacing="0" border="0">
														<tbody>
															<xsl:for-each select="$G_temp[contains(key,'cpld') or contains(key,'xnc_fpga') or contains(key,'xnc_fmp')  ]">
																<xsl:variable name="group_item" select="."/>
																<tr>
																	<xsl:choose>
																		<xsl:when test="availableVersions/availableVersion[@category='bundle']">
																			<xsl:for-each select="availableVersions/availableVersion[@category='bundle'][1]">
																				<td align="right">
																					<xsl:call-template name="softwareStatus"/>
																				</td>
																				<xsl:call-template name="available_inventory_item">
																					<xsl:with-param name="inventory_item" select="$group_item"/>
																					<xsl:with-param name="Version">SPV</xsl:with-param>
																				</xsl:call-template>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:if test="$has_bundle_info='true'">
																				<!-- an empty column entry -->
																				<td/>
																				<td/>
																				<td/>
																			</xsl:if>
																		</xsl:otherwise>
																	</xsl:choose>
																</tr>
															</xsl:for-each>
														</tbody>
													</table>
												</div>
											</td>
										</xsl:if>
										
										
										<xsl:if test="/softwareInventory/repository">
											<td colspan="3" align="left">
												<div id="CPLDnewe" style="display: none;">
													<table cellspacing="0" border="0">
														<tbody>
															<xsl:for-each select="$G_temp[contains(key,'cpld') or contains(key,'xnc_fpga') or contains(key,'xnc_fmp')  ]">
																<xsl:variable name="group_item" select="."/>
																<tr>
																	<xsl:choose>
																		<xsl:when test="availableVersions/availableVersion[@category='newest']">
																			<xsl:for-each select="availableVersions/availableVersion[@category='newest'][1]">
																				<td align="right">
																					<xsl:call-template name="softwareStatus"/>
																				</td>
																				<xsl:call-template name="available_inventory_item">
																					<xsl:with-param name="inventory_item" select="$group_item"/>
																					<xsl:with-param name="Version">LV</xsl:with-param>
																				</xsl:call-template>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<!-- an empty column entry -->
																			<td/>
																			<td/>
																			<td/>
																		</xsl:otherwise>
																	</xsl:choose>
																</tr>
															</xsl:for-each>
														</tbody>
													</table>
												</div>
											</td>
										</xsl:if>
									</tr>									
								
								     <tr>
										<!-- draw line-->
												<xsl:choose>
													<xsl:when test="/softwareInventory/repository">
														<xsl:choose>
															<xsl:when test="/softwareInventory/bundle">
																<td colspan="8">
																	<div id="CPLDLine" style="display: none;">
																		<img src="&imgHorizLine;" height="1px" width="100%"/>
																	</div>
																</td>
															</xsl:when>
															<xsl:otherwise>
																<td colspan="5">
																	<div id="CPLDLine" style="display: none;">
																		<img src="&imgHorizLine;" height="1px" width="100%"/>
																	</div>
																</td>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:when>
													<xsl:otherwise>
														<td colspan="2">
															<div id="CPLDLine" style="display: none;">
																<img src="&imgHorizLine;" height="1px" width="100%"/>
															</div>
														</td>
													</xsl:otherwise>
												</xsl:choose>
									</tr>
									<!--For Handling CPLD components-End-->
								</xsl:when>
							</xsl:choose>
						</tbody>
					</table>
					<br/>
					<br/>
					<!-- Show Not Installed Components list only if Mandatory option is selected. and SNMP is Successful. -->
					<xsl:if test="$mandatory_sp='true' and $Inv_failed='false'">
						<table style="bgcolor:#AAAAAA" class="TestHead">
							<tbody style="display:none" id="mainhead">
							<tr class="TestHead">
								<td class="TestHead" colspan="2" align="left">&txt_not_installed;</td>
							</tr>
							</tbody>						
						</table>
						<br/>
						<table style="bgcolor:#AAAAAA" class="NotInsData">
							<!--	<tr class="TestHead">
									<th class="TestHead">Name</th>
									<th class="TestHead">
										<input type="checkbox" id="notinstalled" name="notinstalled" onclick="NotInstalled(this)"/>
									</th>
									<th class="TestHead">
										Support pack Version
									</th>
								</tr> -->
							<tbody  id="subhead" style="display:none">
								<tr >
									<th>&txtName;</th>
									<th>
										<input type="checkbox" id="notinstalled" name="notinstalled">
                      <!-- Shiv Start: added for disable the checkbox for user-->
                      <xsl:choose>
                        <xsl:when test="$operator_access='false'">
                          <xsl:attribute name="disabled">disabled</xsl:attribute>
                          <xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="$operator='true'">
                          <xsl:attribute name="onclick">NotInstalled(this)</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:attribute name="disabled">disabled</xsl:attribute>
                          <xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
                        </xsl:otherwise>
                      </xsl:choose>
                    </input>
                    <!-- Shiv End: added for disable the checkbox for user-->
									</th>
									<th>
										&txtBundleVersion;
									</th>
								</tr> 
								<!-- Add row for each Not installed item-->
								<xsl:for-each select="/softwareInventory/bundle/packageList/package">
									<xsl:variable name="PKG_name">
										<xsl:value-of select="./@fileName"/>
									</xsl:variable>
									<xsl:choose>
										<xsl:when test="//availableVersions/availableVersion[package = $PKG_name]"/>
										<xsl:otherwise>
											<tr>
												<td align="left">
													<xsl:choose>
														<xsl:when test="/softwareInventory/allSoftware/swCategory/swItemList/swItem[package=$PKG_name]/name/name_xlate[@lang=$lang]">
															<xsl:value-of select="/softwareInventory/allSoftware/swCategory/swItemList/swItem[package=$PKG_name]/name/name_xlate[@lang=$lang]"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="/softwareInventory/allSoftware/swCategory/swItemList/swItem[package=$PKG_name]/name/name_xlate[@lang='en']"/>
														</xsl:otherwise>
													</xsl:choose>
												</td>
												<td>
													<input type="checkbox" id="chk_NI" name="chk_NI"> <!--onclick="CheckSelection(this)">-->
                            <!-- Shiv Start: added for disable the checkbox for user-->
                            <xsl:choose>
                              <xsl:when test="$operator_access='false'">
                                <xsl:attribute name="disabled">disabled</xsl:attribute>
                                <xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
                              </xsl:when>
                              <xsl:when test="$operator='true'">
                                <xsl:attribute name="onclick">CheckSelection(this)</xsl:attribute>
                              </xsl:when>
                              <xsl:otherwise>
                                <xsl:attribute name="disabled">disabled</xsl:attribute>
                                <xsl:attribute name="title">&txtInstallDisabledSettingsTip;</xsl:attribute>
                              </xsl:otherwise>
                            </xsl:choose>
                            <!-- Shiv End: added for disable the checkbox for user-->
														<xsl:attribute name="value"><xsl:value-of select="$PKG_name"/>;Dummy;<xsl:value-of select="/softwareInventory/allSoftware/swCategory/swItemList/swItem[package=$PKG_name]/name/name_xlate[@lang='en']"/></xsl:attribute>
													</input>
												</td>
												<td align="left">												
													<a target="_blank">
														<xsl:attribute name="title">&txtItemDescHrefTip;</xsl:attribute>
														<xsl:attribute name="href">&cgi_base;?legacyuri=&hmmo_base;/vcrproxy/catalog?package=<xsl:value-of select="$PKG_name"/></xsl:attribute>
														<xsl:value-of select="/softwareInventory/allSoftware/swCategory/swItemList/swItem[package=$PKG_name]/version/@value"/></a>
                        </td>
                        <!--<img src="&imgHorizLine;" height="1px" width="100%"/> -->
											</tr>
                      <tr>
                        <td class="TestHead" colspan="3"><img src="&imgHorizLine;" height="1px" width="100%"/></td>
                      </tr>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</tbody>
						</table>
					</xsl:if>
					<form name="Minimum_Dependency">
						<table width="95%" border="0">
							<tbody>
								<tr>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
									<td>&nbsp;</td>
								</tr>
								<!-- Insert a blank row -->
								<tr>
									<td align="left">
										<input type="reset" style="width: 70px;height: 25px" value="&txt_btn_reset;" onclick="ResetAll()"/>
									</td>
									<xsl:choose>
										<xsl:when test="/softwareInventory//swItem[key='hpsum.exe']/availableVersions/availableVersion/@category = 'newest' ">
										<td align="right">
											<input type="checkbox" id="Ins_Min_Dep1" name="Ins_Min_Dep1"  checked="checked" onclick="Auto_Min_Dep(this);">&txtAutoOption;</input>
										</td>
									</xsl:when>
									<!-- To show Automatic resolve dependency checkbox only if rpmdependency value is TRUE and if it is LVCA -->
									<xsl:when test="/softwareInventory[@rpmdependency='true' and //swItem/key='hpvca']">
											<td align="right">
												<input type="checkbox" id="Ins_Min_Dep1" name="Ins_Min_Dep1" checked="checked" >&txtAutoOption;</input>
											</td>
										</xsl:when>
										<xsl:otherwise>
											<td/>
										</xsl:otherwise>
									</xsl:choose>
									<td align="right" width="10">
										<input type="button" id="Bt_Install" name="Bt_Install" style="width: 90px;height: 25px" disabled="true" value="&txt_btn_install;" onclick="Install('')"/>
									</td>
								</tr>
							</tbody>
						</table>
					</form>
				</form>
			</div>
		</div>
	</xsl:template>
	<!-- all available software template is initially hidden -->
	<xsl:template match="allSoftware">
		<form name="AddItemsSelection" id="AddItemsSelection">
			<div align="center" name="available" id="available" style="width:95%; display:none;">
				<div class="pageSectionTitle">
					<table width="100%" cellspacing="0" border="0">
						<tr>
							<td>&txtPageAvailSWTitle;</td>
						</tr>
					</table>
				</div>
				<br/>
				<xsl:for-each select="swCategory">
					<xsl:if test="count(bundleList/bundle) > 0 or count(swItemList/swItem) > 0">
						<div class="tableStyle1">
							<table style="width:95%;" cellspacing="0" border="0">
								<thead>
									<tr>
										<th align="left" colspan="2">
											<xsl:choose>
												<xsl:when test="name/name_xlate[@lang=$lang]">
													<xsl:value-of select="name/name_xlate[@lang=$lang]"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="name/name_xlate[@lang='en']"/>
												</xsl:otherwise>
											</xsl:choose>
										</th>
									</tr>
								</thead>
								<tbody>
									<xsl:for-each select="bundleList">
										<xsl:for-each select="bundle">
											<tr>
												<td style="border-bottom:1px solid silver;">
													<xsl:call-template name="available_item">
														<xsl:with-param name="Reference_SP">AddSP</xsl:with-param>
													</xsl:call-template>
												</td>
											</tr>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:for-each select="swItemList">
										<xsl:for-each select="swItem">
											<tr>
												<td style="border-bottom:1px solid silver;">
													<xsl:call-template name="available_item">
														<xsl:with-param name="Reference_SP">Addtems</xsl:with-param>
													</xsl:call-template>
												</td>
											</tr>
										</xsl:for-each>
									</xsl:for-each>
								</tbody>
							</table>
						</div>
						<br/>
					</xsl:if>
				</xsl:for-each>
				<br/>
				<table width="100%">
					<tbody>
						<tr>
							<td align="left">
								<input type="reset" style="width: 70px;height: 25px" value="&txt_btn_reset;" onclick="ResetAll()"/>
							</td>
							<xsl:choose>
								<xsl:when test="/softwareInventory//swItem[key='hpsum.exe']/availableVersions/availableVersion/@category = 'newest' ">
									<td align="right">
										<input type="checkbox" id="Ins_Min_Dep2" name="Ins_Min_Dep2" checked="checked" onclick="Auto_Min_Dep(this);">&txtAutoOption;</input>
									</td>
								</xsl:when>
								<xsl:otherwise>
									<td/>
								</xsl:otherwise>
							</xsl:choose>
							<td align="right" width="10">
								<input type="button" id="Bt_Install" name="Bt_Install" style="width: 90px;height: 25px" disabled="true" value="&txt_btn_install;" onclick="Install('')"/>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</form>
	</xsl:template>
	<xsl:template name="repo_item">
		<xsl:param name="long_name"/>
		<xsl:param name="display_name"/>
		<xsl:param name="package_list"/>
		<xsl:param name="vcr_href"/>
		<xsl:param name="Version"/>
		<xsl:param name="KEY"/>
		<xsl:param name="ShowAddItems"/>
		<xsl:variable name="fixed_lname">
			<xsl:call-template name="escape_apos">
				<xsl:with-param name="in_str" select="$long_name"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$Version='GroupV'">
				<td>
					<input type="checkbox" style="visibility:hidden"/>
				</td>
			</xsl:when>
			<xsl:when test="$operator_access='false'">
				<xsl:choose>
					<xsl:when test="$Version='RefSP' or $Version='AddSP' ">
						<img title="&txtInstallDisabledSettingsTip;" align="absmiddle" src="&imgDisabledUpdate;" border="0"/>
					</xsl:when>
					<xsl:when test="$Version='Addtems'">
						<input type="checkbox" name="AddItems" id="AddItems" disabled="disabled" title="&txtInstallDisabledSettingsTip;"/>
					</xsl:when>
					<xsl:otherwise>
						<td>
							<input type="checkbox" disabled="disabled" title="&txtInstallDisabledSettingsTip;"/>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$operator='true'">
				<xsl:if test="$Version='RefSP' or $Version='AddSP' ">
					<a onmousemove="javascript:window.status='';">
						<xsl:attribute name="onclick">user:update('<xsl:value-of select="$fixed_lname"/>', '<xsl:value-of select="$package_list"/>')</xsl:attribute>
						<img title="&txtInstallTip;" align="absmiddle" src="&imgUpdate;" border="0" onmouseover="user:onMouseOverInstallIcon(this);"/>
					</a>
				</xsl:if>
				<xsl:if test="$Version='SPV' ">
					<td>
						<input type="checkbox" name="SPV" id="SPV" onclick="user:CheckSelection(this)">
							<xsl:attribute name="value"><xsl:value-of select="$package_list"/>;<xsl:value-of select="$KEY"/>;<xsl:value-of select="$fixed_lname"/></xsl:attribute>
						</input>
					</td>
				</xsl:if>
				<xsl:if test="$Version='LV' ">
					<td>
						<input type="checkbox" name="LV" id="LV" onclick="user:CheckSelection(this)">
							<xsl:attribute name="value"><xsl:value-of select="$package_list"/>;<xsl:value-of select="$KEY"/>;<xsl:value-of select="$fixed_lname"/></xsl:attribute>
						</input>
					</td>
				</xsl:if>
				<xsl:if test="$Version='Addtems' ">
					<input type="checkbox" name="AddItems" id="AddItems" onclick="Install('Bt_Enable');">
						<xsl:attribute name="value"><xsl:value-of select="$package_list"/>;<xsl:value-of select="$fixed_lname"/></xsl:attribute>
					</input>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$Version='RefSP' or $Version='AddSP' ">
						<img title="&txtInstallDisabledSettingsTip;" align="absmiddle" src="&imgDisabledUpdate;" border="0"/>
					</xsl:when>
					<xsl:when test="$Version='Addtems'">
						<input type="checkbox" name="AddItems" id="AddItems" disabled="disabled" title="&txtInstallDisabledSettingsTip;"/>
					</xsl:when>
					<xsl:otherwise>
						<td>
							<input type="checkbox" disabled="disabled" title="&txtInstallDisabledSettingsTip;"/>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text/>
		<td align="left">
			<xsl:if test="$Version='Addtems' or $Version='AddSP'">
				<xsl:attribute name="style">border-bottom:1px solid silver</xsl:attribute>
			</xsl:if>
			<a target="_blank">
				<xsl:attribute name="title">&txtItemDescHrefTip;</xsl:attribute>
				<xsl:attribute name="href">&cgi_base;?legacyuri=&hmmo_base;/vcrproxy/<xsl:value-of select="$vcr_href"/></xsl:attribute>
				<xsl:value-of select="$display_name"/>
			</a>
		</td>
	</xsl:template>
	<xsl:template name="available_item">
		<xsl:param name="Reference_SP"/>
		<xsl:variable name="item_long_name">
			<xsl:choose>
				<xsl:when test="name/name_xlate[@lang=$lang]">
					<xsl:value-of select="name/name_xlate[@lang=$lang]"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="name/name_xlate[@lang='en']"/>
				</xsl:otherwise>
			</xsl:choose>&txtVersion; <xsl:value-of select="version/@value"/>
			<xsl:value-of select="version/@revision"/>
			<xsl:choose>
				<xsl:when test="languages/languages_xlate[@lang=$lang]">&#032;(<xsl:value-of select="languages/languages_xlate[@lang=$lang]"/>)</xsl:when>
				<xsl:when test="languages/languages_xlate[@lang='en']">&#032;(<xsl:value-of select="languages/languages_xlate[@lang='en']"/>)</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="repo_item">
			<xsl:with-param name="long_name">
				<xsl:value-of select="$item_long_name"/>
			</xsl:with-param>
			<xsl:with-param name="display_name">
				<xsl:value-of select="$item_long_name"/>
			</xsl:with-param>
			<xsl:with-param name="package_list">
				<xsl:choose>
					<xsl:when test="packageList">
						<xsl:for-each select="packageList/package">
							<xsl:value-of select="@fileName"/>,</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="package"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
			<xsl:with-param name="vcr_href">
				<xsl:value-of select="descriptionHref"/>
			</xsl:with-param>
			<xsl:with-param name="Version">
				<xsl:value-of select="$Reference_SP"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="available_inventory_item">
		<xsl:param name="inventory_item"/>
		<xsl:param name="Version"/>
		<xsl:call-template name="repo_item">
			<xsl:with-param name="long_name">
				<xsl:choose>
					<xsl:when test="$inventory_item/name/name_xlate[@lang=$lang]">
						<xsl:value-of select="$inventory_item/name/name_xlate[@lang=$lang]"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$inventory_item/name/name_xlate[@lang='en']"/>
					</xsl:otherwise>
				</xsl:choose>&txtVersion;<xsl:value-of select="./@value"/>
				<xsl:value-of select="./@revision"/>
			</xsl:with-param>
			<xsl:with-param name="display_name">
				<xsl:value-of select="./@value"/>
				<xsl:value-of select="./@revision"/>
			</xsl:with-param>
			<xsl:with-param name="package_list">
				<xsl:value-of select="package"/>
			</xsl:with-param>
			<xsl:with-param name="vcr_href" select="descriptionHref"/>
			<xsl:with-param name="Version" select="$Version"/>
			<xsl:with-param name="KEY" select="$inventory_item/key"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="escape_apos">
		<xsl:variable name="replace">&apos;</xsl:variable>
		<xsl:param name="in_str"/>
		<xsl:choose>
			<xsl:when test="contains($in_str, $replace)">
				<xsl:value-of select="substring-before($in_str, $replace)"/>
				<xsl:text disable-output-escaping="no">\%27</xsl:text>
				<xsl:call-template name="escape_apos">
					<xsl:with-param name="in_str" select="substring-after($in_str, $replace)"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$in_str"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
