<?xml version="1.0" encoding="UTF-8"?>
<!-- .XSL files are generated by makexsl.  Do not edit .XSL files with this header! -->
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
%common_en;
<!-- cpqsrcatalog-bundle entities -->
<!ENTITY cat_sp_details        "&support_paq; Details">
<!ENTITY cat_contents          "Contents">
<!ENTITY cat_sp_pkg_missing    "The referenced component is not in the catalog.">
]>
<!-- end of makexsl generated header -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:param name="lang">en</xsl:param>
   <xsl:param name="operator">false</xsl:param>
   <xsl:param name="key">bp000000.xml</xsl:param>
   <xsl:include href="vcrm_pkgspcmn.xsl"/>
   <xsl:output method="html" indent="yes"/>
   <xsl:template match="/">
      <html>
         <head>
            <link rel="stylesheet" type="text/css" href="&webapp_base;/vcrepmgr.css"/>
            <style type="text/css">
               td.cpqsrcatalog{border-bottom: 1px solid silver}
            </style>
            <script src="&webapp_base;/timedate.vb" language="VBScript"/>
            <script src="&webapp_base;/timedate.js" language="JavaScript"/>
            <script type="text/javascript" language="javascript">window.resizeTo(800,600);</script>
         </head>
         <body>
            <table class="toolbar">
               <tr><td class="toolbar_title">&cat_sp_details;</td></tr>
            </table>
            <xsl:apply-templates select="cpq_bundle">
               <xsl:with-param name="lang" select="$lang"/>
               <xsl:with-param name="key" select="$key"/>
            </xsl:apply-templates>
         </body>
      </html>
   </xsl:template>

   <xsl:template match="cpq_bundle">
      <xsl:param name="lang"/>
      <xsl:param name="key"/>
      <xsl:variable name="domCat" select="document('../../vcrm/cpqsrcatalog.xml')"/>
      <table class="cpqsrcatalog" cellspacing="0">
         <tr class="cpqsrcatalog">
            <td class="cpqsrcatalog">
               <xsl:if test="$lang='ja'">
                  <xsl:attribute name="width">10%</xsl:attribute>
               </xsl:if>
               <b>&cat_file;</b>
            </td>
            <td class="cpqsrcatalog">
               <xsl:value-of select="$key"/>
            </td>
         </tr>
         <xsl:call-template name="item_info">
            <xsl:with-param name="lang" select="$lang"/>
         </xsl:call-template>
         <xsl:call-template name="xml_notes">
            <xsl:with-param name="lang" select="$lang"/>
         </xsl:call-template>
         <xsl:apply-templates select="revision_history">
            <xsl:with-param name="lang" select="$lang"/>
         </xsl:apply-templates>
         <xsl:if test="contents">
            <tr class="cpqsrcatalog">
               <a name="contents"/>
               <td class="cpqsrcatalog">
                  <b>&cat_contents;</b>
               </td>
               <td class="cpqsrcatalog">
                  <xsl:for-each select="contents/package">
                     <xsl:variable name="bundle_pkg_key" select="."/>
                     <xsl:choose>
                        <xsl:when test="$domCat/cpqsrcatalog/cpq_package[@key=$bundle_pkg_key]">
                           <xsl:apply-templates select="$domCat/cpqsrcatalog/cpq_package[@key=$bundle_pkg_key]">
                              <xsl:with-param name="lang" select="$lang"/>
                              <xsl:with-param name="pkgfilename" select="."/>
                           </xsl:apply-templates>
                        </xsl:when>
                        <xsl:otherwise>
                           <img src="&img_major;" title="&cat_sp_pkg_missing;"/>
                           &#032;<xsl:value-of select="."/>&#032;-&#032;<font color="#aa0000">&cat_sp_pkg_missing;</font>
                        </xsl:otherwise>
                     </xsl:choose>
                     <br/>
                  </xsl:for-each>
               </td>
            </tr>
         </xsl:if>
      </table>
   </xsl:template>
   <xsl:template match="cpq_package">
      <xsl:param name="lang"/>
      <xsl:param name="pkgfilename"/>
      <xsl:variable name="pkgkey" select="@key"/>
      <a href="/vcrepository/catalog?package={$pkgkey}" title="{$pkgfilename}">
         <xsl:call-template name="display_name">
            <xsl:with-param name="lang" select="$lang"/>
         </xsl:call-template>
      </a>
   </xsl:template>
</xsl:stylesheet>
