<?xml version="1.0" encoding="UTF-8"?>
<!-- .XSL files are generated by makexsl.  Do not edit .XSL files with this header! -->
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
%common_en;
<!ENTITY txt_unk_pkg           "&txt_unknown; &txt_component;">
<!ENTITY txt_unk_sp            "&txt_unknown; &support_paq;">
]>
<!-- end of makexsl generated header -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt">

   <!-- call this with a cpq_package or cpq_bundle node selected -->
   <xsl:template name="display_name">
      <xsl:param name="lang"/>
      <xsl:param name="add_langs">true</xsl:param>
      <xsl:variable name="unknown_name_text">
         <xsl:choose>
            <xsl:when test="name(.)='cpq_package'"><xsl:text>&txt_unk_pkg;</xsl:text></xsl:when>
            <xsl:otherwise><xsl:text>&txt_unk_sp;</xsl:text></xsl:otherwise>
         </xsl:choose>
      </xsl:variable>
      <xsl:variable name="localizedName">
         <xsl:variable name="temp">
            <xsl:choose>
               <xsl:when test="name/name_xlate[@lang=$lang]"><xsl:value-of select="name/name_xlate[@lang=$lang]"/></xsl:when>
               <xsl:when test="name/name_xlate[@lang='en']"><xsl:value-of select="name/name_xlate[@lang='en']"/></xsl:when>
               <xsl:otherwise><xsl:value-of select="$unknown_name_text"/></xsl:otherwise>
            </xsl:choose>
         </xsl:variable>
         <xsl:choose>
<xsl:when test="contains($temp, 'Compaq Support Paq')"><xsl:value-of select="substring-before($temp, 'Compaq Support Paq')"/>&txt_cpq_paq;<xsl:value-of select="substring-after($temp, 'Compaq Support Paq')"/></xsl:when>
<xsl:otherwise><xsl:value-of select="$temp" disable-output-escaping="yes"/></xsl:otherwise>
         </xsl:choose>
      </xsl:variable>
      <xsl:variable name="ver">&#032;&cat_version;&#032;<xsl:value-of select="version/@value" disable-output-escaping="yes"/><xsl:value-of select="version/@revision"/></xsl:variable>
      <xsl:value-of select="$localizedName"/><xsl:value-of select="$ver"/>
      <xsl:if test="$add_langs='true'">
         <xsl:variable name="localizedLang">
            <xsl:choose>
<xsl:when test="languages/languages_xlate[@lang=$lang]">&#032;(<xsl:value-of select="languages/languages_xlate[@lang=$lang]"/>)</xsl:when>
<xsl:when test="languages/languages_xlate[@lang='en']">&#032;(<xsl:value-of select="languages/languages_xlate[@lang='en']"/>)</xsl:when>
            </xsl:choose>
         </xsl:variable>
         <xsl:value-of select="$localizedLang"/>
      </xsl:if>
   </xsl:template>

</xsl:stylesheet>
