<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2003 Hewlett-Packard Development Company, L.P.   -->
<!-- This is a generated file.  Do not edit files with this header! -->
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
%common_en;

<!ENTITY settings_title  "Repository Settings">

<!-- cpqsroptions entities -->
<!ENTITY dir_description "Select the directory you want to use as your Version Control Repository.  &proliant_support_packs; and &txt_components; that are placed in this directory will be cataloged automatically, and become available to systems throughout your environment.">
<!ENTITY directory       "Directory">
<!ENTITY dir_note        "<b>Note:</b> Changing the Repository Directory will cause the repository catalog to be rebuilt.">

<!-- cpqschedule entities -->

<!ENTITY AUHeader        "Automatic Update Settings">
<!ENTITY AUEnableHeader  "Enable Automatic Update">
<!ENTITY AUInstructions  "Enable automatic downloading of new &proliant_support_packs; and components from Hewlett-Packard's website at a specified interval and time.">
<!ENTITY SchedDisabled   "Automatic Update is disabled.">
<!ENTITY SchedEnabled    "Automatic Update is enabled.">
<!ENTITY SchedHeader     "Download schedule settings">
<!ENTITY Frequency       "Interval between updates">
<!ENTITY ExecTime        "Time of Day">
<!ENTITY ExecDay         "Day of Week">

<!ENTITY Week4           "4 weeks">
<!ENTITY Week2           "2 weeks">
<!ENTITY Week1           "1 week">
<!ENTITY Day2            "2 days">
<!ENTITY Day1            "1 day">

<!ENTITY Sun             "Sunday">
<!ENTITY Mon             "Monday">
<!ENTITY Tues            "Tuesday">
<!ENTITY Wed             "Wednesday">
<!ENTITY Thur            "Thursday">
<!ENTITY Fri             "Friday">
<!ENTITY Sat             "Saturday">

<!ENTITY HR0             "0:00 AM (midnight)">
<!ENTITY HR1             "1:00 AM">
<!ENTITY HR2             "2:00 AM">
<!ENTITY HR3             "3:00 AM">
<!ENTITY HR4             "4:00 AM">
<!ENTITY HR5             "5:00 AM">
<!ENTITY HR6             "6:00 AM">
<!ENTITY HR7             "7:00 AM">
<!ENTITY HR8             "8:00 AM">
<!ENTITY HR9             "9:00 AM">
<!ENTITY HR10            "10:00 AM">
<!ENTITY HR11            "11:00 AM">
<!ENTITY HR12            "12:00 PM (noon)">
<!ENTITY HR13            "1:00 PM">
<!ENTITY HR14            "2:00 PM">
<!ENTITY HR15            "3:00 PM">
<!ENTITY HR16            "4:00 PM">
<!ENTITY HR17            "5:00 PM">
<!ENTITY HR18            "6:00 PM">
<!ENTITY HR19            "7:00 PM">
<!ENTITY HR20            "8:00 PM">
<!ENTITY HR21            "9:00 PM">
<!ENTITY HR22            "10:00 PM">
<!ENTITY HR23            "11:00 PM">
<!ENTITY sched_note      "<b>Note:</b> The schedule time is the repository server's local time.">

<!ENTITY proxy_btn_text  "Set Proxy Server">
<!ENTITY proxy_label     "Proxy">
<!ENTITY proxy_name_dlg  "&webapp_base;/htm.en/proxydata.htm">
<!ENTITY proxy_name_dlg_ht "225px">
<!ENTITY proxy_name_dlg_wd "450px">

<!ENTITY test_failed     "Error: unable to connect.">

<!-- settings (result) entities -->
<!ENTITY set_succeeded         "The Repository Settings were successfully saved.">
<!ENTITY invalid_directory     "Error: The repository directory is not valid. It must be an existing directory accessible to the &vcr_name; service.">
<!ENTITY set_failed            "Error: Unable to change the settings.">
<!ENTITY directory_len_error   "Error: The Repository Directory exceeds 128 characters.">
<!ENTITY set_unk_error         "Error: An unknown error occurred.">
<!ENTITY prev_settings         "Previous Settings">
<!ENTITY curr_settings         "Current Settings">
<!ENTITY daily                 "Daily">
<!ENTITY every_other_day       "Every other day">
<!ENTITY weekly                "Once per week">
<!ENTITY biweekly              "Once every 2 weeks">
<!ENTITY lunacy                "Once every 4 weeks">
<!ENTITY weekday               "Day of week">
<!ENTITY time                  "Time">

<!-- non-localizeable parameter/field name strings -->
<!ENTITY watchfolder      "watchfolder">
<!ENTITY sched_type       "sched_type">
<!ENTITY sched_freq       "sched_freq">
<!ENTITY sched_day        "sched_day">
<!ENTITY sched_hour       "sched_hour">
<!ENTITY proxy_server     "proxy_server">
<!ENTITY proxy_port       "proxy_port">
<!ENTITY proxy_login      "proxy_login">
<!ENTITY proxy_password   "proxy_password">
]>
<!-- end of localization header -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <!-- set this false to generate details for the log entry -->
   <xsl:param name="as_html">true</xsl:param>
   <!-- output as HTML, though when as_html is false, the output is just text -->
   <xsl:output method="html" encoding="UTF-8"/>
   <xsl:template match="/cpqsroptions">
      <xsl:choose>
         <xsl:when test="$as_html='true'">
            <div class="settings_hdr">&prev_settings;</div>
            <div class="settings_values"><xsl:apply-templates select="old_settings"/></div>
            <br/>
            <div class="settings_hdr">&curr_settings;</div>
            <div class="settings_values"><xsl:apply-templates select="settings"/></div>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>&prev_settings;</xsl:text><xsl:apply-templates select="old_settings"/>
            <xsl:text>&#xD;&#xD;&curr_settings;</xsl:text><xsl:apply-templates select="settings"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template match="settings|old_settings">
      <xsl:variable name="dayofweek">
         <xsl:call-template name="weekday">
            <xsl:with-param name="day_index" select="value[@key='&sched_day;']"/>
         </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="timeofday">
         <xsl:choose>
            <xsl:when test="value[@key='&sched_hour;']&lt;24 and value[@key='&sched_hour;']&gt;0"><xsl:value-of select="value[@key='&sched_hour;']"/></xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
         </xsl:choose>
      </xsl:variable>
      <xsl:text>&#xD;   &directory;: </xsl:text><xsl:value-of select="value[@key='&watchfolder;']"/>
      <xsl:if test="$as_html='true'"><br/></xsl:if>
      <xsl:choose>
         <xsl:when test="value[@key='&sched_type;'] = '2'">
            <xsl:text>&#xD;   &SchedEnabled;</xsl:text>
            <xsl:if test="$as_html='true'"><br/></xsl:if>
            <xsl:choose>
               <xsl:when test="value[@key='&sched_freq;'] = '1'">
                  <xsl:text>&#xD;   &Frequency;: </xsl:text>&daily;
               </xsl:when>
               <xsl:when test="value[@key='&sched_freq;'] = '2'">
                  <xsl:text>&#xD;   &Frequency;: </xsl:text>&every_other_day;
               </xsl:when>
               <xsl:when test="value[@key='&sched_freq;'] = '7'">
                  <xsl:text>&#xD;   &Frequency;: </xsl:text>&weekly;
                  <xsl:if test="$as_html='true'"><br/></xsl:if>
                  <xsl:value-of select="$dayofweek"/>
               </xsl:when>
               <xsl:when test="value[@key='&sched_freq;'] = '14'">
                  <xsl:value-of select="$dayofweek"/>
                  <xsl:if test="$as_html='true'"><br/></xsl:if>
                  <xsl:text>&#xD;   &Frequency;: </xsl:text>&biweekly;
               </xsl:when>
               <xsl:otherwise>
                  <xsl:text>&#xD;   &Frequency;: </xsl:text>&lunacy;
                  <xsl:if test="$as_html='true'"><br/></xsl:if>
                  <xsl:value-of select="$dayofweek"/>
               </xsl:otherwise>
            </xsl:choose>
            <xsl:if test="$as_html='true'"><br/></xsl:if>
            <xsl:text>&#xD;   &time;: </xsl:text><script type="text/javascript">document.write(new Date(2000,1,1,<xsl:value-of select="$timeofday"/>,0,0,0).toLocaleTimeString());</script>
            <xsl:if test="$as_html='true'"><br/></xsl:if>
            <xsl:text>&#xD;   &proxy_label;: </xsl:text>
            <xsl:if test="value[@key='&proxy_server;']!=''">
               <xsl:if test="value[@key='&proxy_login;']!=''"><xsl:value-of select="value[@key='&proxy_login;']"/>
                  <xsl:if test="value[@key='&proxy_password;']!=''">:******</xsl:if>@</xsl:if>
               <xsl:value-of select="value[@key='&proxy_server;']"/>
               <xsl:if test="value[@key='&proxy_port;']">:<xsl:value-of select="value[@key='&proxy_port;']"/></xsl:if>
            </xsl:if>
            <xsl:if test="$as_html='true'"><br/></xsl:if>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>&#xD;   &SchedDisabled;</xsl:text>
            <xsl:if test="$as_html='true'"><br/></xsl:if>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template name="weekday">
      <xsl:param name="day_index"/>
      <xsl:text>&#xD;   &weekday;: </xsl:text><xsl:choose>
         <xsl:when test="$day_index='6'">&Sat;</xsl:when>
         <xsl:when test="$day_index='5'">&Fri;</xsl:when>
         <xsl:when test="$day_index='4'">&Thur;</xsl:when>
         <xsl:when test="$day_index='3'">&Wed;</xsl:when>
         <xsl:when test="$day_index='2'">&Tues;</xsl:when>
         <xsl:when test="$day_index='1'">&Mon;</xsl:when>
         <xsl:otherwise>&Sun;</xsl:otherwise>
      </xsl:choose>
   </xsl:template>

</xsl:stylesheet>
