<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2003 Hewlett-Packard Development Company, L.P.   -->
<!-- This is a generated file.  Do not edit files with this header! -->
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
%common_en;

<!ENTITY settings_title  "Repository Settings">

<!-- cpqsroptions entities -->
<!ENTITY dir_description "Select the directory you want to use as your Version Control Repository.  &proliant_support_packs; and &txt_components; that are placed in this directory will be cataloged automatically, and become available to systems throughout your environment.">
<!ENTITY directory       "Directory">
<!ENTITY dir_note        "<b>Note:</b> Changing the Repository Directory will cause the repository catalog to be rebuilt.">

<!-- cpqschedule entities -->

<!ENTITY AUHeader        "Automatic Update Settings">
<!ENTITY AUEnableHeader  "Enable Automatic Update">
<!ENTITY AUInstructions  "Enable automatic downloading of new &proliant_support_packs; and components from Hewlett-Packard's website at a specified interval and time.">
<!ENTITY SchedDisabled   "Automatic Update is disabled.">
<!ENTITY SchedEnabled    "Automatic Update is enabled.">
<!ENTITY SchedHeader     "Download schedule settings">
<!ENTITY Frequency       "Interval between updates">
<!ENTITY ExecTime        "Time of Day">
<!ENTITY ExecDay         "Day of Week">

<!ENTITY Week4           "4 weeks">
<!ENTITY Week2           "2 weeks">
<!ENTITY Week1           "1 week">
<!ENTITY Day2            "2 days">
<!ENTITY Day1            "1 day">

<!ENTITY Sun             "Sunday">
<!ENTITY Mon             "Monday">
<!ENTITY Tues            "Tuesday">
<!ENTITY Wed             "Wednesday">
<!ENTITY Thur            "Thursday">
<!ENTITY Fri             "Friday">
<!ENTITY Sat             "Saturday">

<!ENTITY HR0             "0:00 AM (midnight)">
<!ENTITY HR1             "1:00 AM">
<!ENTITY HR2             "2:00 AM">
<!ENTITY HR3             "3:00 AM">
<!ENTITY HR4             "4:00 AM">
<!ENTITY HR5             "5:00 AM">
<!ENTITY HR6             "6:00 AM">
<!ENTITY HR7             "7:00 AM">
<!ENTITY HR8             "8:00 AM">
<!ENTITY HR9             "9:00 AM">
<!ENTITY HR10            "10:00 AM">
<!ENTITY HR11            "11:00 AM">
<!ENTITY HR12            "12:00 PM (noon)">
<!ENTITY HR13            "1:00 PM">
<!ENTITY HR14            "2:00 PM">
<!ENTITY HR15            "3:00 PM">
<!ENTITY HR16            "4:00 PM">
<!ENTITY HR17            "5:00 PM">
<!ENTITY HR18            "6:00 PM">
<!ENTITY HR19            "7:00 PM">
<!ENTITY HR20            "8:00 PM">
<!ENTITY HR21            "9:00 PM">
<!ENTITY HR22            "10:00 PM">
<!ENTITY HR23            "11:00 PM">
<!ENTITY sched_note      "<b>Note:</b> The schedule time is the repository server's local time.">

<!ENTITY proxy_btn_text  "Set Proxy Server">
<!ENTITY proxy_label     "Proxy">
<!ENTITY proxy_name_dlg  "&webapp_base;/htm.en/proxydata.htm">
<!ENTITY proxy_name_dlg_ht "225px">
<!ENTITY proxy_name_dlg_wd "450px">

<!ENTITY test_failed     "Error: unable to connect.">

<!-- settings (result) entities -->
<!ENTITY set_succeeded         "The Repository Settings were successfully saved.">
<!ENTITY invalid_directory     "Error: The repository directory is not valid. It must be an existing directory accessible to the &vcr_name; service.">
<!ENTITY set_failed            "Error: Unable to change the settings.">
<!ENTITY directory_len_error   "Error: The Repository Directory exceeds 128 characters.">
<!ENTITY set_unk_error         "Error: An unknown error occurred.">
<!ENTITY prev_settings         "Previous Settings">
<!ENTITY curr_settings         "Current Settings">
<!ENTITY daily                 "Daily">
<!ENTITY every_other_day       "Every other day">
<!ENTITY weekly                "Once per week">
<!ENTITY biweekly              "Once every 2 weeks">
<!ENTITY lunacy                "Once every 4 weeks">
<!ENTITY weekday               "Day of week">
<!ENTITY time                  "Time">

<!-- non-localizeable parameter/field name strings -->
<!ENTITY watchfolder      "watchfolder">
<!ENTITY sched_type       "sched_type">
<!ENTITY sched_freq       "sched_freq">
<!ENTITY sched_day        "sched_day">
<!ENTITY sched_hour       "sched_hour">
<!ENTITY proxy_server     "proxy_server">
<!ENTITY proxy_port       "proxy_port">
<!ENTITY proxy_login      "proxy_login">
<!ENTITY proxy_password   "proxy_password">
]>
<!-- end of localization header -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:param name="result">99</xsl:param>
   <xsl:output method="html" indent="yes"/>

   <xsl:include href="vcrm_optchgdetails.xsl"/>

   <xsl:template match="/">
      <html>
         <head>
            <link rel="stylesheet" type="text/css" href="&webapp_base;/cpqwiz.css"/>
    				<script language="JavaScript">
               var fReloadCalled = false;
               function pageunload() {
                  // this catches closings from closing the window or redirection
                  if (false == fReloadCalled) {
                     if ((window.opener != null) &amp;&amp; (window.opener.parent != null)
                           &amp;&amp; (!window.opener.closed)) {
                        window.opener.parent.frames[0].ReloadContentPage("HomeTab,CatalogTab,LogTab");
                     }
                     fReloadCalled = true;
                  }
               }
               function closeclick()
               {
                  // reload content page if it's currently active
                  pageunload();
                  window.close();
               }
     			</script>
            <title>&settings_title;</title>
         </head>
         <body onunload="pageunload();">
            <center><xsl:call-template name="settings_body"/></center>
         </body>
      </html>
   </xsl:template>

   <xsl:template name="settings_body">
      <div class="wiztitle">
         <table>
            <tr><td>&settings_title;</td></tr>
         </table>
      </div>
      <p>
         <table>
            <tr>
               <td align="center">
                  <xsl:choose>
                     <xsl:when test="$result = '0'">
                        <img src="&img_normal;" title="&txt_normal;"/>
                        &#032;&set_succeeded;
                     </xsl:when>
                     <xsl:when test="$result = '1'">
                        <img src="&img_critical;" title="&txt_critical;"/>
                        &#032;&invalid_directory;
                     </xsl:when>
                     <xsl:when test="$result = '2'">
                        <img src="&img_critical;" title="&txt_critical;"/>
                        &#032;&set_failed;
                     </xsl:when>
                     <xsl:otherwise>
                        <img src="&img_critical;" title="&txt_critical;"/>
                        &#032;&set_unk_error;
                     </xsl:otherwise>
                  </xsl:choose>
               </td>
            </tr>
         </table>
      </p>
      <p>
         <div class="wiztable">
            <!-- Settings -->
            <style type="text/css">
               div.settings_hdr{font-weight:bold;}
               div.settings_values{margin-left:10px;}
            </style>
            <table width="90%">
               <tr>
                  <td><xsl:apply-templates/>
                  </td>
               </tr>
            </table>
         </div>
      </p>
      <!-- screen buttons -->
      <table width="90%" cellspacing="0" border="0" cols="4">
         <col width="99%"/>
         <col width="1%"/>
         <tbody>
            <tr>
               <td align="left"><xsl:text> </xsl:text></td>
               <td align="center" style="padding: 0px 3px">
                  <input type="button" name="Close" id="Close" value="&txt_btn_close;" onclick="closeclick();"/>
               </td>
            </tr>
         </tbody>
      </table>
   </xsl:template>

</xsl:stylesheet>
