<!DOCTYPE xsl:stylesheet [
<!--
<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
-->
<!ENTITY webapp_base "/vcagent">
<!ENTITY dir_description "Select the directory you want to use as your Version Control Repository.  &proliant_support_packs; and &txt_components; that are placed in this directory will be cataloged automatically, and become available to systems throughout your environment.">
<!ENTITY directory       "Directory">
<!ENTITY dir_note        "<b>Note:</b> Changing the Repository Directory will cause the repository catalog to be rebuilt.">
<!ENTITY img_component "&webapp_base;/img/component_16x14.gif">
<!ENTITY txt_component "component">
<!ENTITY txt_components "components">
<!ENTITY txt_baseline "Software Baseline">
<!ENTITY txt_baselines "Software Baselines">
<!ENTITY img_cpq_paq "&webapp_base;/img/cpq_paq_16x14.gif">
<!ENTITY txt_cpq_paq "HP ProLiant and HP Integrity &support_paq;">
<!ENTITY proliant_support_packs "HP ProLiant and HP Integrity &support_paqs;">
<!ENTITY img_custom_paq "&webapp_base;/img/custom_paq_16x14.gif">
<!ENTITY txt_custom_paq "Custom&#032;&txt_baseline;">
<!ENTITY custom_baselines "Custom&#032;&txt_baselines;">
<!ENTITY txt_required "Required">
<!ENTITY repo_dir "Repository Directory">
<!ENTITY set "Set">
<!ENTITY opts_wiz_width "600">
<!ENTITY opts_wiz_height "350">
<!ENTITY img_unknown "&webapp_base;/img/iconUnknown.png">
<!ENTITY txt_unknown "Unknown">
<!ENTITY img_info "&webapp_base;/img/iconInform.png">
<!ENTITY txt_info "Informational">
<!ENTITY img_normal "&webapp_base;/img/iconNormal.png">
<!ENTITY txt_normal "Normal">
<!ENTITY img_minor "&webapp_base;/img/iconMinor.png">
<!ENTITY txt_minor "Warning">
<!ENTITY img_major "&webapp_base;/img/iconMajor.png">
<!ENTITY txt_major "Error">
<!ENTITY img_critical "&webapp_base;/img/iconCritical.png">
<!ENTITY txt_critical "Critical">
<!--sa -->
<!ENTITY txt_dir_err "Directory not found">
<!ENTITY txt_old_repo "Previous Repository Folder Path:">
<!ENTITY txt_cur_repo "Current Repository Folder Path:">
<!ENTITY txt_set_repo "Set Repository Directory Path:">
<!ENTITY txt_save_msg "The settings have been saved successfully.">
<!ENTITY txt_repo_path "Repository Folder Path:">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <!-- this is an override of the XML file setting -->
   <!-- <xsl:param name="&watchfolder;"/> -->
   <xsl:param name="watchfolder"/>
 <!--  <xsl:param name="invalidRepoPath"/> -->
   <xsl:param name="OldRepo"/>
   <xsl:param name="NewRepo"/>
<!--   <xsl:param name="&sched_type;"/>
   <xsl:param name="&sched_freq;"/>
   <xsl:param name="&sched_day;"/>
   <xsl:param name="&sched_hour;"/>
   <xsl:param name="&proxy_server;"/>
   <xsl:param name="&proxy_port;"/>
   <xsl:param name="&proxy_login;"/>
   <xsl:param name="&proxy_password;"/> -->

   <xsl:param name="invalid_dir"/>
   <xsl:param name="lastpage">false</xsl:param>

   <xsl:output method="html" encoding="UTF-8"/>

   <xsl:template match="/">
      <html>
         <head>
            <meta http-equiv="pragma" content="no-cache"/>
            <link rel="stylesheet" type="text/css" href="/vcagent/cpqwiz.css"/>

            <script language="JavaScript">
               function PageLoad() {
                 var oForm = document.getElementById("vcrmoptions"); 
		
                  oForm.reset();
                  <!-- set fields from XML or from override parameters -->
                  <xsl:choose>
                     <xsl:when test="$watchfolder != ''">
                        document.getElementById("watchfolder").value = "<xsl:value-of select="translate($watchfolder,'\','/')"/>";
                     </xsl:when>
		     <xsl:when test="$invalid_dir='true'">
			document.getElementById("watchfolder").value ="<xsl:value-of select="$NewRepo"/>";	
		     </xsl:when>	
                     <xsl:otherwise>
                        document.getElementById("watchfolder").value = "<xsl:value-of select="translate(vcrmoptions/settings[@active='1'],'\','/')"/>";
                     </xsl:otherwise>
                  </xsl:choose>

                 FormValidate();
               }

		function ResetValue(){
		
			document.getElementById("watchfolder").value = "<xsl:value-of select="$OldRepo"/>";
		 <!-- </xsl:otherwise>
		 </xsl:choose> -->
		}

     <!--             <xsl:choose>
                     <xsl:when test="$&sched_type; != ''">
                        document.getElementById("&sched_type;").value = "<xsl:value-of select="$&sched_type;"/>";
                     </xsl:when>
                     <xsl:otherwise>
                        document.getElementById("&sched_type;").value = "<xsl:value-of select="cpqsroptions/settings/value[@key='&sched_type;']"/>";
                     </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                     <xsl:when test="$&sched_freq; != ''">
                        document.getElementById("&sched_freq;").value = "<xsl:value-of select="$&sched_freq;"/>";
                     </xsl:when>
                     <xsl:otherwise>
                        document.getElementById("&sched_freq;").value = "<xsl:value-of select="cpqsroptions/settings/value[@key='&sched_freq;']"/>";
                     </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                     <xsl:when test="$&sched_day;!= ''">
                        document.getElementById("&sched_day;").value = "<xsl:value-of select="$&sched_day;"/>";
                     </xsl:when>
                     <xsl:otherwise>
                        document.getElementById("&sched_day;").value = "<xsl:value-of select="cpqsroptions/settings/value[@key='&sched_day;']"/>";
                     </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                     <xsl:when test="$&sched_hour;!= ''">
                        document.getElementById("&sched_hour;").value = "<xsl:value-of select="$&sched_hour;"/>";
                     </xsl:when>
                     <xsl:otherwise>
                        document.getElementById("&sched_hour;").value = "<xsl:value-of select="cpqsroptions/settings/value[@key='&sched_hour;']"/>";
                     </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                     <xsl:when test="$&proxy_server;!= ''">
                        document.getElementById("&proxy_server;").value = "<xsl:value-of select="$&proxy_server;"/>";
                     </xsl:when>
                     <xsl:otherwise>
                        document.getElementById("&proxy_server;").value = "<xsl:value-of select="cpqsroptions/settings/value[@key='&proxy_server;']"/>";
                     </xsl:otherwise>
                  </xsl:choose>
                  <xsl:choose>
                     <xsl:when test="$&proxy_port;!= ''">
                        document.getElementById("&proxy_port;").value = "<xsl:value-of select="$&proxy_port;"/>";
                     </xsl:when>
                     <xsl:otherwise>
                        document.getElementById("&proxy_port;").value = "<xsl:value-of select="cpqsroptions/settings/value[@key='&proxy_port;']"/>";
                     </xsl:otherwise>
                  </xsl:choose>
                   the login/password fields are most susceptible to inserting corrupting
                       data because on a non-authenticating proxy, any value inserted here is
                       still going to pass the download test, since it won't ask for a login.
                  <xsl:choose>
                     <xsl:when test="$&proxy_login;!= ''">
                        var s =
                        <xsl:choose>
                           <xsl:when test="contains($&proxy_login;, '&quot;')">
                              '<xsl:value-of select='translate($&proxy_login;, "\", "/")'/>';</xsl:when>
                           <xsl:otherwise>
                              "<xsl:value-of select='translate($&proxy_login;, "\", "/")'/>";</xsl:otherwise>
                        </xsl:choose>
                     </xsl:when>
                     <xsl:otherwise>
                        var s =
                        <xsl:choose>
                           <xsl:when test="contains(cpqsroptions/settings/value[@key='&proxy_login;'], '&quot;')">
                              '<xsl:value-of select='translate(cpqsroptions/settings/value[@key="&proxy_login;"], "\", "/")'/>';</xsl:when>
                           <xsl:otherwise>
                              "<xsl:value-of select='translate(cpqsroptions/settings/value[@key="&proxy_login;"], "\", "/")'/>";</xsl:otherwise>
                        </xsl:choose>
                     </xsl:otherwise>
                  </xsl:choose>
                  document.getElementById("&proxy_login;").value = s.replace(/\//g, "\\");
                  <xsl:choose>
                     <xsl:when test="$&proxy_password;!= ''">
                        document.getElementById("&proxy_password;").value =
                        <xsl:choose>
                           <xsl:when test="contains($&proxy_password;, '&quot;')">
                              '<xsl:value-of select="$&proxy_password;"/>';</xsl:when>
                           <xsl:otherwise>
                              "<xsl:value-of select="$&proxy_password;"/>";</xsl:otherwise>
                        </xsl:choose>
                     </xsl:when>
                     <xsl:otherwise>
                        document.getElementById("&proxy_password;").value =
                        <xsl:choose>
                           <xsl:when test="contains(cpqsroptions/settings/value[@key='&proxy_password;'], '&quot;')">
                              '<xsl:value-of select="cpqsroptions/settings/value[@key='&proxy_password;']"/>';</xsl:when>
                           <xsl:otherwise>
                              "<xsl:value-of select="cpqsroptions/settings/value[@key='&proxy_password;']"/>";</xsl:otherwise>
                        </xsl:choose> 
                     </xsl:otherwise>
                  </xsl:choose> -->
                  
               function cancelclick() {
                  //window.close();
		window.location='/cgi-bin/vcagent/cgi?legacyuri=/vcrepository/catalog&amp;format=html';
               }
               
               function closeclick() {
                <!--  if ((window.opener != null) &amp;&amp; (window.opener.parent != null)
                        &amp;&amp; (!window.opener.closed)) {
                     window.opener.parent.frames[0].ReloadContentPage("HomeTab,CatalogTab,LogTab");
                  } -->
                  //window.close();
		window.location='/cgi-bin/vcagent/cgi?legacyuri=/vcrepository/catalog&amp;format=html';
               }
               
               function FormValidate() {
               
                  // validate WATCHFOLDER
                  var s = document.getElementById("watchfolder").value;
                  // convert all bslashes to fslashes

                  s = s.replace(/\\/g, "/");

                  if (s.length == 0 || s.search(/[\w]/) == -1) {
                     document.getElementById( "watchfolder" ).value = "";
                     (document.getElementById("spanwatchfolderfolder")).style.color = "red";
                     (document.getElementById("spanwatchfolderfolderi")).style.display = "";
                     return false;
                  }
                  // insure that the last character of the watch folder is a slash
                  var i = s.lastIndexOf("/");
                  if (i == -1 || (i != s.length - 1))
                     s += "/";
                  document.getElementById("watchfolder").value = s;
                  return true;
               }
               
            </script>
            <title>Change VCRM Folder settings</title>
         </head>

         <body onLoad="PageLoad();">
                        <xsl:apply-templates select="vcrmoptions"/>
           <!-- <xsl:apply-templates select="vcrmoptions"/> -->
         </body>
      </html>
   </xsl:template>

   <xsl:template match="vcrmoptions">
      <form name="vcrmoptions" id="vcrmoptions" action="/vcagent?legacyuri=/vcrepository/vcrmfolder" method="get" enctype="x-www-form-urlencoded; charset=UTF-8" onSubmit="return FormValidate();">
         <!-- hidden field for passing target handler info -->
 <!--        <input type="hidden" name="legacyuri" value="&hmmo_base;/schedule"/>
          hidden fields for passing schedule settings around 
         <input type="hidden" id="&sched_type;"     name="&sched_type;"     value="{$&sched_type;}"/>
         <input type="hidden" id="&sched_freq;"     name="&sched_freq;"     value="{$&sched_freq;}"/>
         <input type="hidden" id="&sched_day;"      name="&sched_day;"      value="{$&sched_day;}"/>
         <input type="hidden" id="&sched_hour;"     name="&sched_hour;"     value="{$&sched_hour;}"/>
         <input type="hidden" id="&proxy_server;"   name="&proxy_server;"   value="{$&proxy_server;}"/>
         <input type="hidden" id="&proxy_port;"     name="&proxy_port;"     value="{$&proxy_port;}"/>
         <input type="hidden" id="&proxy_login;"    name="&proxy_login;"    value="{$&proxy_login;}"/>
         <input type="hidden" id="&proxy_password;" name="&proxy_password;" value="{$&proxy_password;}"/> -->
	<input type="hidden" id="pagenum" name="pagenum" value="1"/>
	<input type="hidden" id="legacyuri" name="legacyuri"  value="/vcrepository/vcrmfolder"/>
	<xsl:choose>
	<xsl:when test="$lastpage='true'">
	<center>
	<div  class="wiztitle">
	<table>
                  <tr><td>&txt_save_msg;</td></tr>
        </table>
        </div>
        <br/>
           <p>
              <div class="wiztable">
                  <!-- Repository Directory -->
                  <table width="90%" id="repodirtable1">
                     <tr>
                        <td colspan="1">&txt_old_repo;</td>
			<td><xsl:value-of select="$OldRepo"/></td>
		     </tr>
                     <tr>
                        <td colspan="1">&txt_cur_repo;</td>
			<td> <xsl:value-of select="$NewRepo"/> </td>
		     </tr>
		     <tr>
		     <tr/>
		     <tr/>
                    <br/>
		    <br/>
                        <td/>
                        <td align="right">
                        <input type="button" name="Close" id="Close" value="Close" onclick="closeclick();"/>
                        </td>
                    </tr>
                  </table>
               </div>
            </p>
            <br/>
	</center>
	</xsl:when>
	<xsl:otherwise>
         <center>
            <div  class="wiztitle">
               <table>
                  <tr><td>&txt_set_repo;</td></tr>
               </table>
            </div>
            <br/>
            <p>
               <div class="wiztable">
                  <!-- Repository Directory -->
                  <table width="90%" id="repodirtable">
                     <tr>
                       <!--  <td colspan="2">&dir_description;<br/><br/></td> -->
			<td colspan="2">&txt_repo_path;<br/><br/></td>
                     </tr>
                     <xsl:if test="$invalid_dir='true'">
                        <tr><td colspan="2"><img src="&img_critical;" title="&txt_critical;"/>
                       &#032;&txt_dir_err;</td></tr>
			
                     </xsl:if>
                     <tr>
                        <td>
                           <span id="spanwatchfolderfolderi" style="display: none">
                              <img src="&img_critical;" title="&txt_required;"/>&#032;
                           </span>
                           <span id="spanwatchfolderfolder">
                              <b>&directory;</b>
                           </span>
                        </td>
                        <td>
                           <input type="text" id="watchfolder" name="watchfolder" size="50" maxlength="125" OnBlur="FormValidate();"/>
                        </td>
                     </tr>
                     <tr>
                        <td colspan="3">
                           <br/><li>&dir_note;</li>
                        </td>
                     </tr>
                  </table>
               </div>
            </p>
            <br/>
            <table width="90%" cellspacing="0" border="0" >
               <col width="97%"/>
               <col width="1%"/>
               <col width="1%"/>
               <tbody>
                  <tr>
                     <td align="left">
                        <xsl:choose>
                           <xsl:when test="$invalid_dir='true'">
                             <input type="button" name="Reset" id="Reset" value="Reset" onclick="ResetValue();"/>
			   </xsl:when>
                          <xsl:otherwise>
                          <input type="button" name="Reset" id="Reset" value="Reset" onclick="PageLoad();"/>
                           </xsl:otherwise>
                        </xsl:choose>
                     </td>
                     <td align="center" style="padding: 0px 3px">
                        <input type="submit" name="Next" id="Next" value="Next"/>
                     </td>
                     <td align="center" style="padding: 0px 3px">
		           <input type="button" name="Cancel" id="Cancel" value="Cancel" onclick="cancelclick();"/>
                     </td>
                  </tr>
               </tbody>
            </table>
         </center>
	</xsl:otherwise>
	</xsl:choose>
      </form>
   </xsl:template>
</xsl:stylesheet>
