<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2004 Hewlett-Packard Development Company, L.P. -->
<!DOCTYPE xsl:stylesheet [
	<!ENTITY % common_ja SYSTEM "../dtd.ja/common.dtd">
	%common_ja;
	<!ENTITY force_install "強制ダウングレード/再インストール">
	<!ENTITY force_install_desc "このオプションを選択して、ソフトウェアを既存のもの、または新しいバージョンに対して再インストールすることを許可します。">
	<!ENTITY auto_reboot "自動リブート">
	<!ENTITY auto_reboot_desc "このオプションを選択して、インストール終了後、再起動が必要である場合、バージョン コントロール エージェントに再起動を許可します。">
	<!ENTITY tpm_bypass "警告: Trusted Platform Module (TPM) が検出されました">
	<!ENTITY tpm_bypass_agree "インストール処理">
	<!ENTITY tpm_bypass_desc "このシステムにTrusted Platform Module (TPM)が検出されました。回復キーが利用可能でない場合、適切なOS暗号化手順が実行されずにデータへのアクセス障害が発生します。システムROM、またはオプションROMファームウェアをアップデートする前に、BitLockerを[一時停止]するためにMicrosoft Windows(R) BitLocker(TM)で適切に対処することを推奨します。回復キーを持っていない、またはBitLockerを一時停止できない場合は、フラッシュを中止してください。これらの手順に従われない場合、データへのアクセス障害が発生する可能性があります。">
	<!ENTITY install "インストール">
	<!ENTITY install_desc "コンポーネントのインストールを開始するには”&install;”ボタンを選択してください。インベントリ表示に戻るには、”&txt_btn_cancel;”を選択してください。">
	<!ENTITY txt_delete "削除">
	<!ENTITY txt_move_up "上に移動">
	<!ENTITY txt_move_down "下に移動">
	<!ENTITY txt_title "インストールするPSP/コンポーネントの選択">
	<!ENTITY Dependency_Failed "以下のコンポーネントにおいて、最小の依存コンポーネントがレポジトリ内で利用可能ではありません。">
	<!ENTITY Note "注:複数回表示されたコンポーネントは、一度だけインストールされます。">
	<!ENTITY Reordering_Note "注: インストール順序は、上記のリストによって修正することができます。">
	<!ENTITY CPLD_Note "注: CPLDのファームウェアアップデートは、サーバーに電源ケーブルを抜き差しした後にのみ実行されます。">
]>
<!-- end of localization preface --><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="machine"/>
	<xsl:param name="packageList"/>
	<xsl:param name="displayName"/>
	<xsl:param name="taskId"/>
	<xsl:param name="Min_Dependency"/>
	<xsl:param name="TPM_Enabled">0</xsl:param>
	<xsl:param name="CPLD_present">0</xsl:param>
	<xsl:param name="DepFailedList"/>
	<xsl:output indent="yes" method="html" encoding="UTF-8"/>
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="pragma" content="no-cache"/>
				<meta http-equiv="expires" content="Tue, 01 Jan 1981 01:00:00 GMT"/>
				<title>
					<xsl:value-of select="$machine"/> - &agent_name;</title>
				<link rel="stylesheet" href="&webapp_base;/cpqwiz.css" type="text/css"/>
				<script src="&webapp_base;/frameck.js" type="text/JavaScript" language="JavaScript"/>
				<script language="JavaScript">
			function checkinstallbtn()
			{
				if(null != document.install.tpmchk)
				{
					if(document.install.tpmchk.checked)
					{
			                   document.install.submitbtn.disabled = false;
					}
					else
					{
			                   document.install.submitbtn.disabled = true;
					}
				}
			}
               function InstallSubmit() {
                   // disable the install button so it doesn't get double-clicked
                   document.install.submitbtn.disabled = true;
                   document.body.style.cursor = "wait";
                   
                   var str='';
                     for (var i = 0; i &lt; document.install.FileNames.length ; i++)
                     {
                     	str += document.install.FileNames.options[i].value;
                     	if (i != document.install.FileNames.length -1)
                     	{str+=","}
                     }
<xsl:choose>
	<xsl:when test="$Min_Dependency='true'">
			document.install.HPSUMList.value=str;
			//Handle Dependency failed comps
			str= "";
			if(null != document.install.DepFail) 
			{
				//Handling of single check box
				if(undefined == document.install.DepFail.length) 
				{
					if(document.install.DepFail.checked)
					{
						str+= document.install.DepFail.value;
					}
				}
				else if(document.install.DepFail.length) 
				{
					for(i=0; i &lt; document.install.DepFail.length ; i++) 
					{
						if(document.install.DepFail[i].checked) 
						{
							str+= document.install.DepFail[i].value;
							if (i != document.install.DepFail.length -1)
	                     			{ str+= "," }
						}
					}
				}
			}
			document.install.packageList.value=str;
	</xsl:when>
	<xsl:otherwise>
					document.install.packageList.value=str;
	</xsl:otherwise>
</xsl:choose>
			return true;
               }
               
		function SeperateDisplayNames()
		{
<xsl:if test="$Min_Dependency != 'true' ">
	           	document.install.buttonpackagedelete.disabled = true;
		    	document.install.buttonpackagemoveup.disabled = true;
                 	document.install.buttonpackagemovedown.disabled = true;

			var strDisplay = "<xsl:value-of select="$displayName" disable-output-escaping="yes"/>";
			var strValue = "<xsl:value-of select="$packageList" disable-output-escaping="yes"/>";

			var strDisplayTemp = strDisplay.split(";");
			var strValueTemp = strValue.split(",");
			
			if (strDisplay.length &gt; 0 &amp;&amp; strDisplayTemp.length == 1 &amp;&amp; strValueTemp.length>1)
			{
				// PSP handling
				document.install.FileNames.options[0] = new Option( strDisplay , strValue);
			}
			else
			{for(i=0; (i &lt; strDisplayTemp.length) &amp;&amp; strDisplay.length > 0 ; i++)
				{
	//				document.forms['testform'].testselect.options[i] = new Option('new text','new value');
					document.install.FileNames.options[i] = new Option( strDisplayTemp[i] ,strValueTemp[i]);
				}
			}
</xsl:if>
<xsl:if test="$TPM_Enabled = '1'">
	//Add hight for additional message.
	window.resizeBy(0,160);
</xsl:if>
			return true;
		}
		
		function ButtonPackageDelete() {
                  // delete all selected entries
                  for (var i = document.install.FileNames.length - 1; i != -1 ; i--)
                     if (document.install.FileNames.options[i].selected)
                        if (document.install.FileNames.length != 1)
                           document.install.FileNames.options[i] = null;

                  // disable the delete button
                  document.install.buttonpackagedelete.disabled = true;
                  document.install.buttonpackagemoveup.disabled = true;
                  document.install.buttonpackagemovedown.disabled = true;
               }

               function ButtonPackageMoveUp() {
                  var i = document.install.FileNames.selectedIndex;
                  var iv = document.install.FileNames.options[i].value;
                  var it = document.install.FileNames.options[i].text;
                  if (i == 0)
                     return;
                  var j = document.install.FileNames.selectedIndex - 1;
                  var jv = document.install.FileNames.options[j].value;
                  var jt = document.install.FileNames.options[j].text;
                  document.install.FileNames.options[i].value = jv;
                  document.install.FileNames.options[i].text = jt;
                  document.install.FileNames.options[j].value = iv;
                  document.install.FileNames.options[j].text = it;
                  document.install.FileNames.selectedIndex = j;
               }

               function ButtonPackageMoveDown() {
                  var i = document.install.FileNames.selectedIndex;
                  var iv = document.install.FileNames.options[i].value;
                  var it = document.install.FileNames.options[i].text;
                  if (i == document.install.FileNames.length - 1)
                     return;
                  var j = document.install.FileNames.selectedIndex + 1;
                  var jv = document.install.FileNames.options[j].value;
                  var jt = document.install.FileNames.options[j].text;
                  document.install.FileNames.options[i].value = jv;
                  document.install.FileNames.options[i].text = jt;
                  document.install.FileNames.options[j].value = iv;
                  document.install.FileNames.options[j].text = it;
                  document.install.FileNames.selectedIndex = j;
               }
               
               function ListPackageChange() {
                  var bHPSUM = "<xsl:value-of select="$Min_Dependency "/>";               	 
	               
                  if ((document.install.FileNames.selectedIndex != -1) &amp;&amp; (bHPSUM != 'true'))  
                  {
                     if (document.install.FileNames.length != 1) {
                        document.install.buttonpackagedelete.disabled = false;
                        document.install.buttonpackagemoveup.disabled = false;
                        document.install.buttonpackagemovedown.disabled = false;
                     }
                  }                  
                  else {                     
                     document.install.buttonpackagedelete.disabled = true;
                     document.install.buttonpackagemoveup.disabled = true;
                     document.install.buttonpackagemovedown.disabled = true;
                  }
               }

            </script>
			</head>
			<body>
				<xsl:attribute name="onload">SeperateDisplayNames()</xsl:attribute>
				<center>
					<div class="wiztitle">
						<table width="100%" cellspacing="0" border="0">
							<tr>
								<xsl:choose>
									<xsl:when test="$Min_Dependency = 'true' ">
										<td>&txt_title;</td>
									</xsl:when>
									<xsl:otherwise>
										<td>&txt_title;</td>
									</xsl:otherwise>
								</xsl:choose>
							</tr>
						</table>
					</div>
					<br/>
					<form action="&cgi_base;" method="post" name="install" id="install" onsubmit="InstallSubmit();">
						<input type="hidden" id="legacyuri" name="legacyuri" value="&hmmo_base;/install2"/>
						<input type="hidden" id="packageList" name="packageList">
							<xsl:attribute name="value"><xsl:value-of select="$packageList"/></xsl:attribute>
						</input>						
						<input type="hidden" id="HPSUMList" name="HPSUMList" />
						<input type="hidden" id="dependency" name="dependency">
							<xsl:attribute name="value"><xsl:value-of select="$Min_Dependency"/></xsl:attribute>
						</input>
						<input type="hidden" id="taskId" name="taskId">
							<xsl:attribute name="value"><xsl:value-of select="$taskId"/></xsl:attribute>
						</input>
						<table width="90%" cellspacing="0" border="0">
							<tr>
								<td>
									<select name="FileNames" multiple="multiple" size="15" onChange="ListPackageChange();" style="width:100%">
										<xsl:if test="$Min_Dependency = 'true' ">
											<xsl:for-each select="/xml/selected[@dependency='1']">
												<option>
													<xsl:attribute name="value"><xsl:value-of select="./@key"/></xsl:attribute>
													<xsl:value-of select="./name/name_xlate"/> &txtVersion; <xsl:value-of select="./version/@value" /><xsl:value-of select="./version/@revision" />
												</option>
												<xsl:for-each select="./dependent[@value!='2'or not(@value)]">
													<option>
														<xsl:attribute name="value"><xsl:value-of select="./@key"/></xsl:attribute>
														&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<xsl:value-of select="./name/name_xlate"/> &txtVersion; <xsl:value-of select="./version/@value" /><xsl:value-of select="./version/@revision" />
													</option>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:if>
									</select>
								</td>
							</tr>
							<xsl:choose>
								<xsl:when test="$Min_Dependency != 'true' ">
									<tr>
										<td>
											<input type="button" name="buttonpackagedelete" id="buttonpackagedelete" value="&txt_delete;" disabled="1" onClick="ButtonPackageDelete();"/>&#032;
											<input type="button" name="buttonpackagemoveup" id="buttonpackagemoveup" value="&txt_move_up;" disabled="1" onClick="ButtonPackageMoveUp();"/>&#032;
											<input type="button" name="buttonpackagemovedown" id="buttonpackagemovedown" value="&txt_move_down;" disabled="1" onClick="ButtonPackageMoveDown();"/>
										</td>
									</tr>
									<tr>
										<td>&Reordering_Note;</td>
									</tr>
								</xsl:when>
								<xsl:otherwise>
									<tr>
										<td>
											<input type="button" id="buttonpackagedelete" name="buttonpackagedelete" value="&txt_delete;" style="visibility:hidden" onClick="ButtonPackageDelete();"/>
								                      <input type="button" id="buttonpackagemoveup" name="buttonpackagemoveup" value="&txt_move_up;" style="visibility:hidden" onClick="ButtonPackageMoveUp();"/>
								                      <input type="button" name="buttonpackagemovedown" id="buttonpackagemovedown" value="&txt_move_down;" style="visibility:hidden" onClick="ButtonPackageMoveDown();"/>
										</td>
									</tr>
									<tr>
										<td align="left">&Note;</td>
									</tr>
									<!-- Insert a blank line -->
									<br/>
								</xsl:otherwise>
							</xsl:choose>
							
							<xsl:if test="$CPLD_present = '1'"> 
							<tr>
										<td>&CPLD_Note;</td>
							</tr>
							</xsl:if>
						</table>						
						<!-- m c -->
						<xsl:if test="/xml/selected[@dependency='0']">
							<!-- Dependency failed -->
							<div class="wiztable">
								<table width="90%" border="1">
									<thead>
										<tr>
											<th align="left">&Dependency_Failed;</th>
										</tr>
									</thead>
									<tbody>
										<xsl:for-each select="/xml/selected[@dependency='0']">
											<tr>
												<td width="0" align="left">
<xsl:attribute name='title'><xsl:value-of select="./@tip"/></xsl:attribute>
													<input type="checkbox" checked="checked" name="DepFail" id="DepFail">
														<xsl:attribute name="value"><xsl:value-of select="./@key"/></xsl:attribute>
														<xsl:value-of select="./name/name_xlate"/> &txtVersion; <xsl:value-of select="./version/@value" /><xsl:value-of select="./version/@revision" />
													</input>
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
							</div>
						</xsl:if>
						<br/>
						<p>
							<div class="wiztable">
								<table width="90%">
									<thead>
										<tr>
											<th align="left">&force_install;</th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td>&force_install_desc;</td>
										</tr>
										<tr>
											<td>
												<INPUT type="checkbox" size="30" name="force" id="force" value="0">
													<b>&force_install;</b>
												</INPUT>
												<br/>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</p>
						<br/>
						<p>
							<div class="wiztable">
								<table width="90%">
									<thead>
										<tr>
											<th align="left">&auto_reboot;</th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td>&auto_reboot_desc;</td>
										</tr>
										<tr>
											<td>
												<input type="checkbox" size="30" name="reboot" id="reboot" value="0">
													<b>&auto_reboot;</b>
												</input>
												<br/>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</p>
						<xsl:if test="$TPM_Enabled = '1'">
						<!-- TPM is Enabled So add the text -->
							<br/>
							<p>
								<div class="wiztable">
									<table width="90%">
										<thead>
											<tr>
												<th bgcolor="cc0000" align="left">&tpm_bypass;</th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td>&tpm_bypass_desc;</td>
											</tr>
											<tr>
												<td>
													<input type="checkbox" size="30" name="tpmchk" id="tpmchk" value="0" onclick="checkinstallbtn();">
														<b>&tpm_bypass_agree;</b>
													</input>
													<br/>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
							</p>
						</xsl:if>
						<p>
							<table width="90%">
								<col width="90%"/>
								<col width="5%"/>
								<col width="5%"/>
								<tr>
									<td colspan="3">&install_desc;</td>
								</tr>
								<tr>
									<td/>
									<td>
										<xsl:choose>
											<xsl:when test="$TPM_Enabled = '1'">
												<input type="submit" name="submitbtn" id="submitbtn" value="&install;" disabled="disabled"/>
											</xsl:when>
											<xsl:otherwise>
												<input type="submit" name="submitbtn" id="submitbtn" value="&install;"/>
											</xsl:otherwise>
										</xsl:choose>
									</td>
									<td>
										<input type="button" name="cancel" id="cancel" value="&txt_btn_cancel;" onclick="window.location='/cgi-bin/vcagent/cgi?legacyuri=/vcagent/inventory';"/>
									</td>
								</tr>
							</table>
						</p>
					</form>
				</center>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="DependencyFailed">
		<div id="DepFail" ReportFmt="includeTag" class="pageSectionTitle">
			<table>
				<tbody>
					<tr>
						<th>Version Control Agent</th>
					</tr>
				</tbody>
			</table>
		</div>
	</xsl:template>
</xsl:stylesheet>
