<?xml version="1.0" encoding="UTF-8"?>
<!-- .XSL files are generated by makexsl.  Do not edit .XSL files with this header! -->
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common_ja SYSTEM "../dtd.ja/common.dtd">
%common_ja;
<!-- catbody entities -->
<!ENTITY cat_locked_warning    "警告: カタログは、現在有効にしているため、幾つかのコンポーネントが見えない場合があります。">
<!ENTITY cat_invalid_sp        "この&support_paq;は無効です。この&support_paq;で参照されている1つまたはそれ以上のコンポーネントはカタログにありません。&support_paq;の詳細を確認してください。">
<!ENTITY img_open_folder       "&webapp_base;/img/folder_open_32x16.gif">
<!ENTITY img_closed_folder     "&webapp_base;/img/folder_closed_32x16.gif">
<!ENTITY txt_lastconfig        "最終設定日: ">
<!ENTITY txt_never             "未設定">
<!ENTITY img_lastconfig        "&webapp_base;/img/config.gif">
<!ENTITY img_never             "&webapp_base;/img/never_cfgd.gif">
<!ENTITY img_noconfig          "&webapp_base;/img/noconfig.gif">
<!ENTITY txt_unk_pkg           "&txt_unknown;&#160;&txt_component;">
<!ENTITY txt_unk_sp            "&txt_unknown;&#160;&support_paq;">
<!ENTITY txt_component "コンポーネント">
<!ENTITY txt_components "コンポーネント">
<!ENTITY txt_baseline "ソフトウェア ベースライン">
<!ENTITY txt_baselines "ソフトウェア ベースライン">
<!ENTITY img_cpq_paq "&webapp_base;/img/cpq_paq_16x14.gif">
<!ENTITY img_component "&webapp_base;/img/component_16x14.gif">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="vcrm_displayname.xsl"/>
	<xsl:output method="html" indent="no"/>
	<!-- call "with-param" values for all parameters -->
	<xsl:template name="catbody">
		<xsl:param name="lang"/>
		<xsl:param name="is_locked"/>
		<xsl:param name="operator"/>
		<!--
           os_filter_key is non-empty when the catalog is filtered by
           o/s - for the create custom support pack wizard - so it is
           used not just to filter, but to also change some of the
           checkbox handling code for that wizard, vs. copy and delete.
      -->
		<xsl:param name="os_filter_plat"/>
		<xsl:param name="os_filter_maj"/>
		<xsl:param name="os_filter_min"/>
		<xsl:param name="os_filter_sr"/>
		<xsl:param name="os_filter_edi"/>
		<xsl:param name="os_filter_os"/>
		<!--
           enCheckBox should not be true if operator is false,
           and if it is true, then the following things occur:
             - item names are not hyperlinks
             - configuration flags and hyperlinks are removed
             - the view cookie is not updated as folders are opened/closed
             - the functions associated with the cookie assume there is
               a form named "checkedcat" with a hidden field named "checkedlist"
               and a button named "checkedbtn" (typically with a value of
               "Finish" or "Next" that is enabled/disabled when items are checked.
      -->
		<xsl:param name="enCheckBox"/>
		<script type="text/JavaScript" language="JavaScript" src="&webapp_base;/showhide.js"/>
		<script language="JavaScript">
         var fStatusIsHidden = false; // initially visible
         var gszViewCookie;
         var is_catalog_locked = <xsl:value-of select="$is_locked"/>;
         var ShowCreateDisabledAlert = true;

         var CatalogLockedWarning = "&cat_locked_warning;";

         // populate the severity array
         var Severities = new Array( );
         Severities[0] = new structSeverity( "&img_info;" , "&txt_info;" )
         Severities[1] = new structSeverity( "&img_normal;" , "&txt_normal;" )
         Severities[2] = new structSeverity( "&img_minor;" , "&txt_minor;" )
         Severities[3] = new structSeverity( "&img_major;" , "&txt_major;" )
         Severities[4] = new structSeverity( "&img_critical;" , "&txt_critical;" )

         function structSeverity( icon , text ) {
            this.Icon = icon;
            this.Text = text;
         }

         function GetCookie(name) {
            var start = document.cookie.indexOf(name + "=");
            if (start == -1)
               return null;
            start += name.length + 1;
            var end = document.cookie.indexOf(';', start);
            if (end == -1) end = document.cookie.length;
            return unescape(document.cookie.substring(start, end));
         }
          
          function SetCookie(name, value, expires, path, domain, secure) {
            document.cookie = name + "=" + escape(value) +
            ((expires) ? "; expires=" + expires.toGMTString() : "") +
            ((path) ? "; path=" + path : "") +
            ((domain) ? "; domain=" + domain : "") +
            ((secure) ? "; secure" : "");
           
         }
        
        function DeleteCookie(name)  {
                 var dExpire = new Date();
                  dExpire.setTime(dExpire .getTime()+(-1*24*60*60*1000));
                  SetCookie(name,"  ", dExpire);
        }
          

       
         <!-- checkbox functions -->
			<xsl:if test="$enCheckBox='true'">
            var CheckboxBundleObjects   = new Array( );
            var CheckboxPackageObjects  = new Array( );
            var CheckBoxCookie = "";
            var CheckedItems     = new Array( );
            function RemoveArrayElement( theArray , idx ) {
               // javascript convolutions to appease an older browser
               // clean way --
               // return theArray.splice( idx , 1 ); // remove that item
               //     vs.
               // convoluted way -- see below
               for( var i = idx ; i &lt; theArray.length ; i++ ) {
                  theArray[i] = theArray[i+1]; // clobber the idx-th element
               }
               // shorten the array
               theArray.length--;
            }

             // called by the Reset button's onclick handler
            function ResetCheckBoxes() {
               // uncheck in reverse because CheckBoxClick removes the item
               for( var i = CheckedItems.length - 1; i &gt;= 0 ; i-- ) {
                  CheckedItems[i].checked = false;
                  CheckBoxClick(CheckedItems[i]);
                 }
                //  init();  
                CheckBoxCookie  = GetCookie("CPQCHECK_BOX");
                if (CheckBoxCookie != null) 
                {
                                 DeleteCookie("CPQCHECK_BOX");
                }
                
              
          }   
            <!-- this is the "inner" function for keeping the CheckedItems sync'd -->
           function ManageCheckBoxState(cb) {
                  if (cb.checked ) { <!-- add the checked item to the list -->
                  CheckedItems.push(cb);
               }
              else { <!-- remove the item, since it's no longer checked--> 
                 for( var c = 0 ; c &lt; CheckedItems.length ; c++ ) {
                     if ( CheckedItems[c] == cb ) {
                        RemoveArrayElement( CheckedItems , c );
                        break;
                     }
                  }
               }
               <!-- now, we cleanup the lists -->
               if ("bundle" == cb.name) {
                  if (true == cb.checked) {
                     <!-- os_filter_key's presence tells us it's a custom SP page -->
				<xsl:if test="$os_filter_plat != '' or $os_filter_os != ''">
					<!-- If we've checked this item, disable every other PSP item -->
                     for (var i = 0; i &lt; CheckboxBundleObjects.length; i++) {
                        if (cb != CheckboxBundleObjects[i])
                           CheckboxBundleObjects[i].disabled = true;
                     }
                     </xsl:if>
				<!-- check all of its packages -->
                     for (var j = 0; j &lt; CheckboxPackageObjects.length; j++) {
                        if (-1 != cb.value.indexOf(CheckboxPackageObjects[j].value)) {
                           CheckboxPackageObjects[j].checked = true;
                        }
                     }
                     <!-- Now, it's possible that a bundle's component can be in
                          the CheckedItems if it was checked before the bundle.
                          This insures that when a bundle is checked, it's the
                          only item in the checked list representing the package.
                          If the bundle was just checked, it's the last array item
                          so we don't want to check it, or it will be removed, too.
                     -->
                     for ( var k = CheckedItems.length - 2 ; k &gt;= 0; k-- ) {
                        var checkedItem = CheckedItems[k];
                        if (-1 != cb.value.indexOf(checkedItem.value))
                           RemoveArrayElement( CheckedItems , k );
                     }
                  }
                  else {
                     <!-- uncheck every one of the bundle's packages -->
                     for ( var i = 0; i &lt; CheckboxPackageObjects.length; i++ ) {
                        var oPkg = CheckboxPackageObjects[i];
                        if (-1 != cb.value.indexOf(oPkg.value)) {
                           <!-- we rely on the fact that this object is only
                                checked because the bundle was checked, and
                                it is not individually in the checked items -->
				<xsl:choose>
					<xsl:when test="$os_filter_plat != '' or $os_filter_os != ''">
						<!-- custom PSP only allows single PSP to be checked -->
                           oPkg.checked = false;
                           </xsl:when>
					<xsl:otherwise>
						<!-- only uncheck if not in another, checked PSP -->
                           var fUncheck = true; // assume only one PSP is checked
                           for (var j = 0; j &lt; CheckboxBundleObjects.length; j++) {
                              if (cb != CheckboxBundleObjects[j]) {
                                 oCbOther = CheckboxBundleObjects[j];
                                 if (true == oCbOther.checked) {
                                    if (-1 != oCbOther.value.indexOf(oPkg.value)) {
                                       fUncheck = false;
                                       break;
                                    }
                                 }
                              }
                           }
                           if (true == fUncheck)
                              oPkg.checked = false;
                           </xsl:otherwise>
				</xsl:choose>
                        }
                     }
                     <xsl:if test="$os_filter_plat != '' or $os_filter_os != ''">
					<!-- enable all bundle checkboxes now -->
                     for (var i = 0; i &lt; CheckboxBundleObjects.length; i++) {
                        if (cb != CheckboxBundleObjects[i])
                           CheckboxBundleObjects[i].disabled = false;
                     }
                     </xsl:if>
                  }
               }
               else if (!cb.checked) {
                  <!-- When unchecking an package, make sure that if it's in
                       a bundle, the bundle is unchecked, but the other bundle
                       items are added into the list of checked items.
                  -->
                  var aryPkgsToCheck = new Array();
                  for( var i = CheckedItems.length - 1; i &gt;= 0 ; i-- ) {
                     var checkedItem = CheckedItems[i];
                     if (checkedItem.name == "bundle") {
                        if (-1 != checkedItem.value.indexOf(cb.value)) {
                           <!-- the unchecked package is in this bundle -->
				<xsl:choose>
					<xsl:when test="$os_filter_plat != '' or $os_filter_os != ''">
						<!-- only one PSP can be checked for custom SP -->
                           aryPkgsToCheck = checkedItem.value.split(",");
                           aryPkgsToCheck.pop(); <!-- remove bundle name -->
                           checkedItem.checked = 0; <!-- uncheck the bundle -->
                           ManageCheckBoxState(checkedItem); <!-- unchecks its packages -->
						<!-- remove the item that was just unchecked from pkg list -->
                           for (var j = 0; j &lt; aryPkgsToCheck.length; j++) {
                              if (aryPkgsToCheck[j] == cb.value) {
                                 RemoveArrayElement(aryPkgsToCheck, j);
                                 break;
                              }
                           }
                           <!-- for custom SP, only one bundle is checked, so we're done -->
                           break;
                           </xsl:when>
					<xsl:otherwise>
                           var aryBundleItems = checkedItem.value.split(",");
                           aryBundleItems.pop(); <!-- remove bundle name -->
                           checkedItem.checked = 0; <!-- uncheck the bundle -->
                           ManageCheckBoxState(checkedItem); <!-- unchecks its packages -->
						<!-- remove the item that was just unchecked from pkg list -->
                           var sList = aryPkgsToCheck.toString();
                           for (var j = aryBundleItems.length - 1; j &gt;= 0 ; j--) {
                              if (aryBundleItems[j] == cb.value) {
                                 RemoveArrayElement(aryBundleItems, j);
                              }
                              else if (-1 != sList.indexOf(aryBundleItems[j])) {
                                 RemoveArrayElement(aryBundleItems, j); <!-- already in the list -->
                              }
                           }
                           aryPkgsToCheck = aryPkgsToCheck.concat(aryBundleItems);
                           </xsl:otherwise>
				</xsl:choose>
                        }
                     }
                  }
                  if (aryPkgsToCheck.length &gt; 0) {
                     <!-- we need to add these items in the order of aryPkgsToCheck
                          occurence, and not the order they are in the document.  We
                          assume here that the catalog has been filtered by O/S, so
                          there are no cases where the same component appears twice.
                     -->
                     for (var i = 0; i &lt; aryPkgsToCheck.length; i++ ) {
                        for (var j = 0; j &lt; CheckboxPackageObjects.length; j++ ) {
                           var e = CheckboxPackageObjects[j];
                           if ( aryPkgsToCheck[i] == e.value ) {
                              e.checked = true;
                              CheckedItems.push(e);
                              break;
                           }
                        }
                     }
                  }
               }
            }

            function CheckBoxClick(cb) {
               ManageCheckBoxState(cb);
              // update the form field
                var strCkdList = window.parent.frames["catwizftr"].document.getElementById("checkedlist");
                strCkdList.value = "";
               var btnCkItems = window.parent.frames["catwizftr"].document.getElementById("checkedbtn");
                btnCkItems.disabled = true;
                if ( CheckedItems.length &gt; 0 ) {
                  btnCkItems.disabled = false;
                  ClearStatusText( ); 
                  for (var i = 0 ; i &lt; CheckedItems.length ; i++ ) {
                     var aryItems = CheckedItems[i].value.split(',');
                       <!--
                         we insert just the last item, which for components is the
                         only item, but for support packs, is the support pack file
                     -->
                     if (aryItems.length &gt; 0) {<!-- insert unique items only -->
                        var sNew = aryItems[aryItems.length - 1];
                        if (-1 == strCkdList.value.indexOf(sNew)) {
                           strCkdList.value+= sNew;
                           strCkdList.value+= ",";
                        }
                     }
                  }
                  strCkdList.value = strCkdList.value.substr(0, strCkdList.value.length - 1);
                   
                  var dExpire = new Date();
                  //dExpire.setTime(dExpire .getTime()+(1*24*60*60*1000));
                  dExpire.setTime(dExpire .getTime()+(4*60*1000));

                  SetCookie("CPQCHECK_BOX",strCkdList.value, dExpire);
                 }
            }
         </xsl:if>

         function ClearStatusText() {
            if (!fStatusIsHidden )
            {               
               fStatusIsHidden = !showhide2("span_status_table");
            }
         }

         function init() 
         {
            ClearStatusText();
            gszViewCookie = GetCookie("CPQSRHMO-VIEW");
              if (gszViewCookie != null) 
              {
               var a = gszViewCookie.split('|');
               for (var i = 0; i != a.length; i++) 
               {
                  var node = document.getElementById(a[i]);
                  if (node != null) 
                  {
                     document.getElementById(node.id + "d").style.display = "none";
                     node.src = "&img_closed_folder;";
                  }
               }
            }
            

            <xsl:if test="$enCheckBox='true'">
               // assume nothing is checked
               window.parent.frames["catwizftr"].document.getElementById("checkedbtn").disabled = true;
               // collect the checked checkbox objects
               CheckboxBundleObjects.length = 0;
               CheckboxPackageObjects.length = 0;
               var sCheckedBundlePkgs = "";
               for (var i = 0; i != document.deadcatbody.length; i++) {
                  var e = document.deadcatbody.elements[i];
                  if ("checkbox" == e.type) {
                     if ("bundle" == e.name) {
                        CheckboxBundleObjects.push(e);
                        if (true == e.checked) {
                        <!-- window.alert(e.value + " is checked"); -->
                           sCheckedBundlePkgs += e.value;
                        }
                     }
                     else {
                        CheckboxPackageObjects.push(e);
                     }
                  }
               }
               

                CheckBoxCookie = GetCookie("CPQCHECK_BOX"); 
		    if (CheckBoxCookie != null) 
                 {
			       var cbc = CheckBoxCookie.split(',');

			      if(cbc[0].indexOf("bp") != -1 )
		            {
			      	     for(var xx = 0; xx &lt; CheckboxBundleObjects.length; xx++)
				     {
					      if(-1 != CheckboxBundleObjects[xx].value.indexOf(cbc[0]))
					       {
						       CheckboxBundleObjects[xx].checked = true;
					        }
				       }

                            } 

			        for (var i = 0; i != cbc.length; i++)
		              {
			       	var rightsymbol =  cbc[i] ;
			        	 for( var j = 0; j &lt; CheckboxPackageObjects.length; j++)
				       {
					         var temp = CheckboxPackageObjects[j];
	                                     if ( rightsymbol  == temp.value ) 
       	                              {
       	             		                	temp.checked = true;
					          }
				       }
				
			          }

               }


               <!-- do the packages first so only "stray" packages are in the checked list -->
               CheckedItems.length = 0;
               for (var j = 0; j != CheckboxPackageObjects.length; j++) {
                  var p = CheckboxPackageObjects[j];
                  if (true == p.checked) {
                     if (-1 == sCheckedBundlePkgs.indexOf(p.value)) {
                        CheckBoxClick(p);
                     }
                  }
               }
               for (var k = 0; k != CheckboxBundleObjects.length; k++) {
                  var b = CheckboxBundleObjects[k];
                  if (true == b.checked) {
                     CheckBoxClick(b);
                  }
               }
            </xsl:if>
            if ( is_catalog_locked == true )
               SetStatusText( 2 , "red" , CatalogLockedWarning ); // 2 is img_minor
         }
         

         function ImageClick(node) {
            var nodediv = document.getElementById(node.id + "d");
            if (nodediv.style.display == "none") {
               nodediv.style.display = "";
               node.src = "&img_open_folder;";

               // remove from cookie
               var a = gszViewCookie.split('|');
               for (var i = 0; i != a.length; i++)
                  if (a[i] == node.id) {
                     a[i] = a[a.length - 1];
                     a.length--;
                     break;
                  }
               gszViewCookie = a.join('|');
            }
            else {
               nodediv.style.display = "none";
               node.src = "&img_closed_folder;";

               // add to cookie
               if (gszViewCookie == null || gszViewCookie == "")
                  gszViewCookie = node.id;
               else
                  gszViewCookie += "|" + node.id;
            }
            <!--
                 we update the cookie all the time so if a task
                 is launched that uses the catalog, the user gets
                 the folders in the same state in the task page
            -->
			<xsl:if test="$enCheckBox='false'">
               var dExpire = new Date();
               dExpire.setYear(dExpire.getFullYear() + 1);
               SetCookie("CPQSRHMO-VIEW", gszViewCookie, dExpire);
            </xsl:if>
         }

         function SetStatusText( severity , color , text) {
            document.getElementById("status_icon").src   = Severities[severity].Icon;
            document.getElementById("status_icon").title = Severities[severity].Text;

            (document.getElementById("span_status_msg")).style.color      = color;
            (document.getElementById("span_status_msg")).style.fontWeight = "bold";
            (document.getElementById("span_status_msg")).style.fontSize   = "11pt";
            (document.getElementById("span_status_msg")).style.fontFamily = "Verdana, Geneva, Arial, Helvetica, sans-serif";
            (document.getElementById("span_status_msg")).innerHTML        = text;
            if (fStatusIsHidden)
            {
               fStatusIsHidden = showhide2("span_status_table");
            }            
         }

      </script>
		<script src="&webapp_base;/timedate.vb" language="VBScript"/>
		<script src="&webapp_base;/timedate.js" language="JavaScript"/>
		<script src="&webapp_base;/cpcfgui.js" language="JavaScript"/>
		<body name="catbody" id="catbody">
			 <xsl:attribute name="onLoad"><xsl:choose><xsl:when test="$enCheckBox='true'">javascript:ClearStatusText();javascript:parent.setLoaded(1);</xsl:when><xsl:otherwise>javascript:init();</xsl:otherwise></xsl:choose></xsl:attribute> 
                     
			<div id="span_status_table">
				<table>
					<tr>
						<td valign="top">
							<span id="span_status_icon">
								<img id="status_icon" src="&img_blank;"/>&#032;
                     </span>
						</td>
						<td>
							<span id="span_status_msg"/>
						</td>
					</tr>
				</table>
			</div>
			<!-- internal "dead" form so we can access the elements collection -->
			<form name="deadcatbody">
				<!-- call the template to generate the Support Pack listing -->
				<xsl:call-template name="catalognodes">
					<xsl:with-param name="SelectedNodes" select="/cpqsrcatalog/cpq_bundle"/>
					<xsl:with-param name="packageHeader">&txt_baselines;</xsl:with-param>
					<!-- idPrefix prevents name collisions on generated img and div ids -->
					<xsl:with-param name="idPrefix">sp</xsl:with-param>
					<xsl:with-param name="lang" select="$lang"/>
					<xsl:with-param name="operator" select="$operator"/>
					<xsl:with-param name="os_filter_plat" select="$os_filter_plat"/>
					<xsl:with-param name="os_filter_maj" select="$os_filter_maj"/>
					<xsl:with-param name="os_filter_min" select="$os_filter_min"/>
					<xsl:with-param name="os_filter_sr" select="$os_filter_sr"/>
					<xsl:with-param name="os_filter_edi" select="$os_filter_edi"/>
					<xsl:with-param name="os_filter_os" select="$os_filter_os"/>
					<xsl:with-param name="enCheckBox">
						<xsl:value-of select="$enCheckBox"/>
					</xsl:with-param>
				</xsl:call-template>
				<br/>
				<xsl:call-template name="catalognodes">
					<xsl:with-param name="SelectedNodes" select="/cpqsrcatalog/cpq_package[sw_keys/sw_keys_and/sw_key[@name != 'hppldu' and @name != 'hpsum.exe' and @name != 'hpsum' ]]"/>
					<xsl:with-param name="packageHeader">&txt_components;</xsl:with-param>
					<xsl:with-param name="idPrefix">cp</xsl:with-param>
					<xsl:with-param name="lang" select="$lang"/>
					<xsl:with-param name="operator" select="$operator"/>
					<xsl:with-param name="os_filter_plat" select="$os_filter_plat"/>
					<xsl:with-param name="os_filter_maj" select="$os_filter_maj"/>
					<xsl:with-param name="os_filter_min" select="$os_filter_min"/>
					<xsl:with-param name="os_filter_sr" select="$os_filter_sr"/>
					<xsl:with-param name="os_filter_edi" select="$os_filter_edi"/>
					<xsl:with-param name="os_filter_os" select="$os_filter_os"/>
					<xsl:with-param name="enCheckBox">
						<xsl:value-of select="$enCheckBox"/>
					</xsl:with-param>
				</xsl:call-template>
			</form>
		</body>
	</xsl:template>
	<xsl:template name="catalognodes">
		<xsl:param name="SelectedNodes"/>
		<xsl:param name="packageHeader"/>
		<xsl:param name="idPrefix"/>
		<xsl:param name="lang"/>
		<xsl:param name="operator"/>
		<xsl:param name="os_filter_plat"/>
		<xsl:param name="os_filter_maj"/>
		<xsl:param name="os_filter_min"/>
		<xsl:param name="os_filter_sr"/>
		<xsl:param name="os_filter_edi"/>
		<xsl:param name="os_filter_os"/>
		<xsl:param name="enCheckBox"/>
		<!-- Header -->
		<table class="cpqsrcatalog" cellspacing="0">
			<tr class="cpqsrcatalog">
				<th class="cpqsrcatalog">
					<xsl:value-of select="$packageHeader"/>
				</th>
			</tr>
		</table>
		<!-- division -->
		<!--<xsl:for-each select="/cpqsrcatalog/categories/node_division">-->
		<!--<xsl:sort select="@key"/>-->
		<!--<xsl:variable name="divisionkeyserver" select="@key"/>-->
		<xsl:variable name="divisionkeyserver" select="6"/>
		<!-- return Server division -->
		<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeyserver]">
			<div class="cpqsrcatalog_node_division">
				<img width="32" height="16" class="cpqsrcatalog" id="{$idPrefix}{$divisionkeyserver}" src="&img_open_folder;" onClick="ImageClick(this);"/>&#032;
               <xsl:choose>
					<xsl:when test="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeyserver]/division_xlate[@lang=$lang]">
					<xsl:value-of select="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeyserver]/division_xlate[@lang=$lang]"/>
					</xsl:when>
					<xsl:when test="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeyserver]/division_xlate[@lang='en']">					
						<xsl:value-of select="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeyserver]/division_xlate[@lang='en']"/>
					</xsl:when>
					<xsl:otherwise>
                     &txt_unknown;
                  </xsl:otherwise>
				</xsl:choose>
			</div>
			<div id="{$idPrefix}{$divisionkeyserver}d">
				<!-- operating system -->
				<xsl:choose>
					<xsl:when test="$os_filter_plat != '' or $os_filter_os != ''"> <!-- CSB Wizard -->
						<xsl:choose>
							<xsl:when test="$os_filter_os!=''">
								<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@os=$os_filter_os]]">
									<xsl:call-template name="os_node">
										<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@os=$os_filter_os]]"/>
										<xsl:with-param name="div_key" select="$divisionkeyserver"/>
										<xsl:with-param name="os_plat" select="$os_filter_plat"/>
										<xsl:with-param name="os_maj" select="$os_filter_maj"/>
										<xsl:with-param name="os_min" select="$os_filter_min"/>
										<xsl:with-param name="os_sr" select="$os_filter_sr"/>
										<xsl:with-param name="os_edi" select="$os_filter_edi"/>
										<xsl:with-param name="os_os" select="$os_filter_os"/>
										<xsl:with-param name="lang" select="$lang"/>
										<xsl:with-param name="operator" select="$operator"/>
										<xsl:with-param name="idPrefix" select="$idPrefix"/>
										<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$os_filter_plat and @major=$os_filter_maj and @minor=$os_filter_min and @sr=$os_filter_sr and @edition=$os_filter_edi]]">
									<xsl:call-template name="os_node">
										<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$os_filter_plat and @major=$os_filter_maj and @minor=$os_filter_min and @sr=$os_filter_sr and @edition=$os_filter_edi]]"/>
										<xsl:with-param name="div_key" select="$divisionkeyserver"/>
										<xsl:with-param name="os_plat" select="$os_filter_plat"/>
										<xsl:with-param name="os_maj" select="$os_filter_maj"/>
										<xsl:with-param name="os_min" select="$os_filter_min"/>
										<xsl:with-param name="os_sr" select="$os_filter_sr"/>
										<xsl:with-param name="os_edi" select="$os_filter_edi"/>
										<xsl:with-param name="os_os" select="$os_filter_os"/>
										<xsl:with-param name="lang" select="$lang"/>
										<xsl:with-param name="operator" select="$operator"/>
										<xsl:with-param name="idPrefix" select="$idPrefix"/>
										<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:for-each select="/cpqsrcatalog/nodes/operating_systems/operating_system">
							<xsl:sort select="operating_system_xlate"/>
							<xsl:variable name="osplat" select="@platform"/>
							<xsl:variable name="osmaj" select="@major"/>
							<xsl:variable name="osmin" select="@minor"/>
							<xsl:variable name="ossr" select="@sr"/>
							<xsl:variable name="osedi" select="@edition"/>
							<xsl:variable name="osos" select="@os"/>
							<xsl:choose>
								<xsl:when test="$osos!=''">
									<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@os=$osos]]">
										<xsl:call-template name="os_node">
											<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@os=$osos]]"/>
											<xsl:with-param name="div_key" select="$divisionkeyserver"/>
											<xsl:with-param name="os_plat" select="$osplat"/>
											<xsl:with-param name="os_maj" select="$osmaj"/>
											<xsl:with-param name="os_min" select="$osmin"/>
											<xsl:with-param name="os_sr" select="$ossr"/>
											<xsl:with-param name="os_edi" select="$osedi"/>
											<xsl:with-param name="os_os" select="$osos"/>
											<xsl:with-param name="lang" select="$lang"/>
											<xsl:with-param name="operator" select="$operator"/>
											<xsl:with-param name="idPrefix" select="$idPrefix"/>
											<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$osplat and @major=$osmaj and @minor=$osmin and @sr=$ossr and @edition=$osedi]]">
										<xsl:call-template name="os_node">
											<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$osplat and @major=$osmaj and @minor=$osmin and @sr=$ossr and @edition=$osedi]]"/>
											<xsl:with-param name="div_key" select="$divisionkeyserver"/>
											<xsl:with-param name="os_plat" select="$osplat"/>
											<xsl:with-param name="os_maj" select="$osmaj"/>
											<xsl:with-param name="os_min" select="$osmin"/>
											<xsl:with-param name="os_sr" select="$ossr"/>
											<xsl:with-param name="os_edi" select="$osedi"/>
											<xsl:with-param name="os_os" select="$osos"/>
											<xsl:with-param name="lang" select="$lang"/>
											<xsl:with-param name="operator" select="$operator"/>
											<xsl:with-param name="idPrefix" select="$idPrefix"/>
											<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
				<!-- operating system -->
			</div>
		</xsl:if>
		<!-- division -->
		<!--<xsl:for-each select="/cpqsrcatalog/categories/node_division">-->
		<!--<xsl:sort select="@key"/>-->
		<!--<xsl:variable name="divisionkeystorage" select="@key"/>-->
		<xsl:variable name="divisionkeystorage" select="9"/>
		<!-- return Storage division -->
		<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeystorage]">
			<div class="cpqsrcatalog_node_division">
				<img width="32" height="16" class="cpqsrcatalog" id="{$idPrefix}{$divisionkeystorage}" src="&img_open_folder;" onClick="ImageClick(this);"/>&#032;
               <xsl:choose>
					<xsl:when test="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeystorage]/division_xlate[@lang=$lang]">
						<xsl:value-of select="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeystorage]/division_xlate[@lang=$lang]"/>
					</xsl:when>
					<xsl:when test="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeystorage]/division_xlate[@lang='en']">
						<xsl:value-of select="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeystorage]/division_xlate[@lang='en']"/>
					</xsl:when>
					<xsl:otherwise>
                     &txt_unknown;
                  </xsl:otherwise>
				</xsl:choose>
			</div>
			<div id="{$idPrefix}{$divisionkeystorage}d">
				<!-- operating system -->
				<xsl:choose>
					<xsl:when test="$os_filter_plat != '' or $os_filter_os != ''">
						<xsl:choose>
							<xsl:when test="$os_filter_os!=''">
								<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@os=$os_filter_os]]">
									<xsl:call-template name="os_node">
										<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@os=$os_filter_os]]"/>
										<xsl:with-param name="div_key" select="$divisionkeystorage"/>
										<xsl:with-param name="os_plat" select="$os_filter_plat"/>
										<xsl:with-param name="os_maj" select="$os_filter_maj"/>
										<xsl:with-param name="os_min" select="$os_filter_min"/>
										<xsl:with-param name="os_sr" select="$os_filter_sr"/>
										<xsl:with-param name="os_edi" select="$os_filter_edi"/>
										<xsl:with-param name="os_os" select="$os_filter_os"/>
										<xsl:with-param name="lang" select="$lang"/>
										<xsl:with-param name="operator" select="$operator"/>
										<xsl:with-param name="idPrefix" select="$idPrefix"/>
										<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@platform=$os_filter_plat and @major=$os_filter_maj and @minor=$os_filter_min and @sr=$os_filter_sr and @edition=$os_filter_edi]]">
									<xsl:call-template name="os_node">
										<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@platform=$os_filter_plat and @major=$os_filter_maj and @minor=$os_filter_min and @sr=$os_filter_sr and @edition=$os_filter_edi]]"/>
										<xsl:with-param name="div_key" select="$divisionkeystorage"/>
										<xsl:with-param name="os_plat" select="$os_filter_plat"/>
										<xsl:with-param name="os_maj" select="$os_filter_maj"/>
										<xsl:with-param name="os_min" select="$os_filter_min"/>
										<xsl:with-param name="os_sr" select="$os_filter_sr"/>
										<xsl:with-param name="os_edi" select="$os_filter_edi"/>
										<xsl:with-param name="os_os" select="$os_filter_os"/>
										<xsl:with-param name="lang" select="$lang"/>
										<xsl:with-param name="operator" select="$operator"/>
										<xsl:with-param name="idPrefix" select="$idPrefix"/>
										<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:for-each select="/cpqsrcatalog/nodes/operating_systems/operating_system">
							<xsl:sort select="operating_system_xlate"/>
							<xsl:variable name="osplat" select="@platform"/>
							<xsl:variable name="osmaj" select="@major"/>
							<xsl:variable name="osmin" select="@minor"/>
							<xsl:variable name="ossr" select="@sr"/>
							<xsl:variable name="osedi" select="@edition"/>
							<xsl:variable name="osos" select="@os"/>
							<xsl:choose>
								<xsl:when test="$osos!=''">
									<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeystorage  and prerequisites/supported_operating_systems/supported_operating_system[@os=$osos]]">
										<xsl:call-template name="os_node">
											<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeystorage  and prerequisites/supported_operating_systems/supported_operating_system[@os=$osos]]"/>
											<xsl:with-param name="div_key" select="$divisionkeystorage"/>
											<xsl:with-param name="os_plat" select="$osplat"/>
											<xsl:with-param name="os_maj" select="$osmaj"/>
											<xsl:with-param name="os_min" select="$osmin"/>
											<xsl:with-param name="os_sr" select="$ossr"/>
											<xsl:with-param name="os_edi" select="$osedi"/>
											<xsl:with-param name="os_os" select="$osos"/>
											<xsl:with-param name="lang" select="$lang"/>
											<xsl:with-param name="operator" select="$operator"/>
											<xsl:with-param name="idPrefix" select="$idPrefix"/>
											<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="$SelectedNodes[divisions/division/@key=$divisionkeystorage  and prerequisites/supported_operating_systems/supported_operating_system[@platform=$osplat and @major=$osmaj and @minor=$osmin and @sr=$ossr and @edition=$osedi]]">
										<xsl:call-template name="os_node">
											<xsl:with-param name="SelectedNodes" select="$SelectedNodes[divisions/division/@key=$divisionkeystorage  and prerequisites/supported_operating_systems/supported_operating_system[@platform=$osplat and @major=$osmaj and @minor=$osmin and @sr=$ossr and @edition=$osedi]]"/>
											<xsl:with-param name="div_key" select="$divisionkeystorage"/>
											<xsl:with-param name="os_plat" select="$osplat"/>
											<xsl:with-param name="os_maj" select="$osmaj"/>
											<xsl:with-param name="os_min" select="$osmin"/>
											<xsl:with-param name="os_sr" select="$ossr"/>
											<xsl:with-param name="os_edi" select="$osedi"/>
											<xsl:with-param name="os_os" select="$osos"/>
											<xsl:with-param name="lang" select="$lang"/>
											<xsl:with-param name="operator" select="$operator"/>
											<xsl:with-param name="idPrefix" select="$idPrefix"/>
											<xsl:with-param name="enCheckBox" select="$enCheckBox"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
				<!-- operating system -->
			</div>
		</xsl:if>
		<!-- </xsl:for-each> -->
		<!-- division -->
	</xsl:template>
	<xsl:template name="os_node">
		<xsl:param name="SelectedNodes"/>
		<xsl:param name="div_key"/>
		<xsl:param name="os_plat"/>
		<xsl:param name="os_maj"/>
		<xsl:param name="os_min"/>
		<xsl:param name="os_sr"/>
		<xsl:param name="os_edi"/>
		<xsl:param name="os_os"/>
		<xsl:param name="lang"/>
		<xsl:param name="operator"/>
		<xsl:param name="idPrefix"/>
		<xsl:param name="enCheckBox"/>
		<xsl:variable name="category_sort_lang">
			<xsl:choose>
				<xsl:when test="/cpqsrcatalog/nodes/categories/category/category_xlate[@lang=$lang]">
					<xsl:value-of select="$lang"/>
				</xsl:when>
				<xsl:otherwise>en</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<div class="cpqsrcatalog_node_operating_system">
			<img width="32" height="16" class="cpqsrcatalog" id="{$idPrefix}{$div_key}{$os_plat}{$os_maj}{$os_min}{$os_sr}{$os_edi}{$os_os}" src="&img_open_folder;" onClick="ImageClick(this);"/>&#032;
         <xsl:choose>
         	<xsl:when test="$os_os!=''"><xsl:value-of select="/cpqsrcatalog/nodes/operating_systems/operating_system[@os=$os_os]/operating_system_xlate"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="/cpqsrcatalog/nodes/operating_systems/operating_system[@platform=$os_plat and @major=$os_maj and @minor=$os_min and @sr=$os_sr and @edition=$os_edi]/operating_system_xlate"/></xsl:otherwise>
	</xsl:choose>
		</div>
		<div id="{$idPrefix}{$div_key}{$os_plat}{$os_maj}{$os_min}{$os_sr}{$os_edi}{$os_os}d">
			<!-- category -->
			<xsl:for-each select="/cpqsrcatalog/nodes/categories/category">
				<xsl:sort select="category_xlate[@lang=$category_sort_lang]"/>
				<xsl:variable name="categorykey" select="@key"/>
				<xsl:if test="$SelectedNodes[divisions/division/@key=$div_key and prerequisites/supported_operating_systems/supported_operating_system[@platform=$os_plat and @major=$os_maj and @minor=$os_min and @sr=$os_sr and @edition=$os_edi and @os=$os_os] and category/@key=$categorykey]">
					<div class="cpqsrcatalog_node_category">
						<img width="32" height="16" class="cpqsrcatalog" id="{$idPrefix}{$div_key}{$os_plat}{$os_maj}{$os_min}{$os_sr}{$os_edi}{$os_os}{$categorykey}" src="&img_open_folder;" onClick="ImageClick(this);"/>&#032;
                  <xsl:variable name="tempcat">
							<xsl:choose>
								<xsl:when test="/cpqsrcatalog/nodes/categories/category[@key=$categorykey]/category_xlate[@lang=$lang]">
									<xsl:value-of select="/cpqsrcatalog/nodes/categories/category[@key=$categorykey]/category_xlate[@lang=$lang]"/>
								</xsl:when>
								<xsl:when test="/cpqsrcatalog/nodes/categories/category[@key=$categorykey]/category_xlate[@lang='en']">
									<xsl:value-of select="/cpqsrcatalog/nodes/categories/category[@key=$categorykey]/category_xlate[@lang='en']"/>
								</xsl:when>
								<xsl:otherwise>&txt_unknown;</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:choose>
							<xsl:when test="contains($tempcat,'Support Paq')">
								<xsl:value-of select="substring-before($tempcat,'Support Paq')"/>&support_paq;<xsl:value-of select="substring-after($tempcat,'Support Paq')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$tempcat"/>
							</xsl:otherwise>
						</xsl:choose>
					</div>
					<div id="{$idPrefix}{$div_key}{$os_plat}{$os_maj}{$os_min}{$os_sr}{$os_edi}{$os_os}{$categorykey}d">
						<!-- package/bundle -->
						<xsl:choose>
							<xsl:when test="$os_os!=''">
								<xsl:apply-templates select="$SelectedNodes[divisions/division/@key=$div_key and prerequisites/supported_operating_systems/supported_operating_system[@os=$os_os] and category/@key=$categorykey]">
									<xsl:with-param name="divkey" select="$div_key"/>
									<xsl:with-param name="osplat" select="$os_plat"/>
									<xsl:with-param name="osmaj" select="$os_maj"/>
									<xsl:with-param name="osmin" select="$os_min"/>
									<xsl:with-param name="ossr" select="$os_sr"/>
									<xsl:with-param name="osedi" select="$os_edi"/>
									<xsl:with-param name="osos" select="$os_os"/>
									<xsl:with-param name="lang" select="$lang"/>
									<xsl:with-param name="operator" select="$operator"/>
									<xsl:with-param name="enCheckBox">
										<xsl:value-of select="$enCheckBox"/>
									</xsl:with-param>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$SelectedNodes[divisions/division/@key=$div_key and prerequisites/supported_operating_systems/supported_operating_system[@platform=$os_plat and @major=$os_maj and @minor=$os_min and @sr=$os_sr and @edition=$os_edi] and category/@key=$categorykey]">
									<xsl:with-param name="divkey" select="$div_key"/>
									<xsl:with-param name="osplat" select="$os_plat"/>
									<xsl:with-param name="osmaj" select="$os_maj"/>
									<xsl:with-param name="osmin" select="$os_min"/>
									<xsl:with-param name="ossr" select="$os_sr"/>
									<xsl:with-param name="osedi" select="$os_edi"/>
									<xsl:with-param name="osos" select="$os_os"/>
									<xsl:with-param name="lang" select="$lang"/>
									<xsl:with-param name="operator" select="$operator"/>
									<xsl:with-param name="enCheckBox">
										<xsl:value-of select="$enCheckBox"/>
									</xsl:with-param>
								</xsl:apply-templates>
							</xsl:otherwise>
						</xsl:choose>
						
					</div>
				</xsl:if>
			</xsl:for-each>
			<!-- category -->
		</div>
	</xsl:template>
	<xsl:template match="cpq_package">
		<xsl:param name="divkey"/>
		<xsl:param name="osplat"/>
		<xsl:param name="osmaj"/>
		<xsl:param name="osmin"/>
		<xsl:param name="ossr"/>
		<xsl:param name="osedi"/>
		<xsl:param name="osos"/>
		<xsl:param name="lang"/>
		<xsl:param name="operator"/>
		<xsl:param name="enCheckBox"/>
		<xsl:if test="sw_keys/sw_keys_and/sw_key[@name != 'hppldu' and @name != 'hpsum.exe' and @name != 'hpsum' ]">
		<div class="cpqsrcatalog_item_package">
			<table class="cpqsrcatalog_item">
				<xsl:if test="$enCheckBox='false'">
					<td valign="top">
						<xsl:choose>
							<xsl:when test="@cfgsupt &gt; '0'">
								<script>var img_href = "&lt;img src='";</script>
								<xsl:choose>
									<xsl:when test="@lastcfg=''">
										<xsl:choose>
											<xsl:when test="$operator='false'">
												<script>img_href += "&img_noconfig;'";</script>
											</xsl:when>
											<xsl:otherwise>
												<script>img_href += "&img_never;'";</script>
											</xsl:otherwise>
										</xsl:choose>
										<script>img_href += " title='&txt_never;' &gt;&lt;/img&gt;&lt;/a&gt;";</script>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="$operator='false'">
												<script>img_href += "&img_noconfig;'";</script>
											</xsl:when>
											<xsl:otherwise>
												<script>img_href += "&img_lastconfig;'";</script>
											</xsl:otherwise>
										</xsl:choose>
										<script>img_href += " title='&txt_lastconfig; "+ &vcTS2LocalDT;("<xsl:value-of select="@lastcfg"/>")+"'&gt;&lt;/img&gt;";</script>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="$operator='true'">
										<script>
                                 // alert(img_href);
                                 var href = "&lt;a href='javascript:configPackage( &amp;quot;";
                                 href += "<xsl:value-of select="@key"/>";
                                 href += "&amp;quot; )'&gt;";
                                 // alert(href);
                                 href += img_href+"&lt;/a&gt;";
                                 img_href = href;
                                 // alert(img_href);
                              </script>
									</xsl:when>
									<xsl:otherwise/>
								</xsl:choose>
								<script>document.write(img_href);</script>
							</xsl:when>
							<xsl:otherwise>
								<!-- not a configurable component -->
								<img src="&img_blank;" width="16"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:if>
				<td valign="top">
					<xsl:choose>
						<xsl:when test="$enCheckBox='true'">
							<input type="checkbox" ckid="{$divkey}-{$osplat}{$osmaj}{$osmin}{$ossr}{$osedi}{$osos}" name="package" value="{@key}" onClick="CheckBoxClick(this);"/>
						</xsl:when>
						<xsl:otherwise>
							<img width="16" height="14" src="&img_component;"/>
						</xsl:otherwise>
					</xsl:choose>&#032;
            </td>
				<td>
					<a target="_blank" href="&cgi_base;?legacyuri=/vcrepository/catalog&amp;package={@key}">
						<xsl:call-template name="display_name">
							<xsl:with-param name="lang">
								<xsl:value-of select="$lang"/>
							</xsl:with-param>
						</xsl:call-template>
					</a>
				</td>
			</table>
		</div>
	   </xsl:if>
	</xsl:template>
	<xsl:template match="cpq_bundle">
		<xsl:param name="divkey"/>
		<xsl:param name="osplat"/>
		<xsl:param name="osmaj"/>
		<xsl:param name="osmin"/>
		<xsl:param name="ossr"/>
		<xsl:param name="osedi"/>
		<xsl:param name="osos"/>
		<xsl:param name="lang"/>
		<xsl:param name="operator"/>
		<xsl:param name="enCheckBox"/>
		<div class="cpqsrcatalog_item_bundle">
			<table class="cpqsrcatalog_item">
				<td valign="top">
					<xsl:choose>
						<xsl:when test="$enCheckBox='true'">
							<input type="checkbox" ckid="{$divkey}-{$osplat}{$osmaj}{$osmin}{$ossr}{$osedi}{$osos}" name="bundle" onClick="CheckBoxClick(this);">
								<!-- the checkbox value is all the package files, with the bundle file at the end -->
								<xsl:attribute name="value"><xsl:for-each select="contents/package"><xsl:value-of select="."/>,</xsl:for-each><xsl:value-of select="@key"/></xsl:attribute>
							</input>
						</xsl:when>
						<xsl:otherwise>
							<img src="&img_blank;" width="16"/>
							<xsl:choose>
								<xsl:when test="not(@tag='custom')">
									<img width="16" height="14" src="&img_cpq_paq;" title="&txt_cpq_paq;"/>
								</xsl:when>
								<xsl:when test="@tag='custom'">
									<img width="16" height="14" src="&img_custom_paq;" title="&txt_custom_paq;"/>
								</xsl:when>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>&#032;
            </td>
				<xsl:if test="not(@valid='true')">
					<td valign="top">
						<a href="&cgi_base;?legacyuri=/vcrepository/catalog&amp;bundle={@key}#contents">
							<img width="15" height="15" title="&cat_invalid_sp;" src="&img_minor;"/>&#032;
                  </a>
					</td>
				</xsl:if>
				<td>
					<a target="_blank" href="&cgi_base;?legacyuri=/vcrepository/catalog&amp;bundle={@key}">
						<xsl:call-template name="display_name">
							<xsl:with-param name="lang">
								<xsl:value-of select="$lang"/>
							</xsl:with-param>
						</xsl:call-template>
					</a>
				</td>
			</table>
		</div>
	</xsl:template>
</xsl:stylesheet>
