<?xml version="1.0" encoding="UTF-8"?>
<!-- .XSL files are generated by makexsl.  Do not edit .XSL files with this header! -->
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common_ja SYSTEM "../dtd.ja/common.dtd">
%common_ja;
<!-- cpqsrcatalog-bundle entities -->
<!ENTITY cat_pkg_details       "コンポーネント 詳細">
<!ENTITY txt_last_cfgd         "最終設定日付">
<!ENTITY txt_never_cfgd        "(未設定)">
]>
<!-- end of makexsl generated header -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:param name="lang">en</xsl:param>
   <xsl:param name="operator">false</xsl:param>
   <xsl:param name="key">cp000000.exe</xsl:param>
   <xsl:param name="includelink">false</xsl:param>
   <xsl:include href="vcrm_pkgspcmn.xsl"/>
   <xsl:output method="html" indent="yes"/>
   <xsl:template match="/">
      <html>
         <head>
            <link rel="stylesheet" type="text/css" href="&webapp_base;/vcrepmgr.css"/>
            <style type="text/css">
               td.cpqsrcatalog{border-bottom: 1px solid silver}
            </style>
            <script src="&webapp_base;/timedate.vb" language="VBScript"/>
            <script src="&webapp_base;/timedate.js" language="JavaScript"/>
            <script type="text/javascript" language="javascript">window.resizeTo(800,600);</script>
         </head>
         <body>
            <table class="toolbar">
               <tr><td class="toolbar_title">&cat_pkg_details;</td></tr>
            </table>
            <xsl:apply-templates select="cpq_package">
               <xsl:with-param name="lang" select="$lang"/>
               <xsl:with-param name="key" select="$key"/>
            </xsl:apply-templates>
         </body>
      </html>
   </xsl:template>

   <xsl:template match="cpq_package">
      <xsl:param name="lang"/>
      <xsl:param name="key"/>
      <table class="cpqsrcatalog" cellspacing="0">
         <tr class="cpqsrcatalog">
            <td class="cpqsrcatalog">
               <xsl:if test="$lang='ja'">
                  <xsl:attribute name="width">10%</xsl:attribute>
               </xsl:if>
               <b>&cat_file;</b>
            </td>
            <td class="cpqsrcatalog">
               <xsl:variable name="pkgfile"><xsl:value-of select="filename"/></xsl:variable>
               <xsl:choose>
                  <xsl:when test="$includelink='true'">
                     <a href="&cgi_base;?legacyuri=&hmmo_base;/repository/{$pkgfile}">
                        <xsl:value-of select="$pkgfile"/>
                     </a>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:value-of select="$pkgfile"/>
                  </xsl:otherwise>
               </xsl:choose>
            </td>
         </tr>
         <xsl:call-template name="item_info">
            <xsl:with-param name="lang" select="$lang"/>
         </xsl:call-template>
         <xsl:if test="@cfgsupt='1'">
            <tr class="cpqsrcatalog">
               <td class="cpqsrcatalog">
                  <b>&txt_last_cfgd;</b>
               </td>
               <td class="cpqsrcatalog">
                  <xsl:choose>
                     <xsl:when test="not(@lastcfg='')">
                        <script language="JavaScript">
                           document.write(&vcTS2LocalDT;("<xsl:value-of select='@lastcfg'/>"));
                        </script>
                     </xsl:when>
                     <xsl:otherwise>&txt_never_cfgd;</xsl:otherwise>
                  </xsl:choose>
               </td>
            </tr>
         </xsl:if>
         <xsl:call-template name="xml_notes">
            <xsl:with-param name="lang" select="$lang"/>
         </xsl:call-template>
         <xsl:apply-templates select="revision_history">
            <xsl:with-param name="lang" select="$lang"/>
         </xsl:apply-templates>
      </table>
   </xsl:template>
</xsl:stylesheet>
