<?xml version="1.0"?>
<!-- Copyright 2001-2003 Hewlett-Packard Development Company, L.P. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:my-script-block">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
<!--	<xsl:param name="repository">dzur.wins.compaq.com</xsl:param> -->
	<xsl:param name="created_dt"/>
	<!--	<xsl:param name="operator"/>
	<xsl:param name="request"/> -->
	<!--	<xsl:variable name="input" select="msxsl:node-set($request)/method/input"/> -->
	<xsl:variable name="inputInventory" select="/method/input/softwareInventory"/>
	<!-- category ID for a bundle -->
	<xsl:variable name="CAT_KEY_BUNDLE" select="15"/>
	<!-- variables to make output construction easier -->
	<!--	<xsl:variable name="g_strDivisionKey" select="$input/environment/division/@value"/>
	<xsl:variable name="g_strOsKey" select="$input/environment/operating_system/@value"/>
	<xsl:variable name="g_nsAllCategories" select="/cpqsrcatalog/nodes/categories"/>
	<xsl:variable name="g_nsFilteredBundles" select="/cpqsrcatalog/cpq_bundle[divisions/division/@key=$g_strDivisionKey and operating_systems/operating_system/@key=$g_strOsKey]"/>
	<xsl:variable name="g_nsFilteredPackages" select="/cpqsrcatalog/cpq_package[divisions/division/@key=$g_strDivisionKey and operating_systems/operating_system/@key=$g_strOsKey]"/> -->
	<!-- TEMPLATE: match off of the root note of the catalog -->
	<xsl:template match="method">
		<xsl:element name="method">
			<xsl:attribute name="name">SRExtendSoftwareInventory</xsl:attribute>
			<xsl:attribute name="type">response</xsl:attribute>
			<xsl:element name="output">
				<xsl:attribute name="result">1</xsl:attribute>
				<!-- store the timestamp from the SR (VCA 1.0 compatibility) -->
				<xsl:element name="srStamp">
					<xsl:choose>
						<xsl:when test="$created_dt=''">
							<xsl:value-of select="$inputInventory/created/@utcDateTime"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$created_dt"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<!-- create the root 'softwareInventory' element -->
				<xsl:element name="softwareInventory">
					<xsl:attribute name="operator_access">false</xsl:attribute>
					<!-- copy some of the input to the output -->
					<xsl:if test="$inputInventory/created">
						<xsl:element name="created">
							<xsl:attribute name="utcDateTime"><xsl:choose><xsl:when test="$created_dt=''"><xsl:value-of select="$inputInventory/created/@utcDateTime"/></xsl:when><xsl:otherwise><xsl:value-of select="$created_dt"/></xsl:otherwise></xsl:choose></xsl:attribute>
						</xsl:element>
					</xsl:if>
					<!-- create the repository name node -->
					<xsl:element name="repository">
						<xsl:value-of select="/method/input/softwareInventory/bundle/@repoName"/>
					</xsl:element>
					<!-- store the timestamp (again) for version 2.0 of the VCA -->
					<xsl:element name="vcrm_catalog_timestamp">
						<xsl:choose>
							<xsl:when test="$created_dt=''">
								<xsl:value-of select="$inputInventory/created/@utcDateTime"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$created_dt"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<!-- generate the installed software node -->
					<xsl:call-template name="tplGenerateInstalledSoftware">
						<xsl:with-param name="RefBundleStat" select="0"/>
					</xsl:call-template>
					<!-- generate the available software -->
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<!-- TEMPLATE: tplGenerateInstalledSoftware -->
	<xsl:template name="tplGenerateInstalledSoftware">
		<xsl:param name="RefBundleStat"/>
		<xsl:element name="installedSoftware">
			<!-- store the reference support paq name -->
			<xsl:element name="swItemList">
				<xsl:for-each select="$inputInventory/installedSoftware/swItemList/swItem">
					<xsl:element name="swItem">
						<xsl:element name="key">
							<xsl:value-of select="key"/>
						</xsl:element>
						<xsl:element name="installedVer">
							<xsl:value-of select="installedVer"/>
						</xsl:element>
						<xsl:element name="name">
							<xsl:element name="name_xlate">
								<xsl:attribute name="lang">en</xsl:attribute>
								<xsl:value-of select="name/name_xlate[@lang='en']"/>
							</xsl:element>
						</xsl:element>
						<xsl:element name="availableVersions"/>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
			<xsl:element name="busy"> <!--sandeep-->
				<xsl:attribute name="value">99</xsl:attribute>
			</xsl:element> <!-- Busy Status -->
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>