<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:param name="lang">en</xsl:param>
	<xsl:template match="/">
		<xsl:element name="xml">
			<xsl:apply-templates select="//selected"/>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="selected">
		<xsl:element name="selected">
			<xsl:copy-of select="@dependency"/>
			<xsl:copy-of select="@key"/>
			<xsl:copy-of select="@tip"/>
			<xsl:variable name="test" select="@key"/>
			<xsl:element name="name">
				<xsl:choose>
					<xsl:when test="/xml/softwareInventory/allSoftware//swItem[package = $test]/name/name_xlate[@lang = $lang]">
						<xsl:copy-of select="/xml/softwareInventory/allSoftware//swItem[package = $test]/name/name_xlate[@lang = $lang]"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="/xml/softwareInventory/allSoftware//swItem[package = $test]/name/name_xlate[@lang = 'en']"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:copy-of select="/xml/softwareInventory/allSoftware//swItem[package = $test]/version"/>
			<xsl:apply-templates select="dependent"/>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="dependent">
		<xsl:element name="dependent">
			<!--<xsl:attribute name="value">1</xsl:attribute> -->
			<xsl:copy-of select="@key"/>
			<xsl:variable name="test" select="@key"/>
			<xsl:element name="name">
				<xsl:choose>
					<xsl:when test="/xml/softwareInventory/allSoftware//swItem[package = $test]/name/name_xlate[@lang = $lang]">
						<xsl:copy-of select="/xml/softwareInventory/allSoftware//swItem[package = $test]/name/name_xlate[@lang = $lang]"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="/xml/softwareInventory/allSoftware//swItem[package = $test]/name/name_xlate[@lang = 'en']"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>

			<xsl:copy-of select="/xml/softwareInventory/allSoftware//swItem[package = $test]/version"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
