<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:my-script-block">
	<xsl:param name="ilo"></xsl:param>
	<xsl:param name="IA64">false</xsl:param>
	<xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
	<xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyz</xsl:variable>
	<xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZ </xsl:variable>
	<xsl:variable name="DiscriptionTable" select="/HWDiscovery/Disc_Table"></xsl:variable>
	<xsl:template match="HWDiscovery">
	<xsl:element name="swItemListmain">
		<xsl:element name="hwItemList">
			<xsl:for-each select="/HWDiscovery/PCIDevices/PCIDevice">
				<xsl:element name="hwItem">
					<xsl:element name="ven">
						<xsl:variable name="ven_id" select="Id"/>
						<xsl:value-of select="substring($ven_id,1,4)"/>
					</xsl:element>
					<xsl:element name="dev">
						<xsl:variable name="dev_id" select="Id"/>
						<xsl:value-of select="substring($dev_id,5,8)"/>
					</xsl:element>
					<xsl:element name="subven">
						<xsl:variable name="subven_id" select="SubId"/>
						<xsl:value-of select="substring($subven_id,1,4)"/>
					</xsl:element>
					<xsl:element name="subdev">
						<xsl:variable name="subdev_id" select="SubId"/>
						<xsl:value-of select="substring($subdev_id,5,8)"/>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
		<xsl:element name="swItemList">
			<!-- System ROM -->
			<xsl:if test="/HWDiscovery/ServerInformation/ROM != '' and $IA64 = 'false'">
				<xsl:variable name="m_month" select="substring-before(/HWDiscovery/ServerInformation/ROMDate,'/')"></xsl:variable>
				<xsl:variable name="m_day" select="substring-before(substring-after(/HWDiscovery/ServerInformation/ROMDate,'/'),'/')"></xsl:variable>
				<xsl:variable name="m_year" select="substring-after(substring-after(/HWDiscovery/ServerInformation/ROMDate,'/'),'/')"></xsl:variable>
				<xsl:element name="swItem">
					<xsl:element name="key">
						<xsl:attribute name="Important">1</xsl:attribute>
						<xsl:value-of select='translate (/HWDiscovery/ServerInformation/ROM,$ucletters,$lcletters)'/>
					</xsl:element>
					<xsl:element name="path"></xsl:element>
					<xsl:element name="installedVer"><xsl:value-of  select="$m_year"/>.<xsl:value-of select="$m_month"/>.<xsl:value-of select="$m_day"/></xsl:element>
					<xsl:element name="name">
						<xsl:element name="name_xlate">
							<xsl:attribute  name="lang">en</xsl:attribute>Compaq System ROM</xsl:element>
						<xsl:element name="name_xlate">
							<xsl:attribute  name="lang">ja</xsl:attribute>Compaq System ROM</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:if test="$ilo !=''">
				<xsl:variable name="swkey">
					<xsl:choose>
						<xsl:when test="/HWDiscovery/PCIDevices/PCIDevice [(Id='103c3307' and SubId='103c3381') or (Id='103c3306' and SubId='103c3381') or (Id='103c3308' and  SubId='103c3381') or (Id='103c3300' and SubId='103c3381') or (Id='103c3301' and SubId='103c3381') or  (Id='103c3302' and SubId='103c3381')]">ri10</xsl:when>
						<xsl:when test="/HWDiscovery/PCIDevices/PCIDevice [(Id='0e11b203' and SubId='103c3305') or (Id='0e11b204' and SubId='103c3304') or (Id='0e11b204' and  SubId='103c3305') or (Id='103c3300' and SubId='103c3304') or (Id='103c3300' and SubId='103c3305') or  (Id='103c3301' and SubId='103c3304') or (Id='103c3301' and SubId='103c3305') or (Id='103c3302' and  SubId='103c3304') or (Id='103c3302' and SubId='103c3305')]" >ri7</xsl:when>
						<xsl:when test="/HWDiscovery/PCIDevices/PCIDevice [Id='0e1100b1' and SubId='0e1100b3']">ri6</xsl:when>
						<xsl:when test="/HWDiscovery/PCIDevices/PCIDevice [(Id='103c3307' and SubId='103c3309') or (Id='103c3307' and SubId='103c330e')]">ri9</xsl:when>
						<xsl:when test="/HWDiscovery/PCIDevices/PCIDevice [(Id='0e11b203' and SubId='0e11b206') or (Id='0e11b204' and SubId='0e11b206')]">ri5</xsl:when>
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:if test="$swkey!=''">
					<xsl:element name="swItem">
						<xsl:element name="key">
							<xsl:attribute  name="Important">1</xsl:attribute>
							<xsl:value-of select="$swkey" />
						</xsl:element>
						<xsl:element name="path" />
						<xsl:element name="installedVer">
							<xsl:value-of select="$ilo"/>
						</xsl:element>
						<xsl:element name="name">
							<xsl:element name="name_xlate">
								<xsl:attribute  name="lang">en</xsl:attribute>
								<xsl:choose>
									<xsl:when  test="$DiscriptionTable/sw_key[@value=$swkey]/name[@lang='en']">
										<xsl:value-of  select="$DiscriptionTable/sw_key[@value=$swkey]/name[@lang='en']"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of  select="$swkey"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
							<xsl:element name="name_xlate">
								<xsl:attribute  name="lang">ja</xsl:attribute>
								<xsl:choose>
									<xsl:when  test="$DiscriptionTable/sw_key[@value=$swkey]/name[@lang='ja']">
										<xsl:value-of  select="$DiscriptionTable/sw_key[@value=$swkey]/name[@lang='ja']"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of  select="$swkey"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
						</xsl:element>
					</xsl:element>				
			</xsl:if><!--if swkey != '' -->
</xsl:if>

			<xsl:for-each select="/HWDiscovery/storage_info/devices/device">
				<xsl:if test="string-length(device_id/@value) > 0 and not(contains(device_id/@value,':'))">
					<xsl:variable name="keyvalue" select="translate(product_id/@value,$ucletters,$lcletters)"></xsl:variable>
					<xsl:choose>
						<!-- Common Ignore List-->
						<xsl:when test="active_version/@value = '' or $keyvalue = ''"></xsl:when>
						<!-- Ignore List for IA64 VCA -->
<!--						<xsl:when test="$IA64 = 'true' and ($keyvalue =  '3225103c' or $keyvalue = 'msa70' or $keyvalue = '3237103c' or $keyvalue = '3223103c' or $keyvalue =  '3234103c' or $keyvalue = 'e0100e11')" ></xsl:when> -->
						<xsl:otherwise>
							<xsl:element name="swItem">
								<xsl:element name="key">
									<xsl:attribute  name="Important">1</xsl:attribute>
									<xsl:value-of  select='$keyvalue'/>
								</xsl:element>
								<xsl:element name="path"></xsl:element>
								<xsl:element name="installedVer">
									<xsl:value-of  select="active_version/@value"/>
								</xsl:element>
								<xsl:element name="name">
									<xsl:element name="name_xlate">
										<xsl:attribute  name="lang">en</xsl:attribute>
										<xsl:choose>
											<xsl:when  test="$DiscriptionTable/sw_key[@value=$keyvalue]/name[@lang='en']">
												 <xsl:value-of select="$DiscriptionTable/sw_key[@value=$keyvalue]/name[@lang='en']"/>
											</xsl:when>
											<xsl:otherwise>
												 <xsl:value-of select="$keyvalue"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:element>
									<xsl:element name="name_xlate">
										<xsl:attribute  name="lang">ja</xsl:attribute>
										<xsl:choose>
											<xsl:when  test="$DiscriptionTable/sw_key[@value=$keyvalue]/name[@lang='ja']">
												 <xsl:value-of select="$DiscriptionTable/sw_key[@value=$keyvalue]/name[@lang='ja']"/>
											</xsl:when>
											<xsl:otherwise>
												 <xsl:value-of select="$keyvalue"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</xsl:element>
	</xsl:element>
	</xsl:template>
</xsl:stylesheet>