<?xml version="1.0"?>
<!-- Copyright 2001-2003 Hewlett-Packard Development Company, L.P. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:my-script-block"  xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
	<xsl:param name="division">6</xsl:param>
	<xsl:param name="operatingsystem">69</xsl:param>
	
<!--	<xsl:variable name="g_nsFilteredBundles" select="/cpqsrcatalog/cpq_bundle[divisions/division/@key=$division and operating_systems/operating_system/@key=$operatingsystem]"/> -->
	<xsl:variable name="g_nsFilteredPackages" select="/cpqsrcatalog/cpq_package[divisions/division/@key=$division and operating_systems/operating_system/@key=$operatingsystem]"/>
<!--	<xsl:variable name="g_nsAllSwKeys" select="$g_nsFilteredPackages/sw_keys/sw_keys_and/sw_key"/> -->

	<xsl:template match="cpqsrcatalog">
		<xsl:element name="packages">
			<xsl:attribute name="OS"><xsl:value-of select="$operatingsystem"></xsl:value-of></xsl:attribute>
			<xsl:for-each select="$g_nsFilteredPackages">
				<xsl:element name="available_instance">
					<xsl:element name="package_file"><xsl:value-of select="filename"></xsl:value-of></xsl:element>
					<xsl:element name="component_name">
						<xsl:element name="component_name_xlate">
							<xsl:attribute name="lang">en</xsl:attribute>
							<xsl:value-of select="name/name_xlate[@lang='en']"></xsl:value-of>
						</xsl:element>
						<xsl:element name="component_name_xlate">
							<xsl:attribute name="lang">ja</xsl:attribute>
							<xsl:value-of select="name/name_xlate[@lang='ja']"></xsl:value-of>
						</xsl:element>
					</xsl:element> <!-- component_name -->
					<xsl:element name="component_description">
						<xsl:element name="component_description_xlate">
							<xsl:attribute name="lang">en</xsl:attribute>
<!--									<xsl:value-of select="./name/name_xlate[@lang='en']"></xsl:value-of> --> <!-- Available only in MNF file. -->
						</xsl:element>
						<xsl:element name="component_description_xlate">
							<xsl:attribute name="lang">ja</xsl:attribute>
<!--									<xsl:value-of select="./name/name_xlate[@lang='ja']"></xsl:value-of> --> <!-- Available only in MNF file. -->
						</xsl:element>
					</xsl:element><!-- component_description -->
					<xsl:copy-of select="manufacturer_name"></xsl:copy-of>
					<xsl:copy-of select="languages"></xsl:copy-of>
<!--							<xsl:copy-of select="./release_date"></xsl:copy-of> -->  <!-- Available only in MNF file. -->
					<xsl:copy-of select="sw_keys"></xsl:copy-of>
					<xsl:element name="version">
						<xsl:attribute name="value"><xsl:value-of select="version/@value"></xsl:value-of></xsl:attribute>
						<xsl:attribute name="revision"><xsl:value-of select="version/@revision"></xsl:value-of></xsl:attribute>
						<xsl:variable name="Temp_Version" select="version/@value"></xsl:variable>
						<xsl:element name="MajorVersion">
							<xsl:value-of select="substring-before($Temp_Version,'.')"></xsl:value-of>
						</xsl:element>
						<xsl:element name="MinorVersion">
							<xsl:choose>
								<xsl:when test="contains(substring-after($Temp_Version,'.'),'.')">
									<xsl:value-of select="substring-before(substring-after($Temp_Version,'.'),'.')"></xsl:value-of>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring-after($Temp_Version,'.')"></xsl:value-of>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="RevisionNumber">
							<xsl:choose>
								<xsl:when test="contains(substring-after(substring-after($Temp_Version,'.'),'.'),'.')">
									<xsl:value-of select="substring-before(substring-after(substring-after($Temp_Version,'.'),'.'),'.')"></xsl:value-of>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring-after(substring-after($Temp_Version,'.'),'.')"></xsl:value-of>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="BuildNumber">
							<xsl:value-of select="substring-after(substring-after(substring-after($Temp_Version,'.'),'.'),'.')"></xsl:value-of>
						</xsl:element>
					</xsl:element>
					<xsl:element name="ExtendedResource"></xsl:element>
				</xsl:element> <!-- available_instance -->
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>