<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2001-2003 Hewlett-Packard Development Company, L.P. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <!-- category ID for a bundle -->
   <xsl:param name="lang">en</xsl:param>
   <xsl:variable name="CAT_KEY_BUNDLE" select="15"/>
   <xsl:output encoding="utf-8" indent="yes" method="xml" version="1.0"/>

   <xsl:variable name="category_sort_lang">
      <xsl:choose>
         <xsl:when test="/cpqsrcatalog/nodes/categories/category/category_xlate[@lang=$lang]"><xsl:value-of select="$lang"/></xsl:when>
      <xsl:otherwise>en</xsl:otherwise>
      </xsl:choose>
   </xsl:variable>

   <xsl:template match="/">
      <xsl:apply-templates select="cpqsrcatalog"/>
   </xsl:template>

   <xsl:template match="cpqsrcatalog">
      <cpqsrcatalog>
         <xsl:attribute name="stamp"><xsl:value-of select="@stamp"/></xsl:attribute>
         <!-- division -->
         <!--<xsl:for-each select="/cpqsrcatalog/categories/node_division">-->
         <!--<xsl:sort select="@key"/>-->
         <!--<xsl:variable name="divisionkeyserver" select="@key"/>-->
         <xsl:variable name="divisionkeyserver" select="6"/> <!-- return Server division -->
            <xsl:if test="/cpqsrcatalog/*[divisions/division/@key=$divisionkeyserver]">
               <node_division key="{$divisionkeyserver}">
                  <xsl:copy-of select="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeyserver]/division_xlate"/>
                  <!-- operating system -->
                  <xsl:for-each select="/cpqsrcatalog/nodes/operating_systems/operating_system">
                     <xsl:sort select="@platform" order="descending"/>
                     <xsl:variable name="operating_system_plat" select="@platform"/>
			<xsl:variable name="operating_system_maj" select="@major"/>
			<xsl:variable name="operating_system_min" select="@minor"/>
			<xsl:variable name="operating_system_sr" select="@sr"/>
			<xsl:variable name="operating_system_edi" select="@edition"/>
			<xsl:variable name="operating_system_os" select="@os"/>
			<xsl:variable name="operating_system_key">
				<xsl:choose>
					<xsl:when test="$operating_system_os != '' ">
						<xsl:value-of select="$operating_system_os"></xsl:value-of>
					</xsl:when>
					<xsl:otherwise>PL<xsl:value-of select="$operating_system_plat"></xsl:value-of>MA<xsl:value-of select="$operating_system_maj"></xsl:value-of>MI<xsl:value-of select="$operating_system_min"></xsl:value-of>SR<xsl:value-of select="$operating_system_sr"></xsl:value-of>ED<xsl:value-of select="$operating_system_edi"></xsl:value-of></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
                     <node_operating_system key="{$operating_system_key}">
                        <xsl:copy-of select="operating_system_xlate"/>
                        <!-- categories - do bundles first, then packages -->
                        <xsl:for-each select="/cpqsrcatalog/nodes/categories/category[@key=$CAT_KEY_BUNDLE]">
                            <xsl:variable name="categorykey" select="@key"/>
                            <xsl:if test="count(/cpqsrcatalog/cpq_bundle[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey])!=0">
                               <node_category key="{$categorykey}">
                                  <xsl:copy-of select="category_xlate"/>
                                  <xsl:apply-templates select="/cpqsrcatalog/cpq_bundle[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey]"/>
                               </node_category>
                            </xsl:if>
                        </xsl:for-each>
                        <!-- do the packages -->
                        <xsl:for-each select="/cpqsrcatalog/nodes/categories/category[@key!=$CAT_KEY_BUNDLE]">
                            <xsl:sort select="category_xlate[@lang=$category_sort_lang]"/>
                            <xsl:variable name="categorykey" select="@key"/>
                            <xsl:if test="count(/cpqsrcatalog/cpq_package[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey])!=0">
                               <node_category key="{$categorykey}">
                                  <xsl:copy-of select="category_xlate"/>
                                  <xsl:apply-templates select="/cpqsrcatalog/cpq_package[divisions/division/@key=$divisionkeyserver and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey and sw_keys/sw_keys_and/sw_key[@name != 'hppldu' and @name != 'hpsum.exe' and @name != 'hpsum' ] ] "/>
                               </node_category>
                            </xsl:if>
                        </xsl:for-each>
                     </node_operating_system>
                  </xsl:for-each>
               </node_division>
            </xsl:if>
            <!-- division -->
         <!--<xsl:for-each select="/cpqsrcatalog/categories/node_division">-->
         <!--<xsl:sort select="@key"/>-->
         <!--<xsl:variable name="divisionkeystorage" select="@key"/>-->
         <xsl:variable name="divisionkeystorage" select="9"/> <!-- return Storage division -->
            <xsl:if test="/cpqsrcatalog/*[divisions/division/@key=$divisionkeystorage]">
               <node_division key="{$divisionkeystorage}">
                  <xsl:copy-of select="/cpqsrcatalog/nodes/divisions/division[@key=$divisionkeystorage]/division_xlate"/>
                  <!-- operating system -->
                  <xsl:for-each select="/cpqsrcatalog/nodes/operating_systems/operating_system">
                     <xsl:sort select="@platform" order="descending"/>
                     <xsl:variable name="operating_system_plat" select="@platform"/>
			<xsl:variable name="operating_system_maj" select="@major"/>
			<xsl:variable name="operating_system_min" select="@minor"/>
                     <xsl:variable name="operating_system_sr" select="@sr"/>
			<xsl:variable name="operating_system_edi" select="@edition"/>
			<xsl:variable name="operating_system_os" select="@os"/>
			<xsl:variable name="operating_system_key">
				<xsl:choose>
					<xsl:when test="$operating_system_os != '' ">
						<xsl:value-of select="$operating_system_os"></xsl:value-of>
					</xsl:when>
					<xsl:otherwise>PL<xsl:value-of select="$operating_system_plat"></xsl:value-of>MA<xsl:value-of select="$operating_system_maj"></xsl:value-of>MI<xsl:value-of select="$operating_system_min"></xsl:value-of>SR<xsl:value-of select="$operating_system_sr"></xsl:value-of>ED<xsl:value-of select="$operating_system_edi"></xsl:value-of></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
                     <node_operating_system key="{$operating_system_key}">
                        <xsl:copy-of select="operating_system_xlate"/>
                        <!-- categories - do bundles first, then packages -->
                        <xsl:for-each select="/cpqsrcatalog/nodes/categories/category[@key=$CAT_KEY_BUNDLE]">
                            <xsl:variable name="categorykey" select="@key"/>
                            <xsl:if test="count(/cpqsrcatalog/cpq_bundle[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey])!=0">
                               <node_category key="{$categorykey}">
                                  <xsl:copy-of select="category_xlate"/>
                                  <xsl:apply-templates select="/cpqsrcatalog/cpq_bundle[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey]"/>
                               </node_category>
                            </xsl:if>
                        </xsl:for-each>
                        <!-- do the packages -->
                        <xsl:for-each select="/cpqsrcatalog/nodes/categories/category[@key!=$CAT_KEY_BUNDLE]">
                            <xsl:sort select="category_xlate[@lang=$category_sort_lang]"/>
                            <xsl:variable name="categorykey" select="@key"/>
                            <xsl:if test="count(/cpqsrcatalog/cpq_package[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey])!=0">
                               <node_category key="{$categorykey}">
                                  <xsl:copy-of select="category_xlate"/>
                                  <xsl:apply-templates select="/cpqsrcatalog/cpq_package[divisions/division/@key=$divisionkeystorage and prerequisites/supported_operating_systems/supported_operating_system[@platform=$operating_system_plat and @major=$operating_system_maj and @minor=$operating_system_min and @sr=$operating_system_sr and @edition=$operating_system_edi and @os=$operating_system_os] and category/@key=$categorykey and sw_keys/sw_keys_and/sw_key[@name != 'hppldu' and @name != 'hpsum.exe' and @name != 'hpsum' ]]"/>
                               </node_category>
                            </xsl:if>
                        </xsl:for-each>
                     </node_operating_system>
                  </xsl:for-each>
               </node_division>
            </xsl:if>
         <!--</xsl:for-each>-->
         <!-- division -->

      </cpqsrcatalog>
   </xsl:template>

   <xsl:template match="cpq_package">
      <cpq_package>
         <xsl:attribute name="key"><xsl:value-of select="@key"/></xsl:attribute>
         <xsl:copy-of select="name"/>
         <xsl:copy-of select="version"/>
         <xsl:copy-of select="languages"/>
         <xsl:copy-of select="sw_keys"/>
      </cpq_package>
   </xsl:template>

   <xsl:template match="cpq_bundle">
      <cpq_bundle>
         <xsl:attribute name="key"><xsl:value-of select="@key"/></xsl:attribute>
          <xsl:attribute name="tag"><xsl:value-of select="@tag"/></xsl:attribute>
         <xsl:copy-of select="name"/>
         <xsl:copy-of select="version"/>
         <xsl:copy-of select="languages"/>
         <xsl:copy-of select="sw_keys"/>
         <xsl:copy-of select="contents"/>
      </cpq_bundle>
   </xsl:template>

</xsl:stylesheet>
