<?xml version="1.0"?>
<!-- Copyright 2001-2003 Hewlett-Packard Development Company, L.P. -->
<!--<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:my-script-block"> -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xalan="http://xml.apache.org/xalan" xmlns:asd="MyCounter" extension-element-prefixes="asd" version="1.0" xmlns:exslt="http://exslt.org/common">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
	<xsl:param name="repository">localhost</xsl:param>
	<xsl:param name="created_dt">2009-05-04 11:34:00</xsl:param>
	<xsl:param name="operator"/>
	<xsl:param name="platform"/>
	<xsl:param name="major"/>
	<xsl:param name="minor"/>
	<xsl:param name="sr"/>
	<xsl:param name="edition"/>
	<xsl:param name="request"/>
	<xsl:variable name="input" select="exslt:node-set($request)/method/input"/>
	<xsl:variable name="inputInventory" select="$input/softwareInventory"/>
	<!-- category ID for a bundle -->
	<xsl:variable name="CAT_KEY_BUNDLE" select="15"/>
	<!-- variables to make output construction easier -->
	<xsl:variable name="g_nsAllCategories" select="/cpqsrcatalog/nodes/categories"/>
	<xsl:variable name="g_strOsKey"><xsl:value-of select="$input/environment/operating_system/@value"/></xsl:variable>
	
	<xsl:variable name="a_nsFilteredBundles">
		<xsl:choose>
			<xsl:when test="$g_strOsKey != ''">
				<xsl:copy-of select="//cpq_bundle[divisions/division[@key='6' or @key='9'] and .//supported_operating_system[@os=$g_strOsKey]]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="//cpq_bundle[divisions/division[@key='6' or @key='9'] and .//supported_operating_system[@platform=$platform and @major=$major and @minor=$minor and @sr=$sr and @edition=$edition]]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="a_nsFilteredPackages">
		<xsl:choose>
			<xsl:when test="$g_strOsKey != ''">
				<xsl:copy-of select="//cpq_package[divisions/division[@key='6' or @key='9'] and .//supported_operating_system[@os=$g_strOsKey]]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="//cpq_package[divisions/division[@key='6' or @key='9'] and .//supported_operating_system[@platform=$platform and @major=$major and @minor=$minor and @sr=$sr and @edition=$edition]]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="g_nsFilteredPackages" select="exslt:node-set($a_nsFilteredPackages)/cpq_package"/>
	<xsl:variable name="g_nsFilteredBundles" select="exslt:node-set($a_nsFilteredBundles)/cpq_bundle"/>
	<!--	<msxsl:script language="jscript" implements-prefix="user"> -->
<!--	<xalan:component prefix="counter" functions="SortCp calcItemRolledUpStatus getRolledUpStatus"> -->
	<xalan:component prefix="asd" functions="SortCp calcItemRolledUpStatus getRolledUpStatus ">
		<xalan:script lang="javascript">
var nGlobalStatus = 0;
function getRolledUpStatus()
{
       return nGlobalStatus;
}


function compare(ver1, ver2, verwhen) {
    if(verwhen == null)
    {
	verwhen = 0;
    }
        var result = 0;
        var a1 = verprep(ver1);
        var a2 = verprep(ver2);
	var i;
        for (i = 0; i &lt; a1.length; i++) {
            if (i >= a2.length) {
                result = 1; break;
            }
            var s1 = a1[i];
            var s2 = a2[i];
            if (s1 == s2) continue;
            var l1 = s1.length;
            var l2 = s2.length;
            var pred1 = s1.substr(0,1);
            var pred2 = s2.substr(0,1);
            var postd1 = s1.substr(l1-1,1);
            var postd2 = s2.substr(l2-1,1);
            var body1 = s1.substr(1,l1-2);
            var body2 = s2.substr(1,l2-2);
            if (pred1 != pred2) {  // should not occur now
              if (pred1 == ":") {result = -1; break;}
              if (pred2 == ":") {result =  1; break;}
              if (pred1 > pred2) result = 1;
              else result = -1;
              break;
            }
            result = comparePart(body1, body2);
            if (result != 0) break;
            if (postd1 == postd2) continue;
            if (postd1 == pred1) {result = 1;  break;}
            if (postd2 == pred2) {result = -1; break;}
        }
        if (result == 0 &amp;&amp; a1.length &lt; a2.length) {
            result = -1;
        }
        
        if(verwhen == 1)
        {
	        if(result == -1)
	        {
	        	if(i &lt; 2)
	        	{ //Critical?
	        		return 2;
	        	}
			else
	        	{//minor
	        		return 1;
	        	}
	        }
        }
        return result;
    }

function calcItemRolledUpStatus(nsNewest, nsVerOther, nsVerCurrent, strWhich, RefBundleStat)
    {
      var nodeNewest;
      var strVerCurrent;
      var strVerOther;
      var index;
      var fUseVersion;
      var fHasReferenceBundle = false;
      var nRolledUpStatus = 0;
      var selRevisions;
      nodeNewest = nsNewest;
      if(1 == RefBundleStat)
         fHasReferenceBundle = true;
      if (nsVerOther.length > 0)
          strVerOther = nsVerOther;
      else
          strVerOther = "";
      if (nsVerCurrent.length > 0)
          strVerCurrent = nsVerCurrent;
      else
          strVerCurrent = "";
	selRevisions = nodeNewest.split("#");

      // compare the two versions -- if current >= other, then the status is green
      // and we can exit early
//sa
//	return nsVerCurrent+","+strVerOther;

      if( -1 != compare(nsVerCurrent, strVerOther,0))
      {
         //TRACE("current > other: no check needed");
      }
      else
      {
         // set status to update available
         nRolledUpStatus = 1;
	//calculae the rolled-up status using Version itself if revision history is not available.
	if (selRevisions.length == 0)
	{
		nRolledUpStatus = compare(strVerCurrent, strVerOther,1) //find where the verion is different
	}
         // calculate the rolled-up status using the revision history
         fUseVersion = false;
         for(index = 0; selRevisions.length > index ; index++)
         {
         
		var ret = selRevisions[index].search(";");	
		if (ret &lt; 0) 
		{
			strRevVerValue =  selRevisions[index];
		}
		else
		{
			strRevVerValue =  selRevisions[index].substr(0,ret);
			nChangeType = selRevisions[index].substr(ret+1);
		}
         	
    
            if(1 != compare(strVerOther, strRevVerValue))
               fUseVersion = true;
            if(-1 != compare(strVerCurrent, strRevVerValue))
               fUseVersion = false;
            if(fUseVersion)
            {
               if(nChangeType > nRolledUpStatus)
               {
                  nRolledUpStatus = nChangeType;
               }
            }
         }
      }
      if((fHasReferenceBundle &amp;&amp; (strWhich == "refcsp")) ||
         (!fHasReferenceBundle &amp;&amp; (strWhich == "newest")))
      {
         // modify the total rolled up status if needed
         if(nRolledUpStatus > nGlobalStatus)
            nGlobalStatus = nRolledUpStatus
      }
      else
      {
      }
   return nRolledUpStatus;

    }

    function SortCp(nsAllVersions)
	{
	 if(nsAllVersions.length > 1)
	        {
        	        var aVersions = nsAllVersions.split(",");
                	if(aVersions.length > 2)
	                {
        	                aVersions[aVersions.length-1] = "0:A#A";
                	        aVersions.sort(newcompare);
	                }
        	        var KeyStart = aVersions[0].search("#");
                	var return1 = "";
	                if(KeyStart>0)
        	        {
                	        return1 = aVersions[0].substr(KeyStart+1);
	                }
        	        return return1;
		}
	return "";
	}

 function verprep(instr) {
        var outstr = " ";
        instr = instr.toUpperCase();
        for (var i=0; instr.length > i; i++) {
          if (" " != instr.substr(i,1)) outstr += instr.substr(i,1);
        }
        outstr += " ";
        var da = new Array(0);  // array for delimiters' position
        var pos = 0;
        var index=0;
        while (true) {
          var ret = outstr.substr(pos).search("[^0-9A-Z]");
          if (ret &lt; 0) break;
          da[index] = pos + ret;
          index++;
          pos += ret + 1;
        }
        var tokens = new Array(0);  // array for tokens
        for (var i=0; i != (da.length-1); i++) {
          //tokens[i] = outstr.substring(da[i],da[i+1]+1);
          tokens[i] = outstr.substr(da[i],da[i+1]-da[i]+1);
        }
        return tokens;
    }

function comparePart(body1, body2) {
        var n1 = parseInt(body1,16);
        var n2 = parseInt(body2,16);
        var s1;
        var s2;
        var ret = body1.search("[^0-9]");
        if (0 > ret) s1 = "";
        else s1 = body1.substr(ret);
        ret = body2.search("[^0-9]");
        if (0 > ret) s2 = "";
        else s2 = body2.substr(ret);
        if (isNaN(n1) &amp;&amp; isNaN(n2)) {
          if (s1 == s2) return 0;
          if (s2 > s1) return -1;
          return 1;
        }
        if (isNaN(n1)) return -1;
        if (isNaN(n2)) return 1;
        // compare numberic portions first
        if (n2 > n1) return -1;
        if (n1 > n2) return  1;
        // then compare string portions when numberic portions are equal
        if (s1 == s2) return 0;
        if (s2 > s1) return -1;
        return 1;
    }

    // default compare algorithm must be same as in cpqsrvc.xsl
    function newcompare(version2, version1) {
        var result = 0;
        var ret = version1.search("#");
        if (ret &lt; 0) 
        {ver1 = version1;
        }
        else
        {ver1 = version1.substr(0,ret);
        }
        var ret1 = version2.search("#");
        if (ret1 &lt; 0) 
        {ver2 = version2;
        }
        else
        {ver2 = version2.substr(0,ret1);
        }
        var a1 = verprep(ver1);
        var a2 = verprep(ver2);
	var 	MinLength = Math.min(a1.length,a2.length);
        for (var i = 0; i &lt; MinLength ; i++) 
        {
        
            var s1 = a1[i];
            var s2 = a2[i];
            if (s1 == s2) continue;
            var l1 = s1.length;
            var l2 = s2.length;
            var body1 = s1.substr(1,l1-2);
            var body2 = s2.substr(1,l2-2);
            result = comparePart(body1, body2);
            if (result != 0) break;
        }
        if (result == 0)
        {
        	 if( a1.length &lt; a2.length) 
	         { result = -1;
	         }
	        if(a1.length > a2.length)
	        {result = 1;
	        }
        }
        return result;
    }
    </xalan:script>
	</xalan:component>
	<!--    ]]></msxsl:script> -->
	<!-- TEMPLATE: match off of the root note of the catalog -->
	<xsl:template match="cpqsrcatalog">
		<xsl:element name="method">
			<xsl:attribute name="name">SRExtendSoftwareInventory</xsl:attribute>
			<xsl:attribute name="type">response</xsl:attribute>
			<xsl:value-of select="$g_strOsKey"/>
			<xsl:element name="output">
				<xsl:attribute name="result">1</xsl:attribute>
				<!-- store the timestamp from the SR (VCA 1.0 compatibility) -->
				<xsl:element name="srStamp">
					<xsl:value-of select="@stamp"/>
				</xsl:element>
				<!-- create the root 'softwareInventory' element -->
				<xsl:element name="softwareInventory">
					<xsl:attribute name="operator_access"><xsl:value-of select="$operator"/></xsl:attribute>
					<!-- copy some of the input to the output -->
					<xsl:if test="$inputInventory/created">
						<xsl:element name="created">
							<xsl:attribute name="utcDateTime"><xsl:choose><xsl:when test="$created_dt=''"><xsl:value-of select="$inputInventory/created/@utcDateTime"/></xsl:when><xsl:otherwise><xsl:value-of select="$created_dt"/></xsl:otherwise></xsl:choose></xsl:attribute>
						</xsl:element>
					</xsl:if>
					<!-- create the repository name node -->
					<xsl:element name="repository">
						<xsl:value-of select="$repository"/>
					</xsl:element>
					<!-- store the timestamp (again) for version 2.0 of the VCA -->
					<xsl:element name="vcrm_catalog_timestamp">
						<xsl:value-of select="@stamp"/>
					</xsl:element>
					<!-- identify the state of the refrerence bundle, since the
                         global (calculated) rolled up status will be wrong if
                         the input bundle file does not exist in the catalog
                            0 = no input bundle specified
                            1 = valid input bundle file
                            2 = invalid input bundle file
                    -->			
					<xsl:variable name="RefBundleStat">
					<xsl:choose>
							<xsl:when test="$g_nsFilteredBundles[@key=$inputInventory/bundle/@fileName]">1</xsl:when>
							<xsl:when test="$inputInventory/bundle/@fileName">2</xsl:when>
							<xsl:otherwise>0</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:choose>
					<xsl:when test="$RefBundleStat='1'">
							<!-- create the reference bundle subtree -->
							<xsl:for-each select="$g_nsFilteredBundles[@key=$inputInventory/bundle/@fileName]">
								<xsl:call-template name="tplCreateBundleNodeFromCurrent"/>
							</xsl:for-each>
					</xsl:when>
					<xsl:when test="$RefBundleStat='2'">
							<!-- return just the filename of the invalid bundle -->
						<xsl:element name="bundle">
							<xsl:attribute name="fileName"><xsl:value-of select="$inputInventory/bundle/@fileName"/></xsl:attribute>
						</xsl:element>
					</xsl:when>
					</xsl:choose>
					<!-- generate the installed software node -->
					<xsl:call-template name="tplGenerateInstalledSoftware">
						<xsl:with-param name="RefBundleStat" select="$RefBundleStat"/>
					</xsl:call-template>
					<!-- generate the available software -->
					<xsl:call-template name="tplGenerateAvailableSoftware"/>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<!-- TEMPLATE: tplGenerateInstalledSoftware -->
	<xsl:template name="tplGenerateInstalledSoftware">
		<xsl:param name="RefBundleStat"/>
		<xsl:element name="installedSoftware">
			<!-- store the reference support paq name -->
			<xsl:variable name="strRefBundle">
				<xsl:if test="$g_nsFilteredBundles[@key=$inputInventory/bundle/@fileName]">
					<xsl:value-of select="$inputInventory/bundle/@fileName"/>
				</xsl:if>
			</xsl:variable>
			<!-- create the software list subtree -->
			<xsl:element name="swItemList">
				<xsl:for-each select="$inputInventory/installedSoftware/swItemList/swItem">
					<xsl:variable name="strKey" select="key"/>
							<xsl:variable name="nodeSortPackages">
								<xsl:for-each select="$g_nsFilteredPackages[sw_keys/sw_keys_and/sw_key/@name=$strKey]"><xsl:value-of select="./version/@value"/>:<xsl:value-of select="./version/@revision"/>#<xsl:value-of select="./@key"/>,</xsl:for-each>
							</xsl:variable>
							<xsl:variable name="nodeNewestPackageKey">
								<xsl:if test="$nodeSortPackages != ''">
									<xsl:value-of select="asd:SortCp(string($nodeSortPackages))"/>
								</xsl:if>
							</xsl:variable>
							<xsl:variable name="nodeNewestPackage" select="$g_nsFilteredPackages[@key=$nodeNewestPackageKey]"/>
							<xsl:variable name="strThisVer" select="installedVer/text()"/>
							<!--<xsl:value-of select="$strThisVer"/>-->
							<xsl:element name="swItem">
								<!-- copy the input swItem's key to the output -->
								<xsl:element name="key">
									<xsl:value-of select="key"/>
								</xsl:element>
								<xsl:element name="installedVer">
									<xsl:value-of select="installedVer"/>
								</xsl:element>
								<xsl:choose>
									<xsl:when test="count($nodeNewestPackage) != 0">
										<xsl:for-each select="$nodeNewestPackage">
											<xsl:call-template name="tplAddPackageNodeDataFromCurrent">
												<xsl:with-param name="addVersionNode">0</xsl:with-param>
											</xsl:call-template>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>
										<!-- just bring the name forward from the input -->
										<xsl:element name="name">
											<xsl:element name="name_xlate">
												<xsl:attribute name="lang">en</xsl:attribute>
												<xsl:value-of select="name/name_xlate[@lang='en']"/>
											</xsl:element>
										</xsl:element>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:element name="availableVersions">
									<xsl:if test="$nodeNewestPackage/version/@value">
										<xsl:element name="availableVersion">
											<xsl:attribute name="category">newest</xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="$nodeNewestPackage/version/@value"/></xsl:attribute>
											<xsl:variable name="pkg_file">
												<xsl:value-of select="$nodeNewestPackage/@key"/>
											</xsl:variable>
											<xsl:element name="descriptionHref">catalog?package=<xsl:value-of select="$pkg_file"/>
											</xsl:element>
											<xsl:element name="package">
												<xsl:value-of select="$pkg_file"/>
											</xsl:element>
<!--
											<xsl:element name="status">
							
	<xsl:attribute name="value"><xsl:value-of select="asd:calcItemRolledUpStatus($nodeNewestPackage, $nodeNewestPackage/version/@value, $strThisVer, 'newest', $RefBundleStat)"/></xsl:attribute>
											</xsl:element> -->
									<xsl:variable name="VersionList"><xsl:for-each select="$nodeNewestPackage/revision_history/revision/version"><xsl:value-of select="./@value"/>;<xsl:value-of select="./@type_of_change"/>#</xsl:for-each></xsl:variable>
									 <xsl:variable name="VersionOther"><xsl:value-of select="$nodeNewestPackage/version/@value"/></xsl:variable>
									<xsl:variable name="RefStatNo"><xsl:value-of select="$RefBundleStat"/></xsl:variable> 
									<xsl:element name="status"><xsl:attribute name="value"><xsl:value-of select="asd:calcItemRolledUpStatus(string($VersionList), string($VersionOther), string($strThisVer), 'newest', $RefStatNo)"/></xsl:attribute>
									</xsl:element>
									</xsl:element>
									</xsl:if>
									<xsl:if test="$strRefBundle">
										<xsl:variable name="strBundlePackage">
											<xsl:call-template name="tplFindPackage">
												<xsl:with-param name="strBundle" select="$strRefBundle"/>
												<xsl:with-param name="strKey" select="$strKey"/>
											</xsl:call-template>
										</xsl:variable>
										<xsl:if test="$strBundlePackage">
											<xsl:if test="$g_nsFilteredPackages[@key=$strBundlePackage]/version/@value">
												<xsl:element name="availableVersion">
													<xsl:attribute name="category">bundle</xsl:attribute>
													<xsl:attribute name="value"><xsl:value-of select="$g_nsFilteredPackages[@key=$strBundlePackage]/version/@value"/></xsl:attribute>
													<xsl:element name="descriptionHref">catalog?package=<xsl:value-of select="$strBundlePackage"/>
													</xsl:element>
													<xsl:element name="package">
														<xsl:value-of select="$strBundlePackage"/>
													</xsl:element>
													
								<xsl:variable name="VersionList"><xsl:for-each select="$g_nsFilteredPackages[@key=$strBundlePackage]/revision_history/revision/version"><xsl:value-of select="./@value"/>;<xsl:value-of select="./@type_of_change"/>#</xsl:for-each></xsl:variable>
								 <xsl:variable name="VersionOther"><xsl:value-of select="$g_nsFilteredPackages[@key=$strBundlePackage]/version/@value"/></xsl:variable>
								<xsl:variable name="RefStatNo"><xsl:value-of select="$RefBundleStat"/></xsl:variable> 
													
													<xsl:element name="status">
													<xsl:attribute name="value"><xsl:value-of select="asd:calcItemRolledUpStatus(string($VersionList), string($VersionOther), string($strThisVer), 'refcsp', $RefStatNo)"/></xsl:attribute>
<!--														<xsl:attribute name="value"><xsl:value-of select="counter:calcItemRolledUpStatus($nodeNewestPackage, $g_nsFilteredPackages[@key=$strBundlePackage]/version/@value, $strThisVer, 'refcsp', $RefBundleStat)"/></xsl:attribute>-->
													</xsl:element>
												</xsl:element>
											</xsl:if>
										</xsl:if>
									</xsl:if>
								</xsl:element>
							</xsl:element>
				</xsl:for-each>
			</xsl:element>
			<!-- the status is not output if the input bundle is invalid -->
			<xsl:if test="not($RefBundleStat='2')">
				<xsl:element name="status">
					<xsl:attribute name="value"><xsl:value-of select="asd:getRolledUpStatus()"/></xsl:attribute>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	<!-- TEMPLATE: tplAddPackageNodeDataFromCurrent -->
	<xsl:template name="tplAddPackageNodeDataFromCurrent">
		<xsl:param name="addVersionNode">1</xsl:param>
		<!-- copy the names -->
		<xsl:copy-of select="name"/>
		<!-- copy the languages -->
		<xsl:copy-of select="languages"/>
		<xsl:if test="$addVersionNode=1">
			<!-- copy the version -->
			<xsl:copy-of select="version"/>
		</xsl:if>
		<!-- create the description href element -->
		<xsl:element name="descriptionHref">catalog?package=<xsl:value-of select="@key"/>
		</xsl:element>
		<!-- create the package element -->
		<xsl:element name="package">
			<xsl:value-of select="@key"/>
		</xsl:element>
	</xsl:template>
	<!-- TEMPLATE: tplCreateBundleNodeFromCurrent -->
	<xsl:template name="tplCreateBundleNodeFromCurrent">
	
		<xsl:element name="bundle">
			<xsl:attribute name="fileName"><xsl:value-of select="@key"/></xsl:attribute>
			<!-- copy the names -->
			<xsl:copy-of select="name"/>
			<!-- copy the languages -->
			<xsl:copy-of select="languages"/>
			<!-- copy the version -->
			<xsl:copy-of select="version"/>
			<!-- create the description href element -->
			<xsl:element name="descriptionHref">catalog?bundle=<xsl:value-of select="@key"/>
			</xsl:element>
			<!-- add installable packages for VCA bundle installs - no UI for this element -->
			<xsl:element name="packageList">
				<xsl:for-each select="contents/package">
					<xsl:if test="@install='yes'">
						<xsl:element name="package">
							<xsl:attribute name="fileName"><xsl:value-of select="."/></xsl:attribute>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
<!-- TEMPLATE: tplFindPackage -->
	<xsl:template name="tplFindPackage">
		<xsl:param name="strBundle"/>
		<xsl:param name="strKey"/>
		<xsl:param name="strfindpath"/>
		<xsl:variable name="found">
			<xsl:for-each select="$g_nsFilteredBundles[@key=$strBundle]">
				<xsl:for-each select="contents/package">
					<xsl:variable name="strFile" select="."/>
					<xsl:choose>
						<xsl:when test="$strfindpath">
							<xsl:variable name="nodeswkeyPackage" select="$g_nsFilteredPackages[@key=$strFile and sw_keys/sw_keys_and/sw_key/@name=$strKey]"/>
							<xsl:variable name="nodesmallpath">
								<xsl:for-each select="$nodeswkeyPackage">
									<xsl:element name="cpq_package">
										<xsl:attribute name="version"><xsl:value-of select="@version"/></xsl:attribute>
										<xsl:attribute name="keyabs"><xsl:value-of select="@keyabs"/></xsl:attribute>
										<xsl:attribute name="keyrel"><xsl:value-of select="@keyrel"/></xsl:attribute>
										<xsl:attribute name="key"><xsl:value-of select="@key"/></xsl:attribute>
										<xsl:attribute name="add_time"><xsl:value-of select="@add_time"/></xsl:attribute>
										<xsl:attribute name="filesize"><xsl:value-of select="@filesize"/></xsl:attribute>
										<xsl:attribute name="lastcfg"><xsl:value-of select="@lastcfg"/></xsl:attribute>
										<xsl:attribute name="cfgsupt"><xsl:value-of select="@cfgsupt"/></xsl:attribute>
										<xsl:copy-of select="filename"/>
										<xsl:copy-of select="divisions"/>
										<xsl:copy-of select="operating_systems"/>
										<xsl:copy-of select="category"/>
										<xsl:copy-of select="id"/>
										<xsl:copy-of select="name"/>
										<xsl:copy-of select="version"/>
										<xsl:copy-of select="manufacturer_name"/>
										<xsl:copy-of select="languages"/>
										<xsl:copy-of select="revision_history"/>
										<xsl:element name="sw_keys">
											<xsl:for-each select="sw_keys/sw_keys_and">
												<xsl:element name="sw_keys_and">
													<xsl:element name="sw_key">
														<xsl:attribute name="name"><xsl:value-of select="sw_key/@name"/></xsl:attribute>
														<xsl:attribute name="version"><xsl:value-of select="sw_key/@version"/></xsl:attribute>
														<xsl:variable name="path_name">
															<xsl:value-of select="sw_key/sw_key_expectedpath"/>
														</xsl:variable>
														<xsl:element name="sw_key_expectedpath">
															<xsl:value-of select="translate($path_name,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
														</xsl:element>
													</xsl:element>
												</xsl:element>
											</xsl:for-each>
										</xsl:element>
										<xsl:copy-of select="prerequisites"/>
										<xsl:copy-of select="references"/>
									</xsl:element>
								</xsl:for-each>
							</xsl:variable>
							<xsl:if test="exslt:node-set($nodesmallpath)/cpq_package/sw_keys/sw_keys_and/sw_key/sw_key_expectedpath=$strfindpath">
								<xsl:value-of select="$strFile"/>#
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="$g_nsFilteredPackages[@key=$strFile]/sw_keys/sw_keys_and/sw_key/@name=$strKey">
								<xsl:value-of select="$strFile"/>#
						</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:variable>
		<xsl:value-of select="substring-before($found,'#')"/>
	</xsl:template>
<!-- TEMPLATE: tplGenerateAvailableSoftware -->
	<xsl:template name="tplGenerateAvailableSoftware">
		<xsl:element name="allSoftware">
			<!-- create the Support Paqs entry first -->
			<xsl:if test="$g_nsAllCategories/category[@key=$CAT_KEY_BUNDLE]">
				<xsl:call-template name="tplGenerateAvailableBundles">
					<xsl:with-param name="strCategoryKey" select="$CAT_KEY_BUNDLE"/>
				</xsl:call-template>
			</xsl:if>
			<!-- do all other entries (sorted) after that -->
			<xsl:for-each select="$g_nsAllCategories/category">
				<!-- <xsl:sort select="@name"/> need locale info to sort sensibly -->
				<xsl:if test="not(@key=$CAT_KEY_BUNDLE)">
					<xsl:call-template name="tplGenerateAvailableSWForCategory">
						<xsl:with-param name="strCategoryKey" select="@key"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
<!-- TEMPLATE: tplGenerateAvailableBundles -->
	<xsl:template name="tplGenerateAvailableBundles">
		<!-- create a category subtree -->
		<xsl:element name="swCategory">
			<xsl:attribute name="key"><xsl:value-of select="$CAT_KEY_BUNDLE"/></xsl:attribute>
			<!-- create the display name subtree by looking for ANY nodes in the catalog that will match -->
			<xsl:element name="name">
				<xsl:for-each select="$g_nsAllCategories/category[@key=$CAT_KEY_BUNDLE]/category_xlate">
					<xsl:element name="name_xlate">
						<xsl:attribute name="lang"><xsl:value-of select="@lang"/></xsl:attribute>
						<xsl:value-of select="text()"/>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
			<!-- create the list of bundles -->
			<xsl:element name="bundleList">
				<xsl:for-each select="$g_nsFilteredBundles">
					<!-- create a bundle subtree -->
					<xsl:call-template name="tplCreateBundleNodeFromCurrent"/>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
<!-- TEMPLATE: tplGenerateAvailableSWForCategory -->
	<xsl:template name="tplGenerateAvailableSWForCategory">
		<xsl:param name="strCategoryKey"/>
		<xsl:if test="count($g_nsFilteredPackages[category/@key=$strCategoryKey]) != 0">
			<!-- create a category subtree -->
			<xsl:element name="swCategory">
				<xsl:attribute name="key"><xsl:value-of select="$strCategoryKey"/></xsl:attribute>
				<!-- create the display name subtree by looking for ANY nodes in the catalog that will match -->
				<xsl:element name="name">
					<xsl:for-each select="$g_nsAllCategories/category[@key=$strCategoryKey]/category_xlate">
						<xsl:element name="name_xlate">
							<xsl:attribute name="lang"><xsl:value-of select="@lang"/></xsl:attribute>
							<xsl:value-of select="text()"/>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
				<!-- create the software package list -->
				<xsl:element name="swItemList">
					<xsl:for-each select="$g_nsFilteredPackages[category/@key=$strCategoryKey and sw_keys/sw_keys_and/sw_key[@name != 'hpsum.exe' and @name != 'hpsum' and @name != 'hppldu' ]] ">
						<!-- create a software item subtree -->
						<xsl:element name="swItem">
							<xsl:call-template name="tplAddPackageNodeDataFromCurrent"/>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
