######	HPVCA configuration script #####


[ -x /sbin/pidof ] && PIDOF=/sbin/pidof || PIDOF=pidof

print_req()
{
  clear 2>&1

  echo "******************************************************************"
  echo "     Following packages are required to enable VCRMLite support   "
  echo "******************************************************************"
  echo
  echo "1. jre-6u12-linux-i586.rpm       "
  echo "2. xalan-j_2_7_1-bin.zip         "
  echo "3. rhino1_7R1.zip                "
  echo "4. bsf-bin-2.4.0.tar.gz          "
  echo "5. commons-logging-1.1.1-bin.zip "
  echo "                                 "
  echo "***************************************"
  echo "     Installation Procedure:           "
  echo "***************************************"
  echo "1. Install jre-6u12-linux-i586.rpm     "
  echo "   . rpm -Uvh jre-6u12-linux-i586.rpm  "
  echo "2. Unzip xalan-j_2_7_1-bin.zip"
  echo "   A. Copy the following jar files to directory  /usr/java/jre1.6.0_12/lib/ext/"
  echo "        . serializer.jar  "
  echo "        . xalan.jar       "
  echo "        . xercesImpl.jar  "
  echo "        . xml-apis.jar    "
  echo "3. Unzip rhino1_7R1.zip   "
  echo "   A. Copy the following jar files to directory  /usr/java/jre1.6.0_12/lib/ext/"
  echo "        . Js.jar          "
  echo "4. Unzip bsf-bin-2.4.0.tar.gz"
  echo "   A. Copy the following jar files to directory  /usr/java/jre1.6.0_12/lib/ext/"
  echo "        . bsf.jar         "
  echo "5. Unzip commons-logging-1.1.1-bin.zip "
  echo "   A. Copy the following jar files to directory  /usr/java/jre1.6.0_12/lib/ext/"
  echo "        . commons-logging-tests.jar               "
  echo "        . commons-logging-api-1.1.1.jar           "
  echo "        . commons-logging-adapters-1.1.1.jar      "
  echo "        . commons-logging-1.1.1.jar               "
  echo "        . commons-logging-1.1.1-sources.jar       "
  echo "        . commons-logging-1.1.1-javadoc.jar       "

}

check_req()
{
	PY=`rpm -qa | grep python 2>&1 >/dev/null`
	if [ $? -ne 0 ]; then
		echo "Pyton 2.4 should be installed for this feature to work"
		echo "                                                      "
	 	print_req
		exit 0
	fi

	JRE=`rpm -qa | grep jre 2>/dev/null`
	if [ $? -ne 0 ]; then
		print_req
		exit 0
	fi
	
	JRE1=`echo $JRE | grep jre-1.6 2>/dev/null`
	if [ $? -ne 0 ]; then
		print_req
		exit 0
	fi
	
	JARS[0]="serializer.jar"
	JARS[1]="xalan.jar"
	JARS[2]="xercesImpl.jar"
	JARS[3]="xml-apis.jar"
	JARS[4]="js.ja"
	JARS[5]="bsf.jar"
	JARS[6]="commons-logging-tests.jar"
	JARS[7]="commons-logging-api-1.1.1.jar"
	JARS[8]="commons-logging-adapters-1.1.1.jar"
	JARS[9]="commons-logging-1.1.1.jar"
	JARS[10]="commons-logging-1.1.1-sources.jar"
	JARS[11]="commons-logging-1.1.1-javadoc.jar"
	JARS[12]="_xmlplus"
	

	for (( i = 0; i <= 12; i++ ))
	do
        	locate ${JARS[$i]} >/dev/null
	        if [ $? -ne 0 ]
        	then
			print_req
                	exit 0
	        fi
	done
		
	#LIN="/usr/java/jre1.6.0_12/bin/java"

	#if [ -f $LIN ]; then
	#we have jre 1.6 so now create links
	#	ln -s -b /usr/java/jre1.6.0_12/bin/java java
	#fi
}

hpvca_configure()
{
	
	if [ -x /etc/init.d/hpvca ]; then
		HPVCASCRIPT="/etc/init.d/hpvca"
	elif [ -x /etc/rc.d/init.d/hpvca ]; then
		HPVCASCRIPT="/etc/rc.d/init.d/hpvca"
	fi

	if [ -n "`$PIDOF vcagentd 2> /dev/null`" ]; then
		ACTION="stop"
	fi

	if [ -n "$HPVCASCRIPT" ]; then
		if [ -z $ACTION ]; then
			/opt/hp/vcagent/bin/vcasetup 1
			#sleep 2	
			(cd /; $HPVCASCRIPT start) < /dev/null 2>&1
		else
			(cd /; $HPVCASCRIPT $ACTION) < /dev/null 2>&1
			/opt/hp/vcagent/bin/vcasetup 1
			#sleep 2
			(cd /; $HPVCASCRIPT start) < /dev/null 2>&1
		fi
	fi
}

restart_smh_vc()
{

	if [ -x /etc/init.d/hpvca ]; then
		HPVCASCRIPT="/etc/init.d/hpvca"
	elif [ -x /etc/rc.d/init.d/hpvca ]; then
		 HPVCASCRIPT="/etc/rc.d/init.d/hpvca"
	fi
	
	if [ -x /etc/init.d/hpsmhd ]; then
		HPSMHSCRIPT="/etc/init.d/hpsmhd"
        elif [ -x /etc/rc.d/init.d/hpsmhd ]; then
                HPSMHSCRIPT="/etc/rc.d/init.d/hpsmhd"
        fi

	if [ -n "`$PIDOF vcagentd 2> /dev/null`" ]; then
		(cd /; $HPVCASCRIPT restart) < /dev/null 2>&1
	else
		(cd /; $HPVCASCRIPT start) < /dev/null 2>&1		
	fi
	
	if [ -n "`$PIDOF hpsmhd 2> /dev/null`" ]; then
		(cd /; $HPSMHSCRIPT restart) < /dev/null 2>&1
	else
		(cd /; $HPSMHSCRIPT start) < /dev/null 2>&1
	fi
}

printhelp()
{
	echo " "
	echo >&2 "Usage: $0 [-R] Folder Name  [-r] [-d]...";
}

if [  $# -lt 1 ]; then

	if [ -f "/opt/hp/vcagent/etc/vcagent.conf" ]; then
		mv /opt/hp/vcagent/etc/vcagent.conf /opt/hp/vcagent/etc/vcagent.conf.bkp
	fi

hpvca_configure
	
	if [ ! -f "/opt/hp/vcagent/etc/vcagent.conf" ]; then
		if [ -f "/opt/hp/vcagent/etc/vcagent.conf.bkp" ]; then
	        	mv /opt/hp/vcagent/etc/vcagent.conf.bkp /opt/hp/vcagent/etc/vcagent.conf
		fi
	fi

	if [ -f "/opt/hp/vcagent/etc/vcagent.conf.bkp" ]; then
		rm -rf /opt/hp/vcagent/etc/vcagent.conf.bkp
	fi
fi

while getopts R:rd o
do
	case "$o" in
		R)	check_req
			if  test -d $OPTARG;
			then
				echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" >/opt/hp/vcagent/etc/vcrm.conf
				echo "<vcrmoptions version=\"2.0\">" >>/opt/hp/vcagent/etc/vcrm.conf
				echo "<settings active=\"1\">"$OPTARG"</settings>" >>/opt/hp/vcagent/etc/vcrm.conf
				echo "</vcrmoptions>" >>/opt/hp/vcagent/etc/vcrm.conf
				restart_smh_vc
			else
				echo Directory $OPTARG does not exist
				printhelp
			fi
			;;
		r)	check_req
			while true
			do
				clear
				echo "Enter path to repository folder(no trailing /'s) ";
				read repo;

				if test -d $repo;
				then
					echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" >/opt/hp/vcagent/etc/vcrm.conf
					echo "<vcrmoptions version=\"2.0\">" >>/opt/hp/vcagent/etc/vcrm.conf
					echo "<settings active=\"1\">"$repo"</settings>" >>/opt/hp/vcagent/etc/vcrm.conf
					echo "</vcrmoptions>" >>/opt/hp/vcagent/etc/vcrm.conf	
					restart_smh_vc
					break
				else
					echo "$repo does not exist"
					echo "please enter valid folder path"
					echo "Press any key to continue ..."
					read 
				fi
			done
			;;
		d)	echo "Executing this command will disable the repository feature !!!!"
			echo "Press any key to continue"
			read
			if [ -f /opt/hp/vcagent/etc/vcrm.conf ]; then
				rm -rf /opt/hp/vcagent/etc/vcrm.conf
				restart_smh_vc
			fi
			;;
		?)	printhelp
	esac
done
shift `expr $OPTIND - 1`

